type token =
  | EOF of (unit   Types.any_spaces_pos)
  | NUM of (string Types.any_spaces_pos)
  | RAW_STRING of (string Types.any_spaces_pos)
  | BAREWORD of (string Types.any_spaces_pos)
  | BAREWORD_PAREN of (string Types.any_spaces_pos)
  | REVISION of (string Types.any_spaces_pos)
  | COMMENT of (string Types.any_spaces_pos)
  | POD of (string Types.any_spaces_pos)
  | LABEL of (string Types.any_spaces_pos)
  | PO_COMMENT of (string Types.any_spaces_pos)
  | PERL_CHECKER_COMMENT of (string Types.any_spaces_pos)
  | ONE_SCALAR_PARA of (string Types.any_spaces_pos)
  | PRINT_TO_STAR of ((string * string) Types.any_spaces_pos)
  | PRINT_TO_SCALAR of ((string * string) Types.any_spaces_pos)
  | QUOTEWORDS of (string Types.any_spaces_pos)
  | COMPACT_HASH_SUBSCRIPT of (string Types.any_spaces_pos)
  | RAW_HERE_DOC of ((string * Types.raw_pos) Types.any_spaces_pos)
  | STRING of ((string * ((int * int) * token) list) list Types.any_spaces_pos)
  | COMMAND_STRING of ((string * ((int * int) * token) list) list Types.any_spaces_pos)
  | HERE_DOC of (((string * ((int * int) * token) list) list * Types.raw_pos) Types.any_spaces_pos)
  | FORMAT of (((string * ((int * int) * token) list) list * Types.raw_pos) Types.any_spaces_pos)
  | PATTERN of (((string * ((int * int) * token) list) list * string) Types.any_spaces_pos)
  | QR_PATTERN of (((string * ((int * int) * token) list) list * string) Types.any_spaces_pos)
  | PATTERN_SUBST of (((string * ((int * int) * token) list) list * (string * ((int * int) * token) list) list * string) Types.any_spaces_pos)
  | SCALAR_IDENT of ((string option * string) Types.any_spaces_pos)
  | ARRAY_IDENT of ((string option * string) Types.any_spaces_pos)
  | HASH_IDENT of ((string option * string) Types.any_spaces_pos)
  | FUNC_IDENT of ((string option * string) Types.any_spaces_pos)
  | STAR_IDENT of ((string option * string) Types.any_spaces_pos)
  | RAW_IDENT of ((string option * string) Types.any_spaces_pos)
  | RAW_IDENT_PAREN of ((string option * string) Types.any_spaces_pos)
  | ARRAYLEN_IDENT of ((string option * string) Types.any_spaces_pos)
  | SUB_WITH_PROTO of (string Types.any_spaces_pos)
  | FUNC_DECL_WITH_PROTO of ((string option * string * string) Types.any_spaces_pos)
  | FOR of (string Types.any_spaces_pos)
  | PRINT of (string Types.any_spaces_pos)
  | NEW of (unit   Types.any_spaces_pos)
  | COMPARE_OP of (string Types.any_spaces_pos)
  | COMPARE_OP_STR of (string Types.any_spaces_pos)
  | EQ_OP of (string Types.any_spaces_pos)
  | EQ_OP_STR of (string Types.any_spaces_pos)
  | SMART_OP of (string Types.any_spaces_pos)
  | ASSIGN of (string Types.any_spaces_pos)
  | MY_OUR of (string Types.any_spaces_pos)
  | IF of (unit   Types.any_spaces_pos)
  | ELSIF of (unit   Types.any_spaces_pos)
  | ELSE of (unit   Types.any_spaces_pos)
  | UNLESS of (unit   Types.any_spaces_pos)
  | DO of (unit   Types.any_spaces_pos)
  | WHILE of (unit   Types.any_spaces_pos)
  | UNTIL of (unit   Types.any_spaces_pos)
  | CONTINUE of (unit   Types.any_spaces_pos)
  | SUB of (unit   Types.any_spaces_pos)
  | LOCAL of (unit   Types.any_spaces_pos)
  | USE of (unit   Types.any_spaces_pos)
  | PACKAGE of (unit   Types.any_spaces_pos)
  | BEGIN of (unit   Types.any_spaces_pos)
  | END of (unit   Types.any_spaces_pos)
  | AT of (unit   Types.any_spaces_pos)
  | DOLLAR of (unit   Types.any_spaces_pos)
  | PERCENT of (unit   Types.any_spaces_pos)
  | AMPERSAND of (unit   Types.any_spaces_pos)
  | STAR of (unit   Types.any_spaces_pos)
  | ARRAYLEN of (unit   Types.any_spaces_pos)
  | SEMI_COLON of (unit   Types.any_spaces_pos)
  | PKG_SCOPE of (unit   Types.any_spaces_pos)
  | PAREN of (unit   Types.any_spaces_pos)
  | PAREN_END of (unit   Types.any_spaces_pos)
  | BRACKET of (unit   Types.any_spaces_pos)
  | BRACKET_END of (unit   Types.any_spaces_pos)
  | BRACKET_HASHREF of (unit   Types.any_spaces_pos)
  | ARRAYREF of (unit   Types.any_spaces_pos)
  | ARRAYREF_END of (unit   Types.any_spaces_pos)
  | ARROW of (unit   Types.any_spaces_pos)
  | INCR of (unit   Types.any_spaces_pos)
  | DECR of (unit   Types.any_spaces_pos)
  | POWER of (unit   Types.any_spaces_pos)
  | TIGHT_NOT of (unit   Types.any_spaces_pos)
  | BIT_NEG of (unit   Types.any_spaces_pos)
  | REF of (unit   Types.any_spaces_pos)
  | PATTERN_MATCH of (unit   Types.any_spaces_pos)
  | PATTERN_MATCH_NOT of (unit   Types.any_spaces_pos)
  | MULT of (string Types.any_spaces_pos)
  | PLUS of (string Types.any_spaces_pos)
  | BIT_SHIFT of (string Types.any_spaces_pos)
  | LT of (unit   Types.any_spaces_pos)
  | GT of (unit   Types.any_spaces_pos)
  | CONCAT of (unit   Types.any_spaces_pos)
  | MULT_L_STR of (unit   Types.any_spaces_pos)
  | BIT_AND of (unit   Types.any_spaces_pos)
  | BIT_OR of (unit   Types.any_spaces_pos)
  | BIT_XOR of (unit   Types.any_spaces_pos)
  | AND_TIGHT of (unit   Types.any_spaces_pos)
  | OR_TIGHT of (unit   Types.any_spaces_pos)
  | DOTDOT of (string Types.any_spaces_pos)
  | QUESTION_MARK of (unit   Types.any_spaces_pos)
  | COLON of (unit   Types.any_spaces_pos)
  | COMMA of (unit   Types.any_spaces_pos)
  | RIGHT_ARROW of (unit   Types.any_spaces_pos)
  | NOT of (unit   Types.any_spaces_pos)
  | AND of (unit   Types.any_spaces_pos)
  | OR of (unit   Types.any_spaces_pos)
  | XOR of (unit   Types.any_spaces_pos)

open Parsing;;
let _ = parse_error;;
# 1 "parser.mly"
 (* -*- caml -*- *)
  open Types
  open Common
  open Parser_helper

  let parse_error msg = die_rule msg
  let prog_ref = ref None
  let to_String e = Parser_helper.to_String (some !prog_ref) e
  let from_PATTERN e = Parser_helper.from_PATTERN (some !prog_ref) e
  let from_PATTERN_SUBST e = Parser_helper.from_PATTERN_SUBST (some !prog_ref) e
# 120 "parser.ml"
let yytransl_const = [|
    0|]

let yytransl_block = [|
    0 (* EOF *);
  257 (* NUM *);
  258 (* RAW_STRING *);
  259 (* BAREWORD *);
  260 (* BAREWORD_PAREN *);
  261 (* REVISION *);
  262 (* COMMENT *);
  263 (* POD *);
  264 (* LABEL *);
  265 (* PO_COMMENT *);
  266 (* PERL_CHECKER_COMMENT *);
  267 (* ONE_SCALAR_PARA *);
  268 (* PRINT_TO_STAR *);
  269 (* PRINT_TO_SCALAR *);
  270 (* QUOTEWORDS *);
  271 (* COMPACT_HASH_SUBSCRIPT *);
  272 (* RAW_HERE_DOC *);
  273 (* STRING *);
  274 (* COMMAND_STRING *);
  275 (* HERE_DOC *);
  276 (* FORMAT *);
  277 (* PATTERN *);
  278 (* QR_PATTERN *);
  279 (* PATTERN_SUBST *);
  280 (* SCALAR_IDENT *);
  281 (* ARRAY_IDENT *);
  282 (* HASH_IDENT *);
  283 (* FUNC_IDENT *);
  284 (* STAR_IDENT *);
  285 (* RAW_IDENT *);
  286 (* RAW_IDENT_PAREN *);
  287 (* ARRAYLEN_IDENT *);
  288 (* SUB_WITH_PROTO *);
  289 (* FUNC_DECL_WITH_PROTO *);
  290 (* FOR *);
  291 (* PRINT *);
  292 (* NEW *);
  293 (* COMPARE_OP *);
  294 (* COMPARE_OP_STR *);
  295 (* EQ_OP *);
  296 (* EQ_OP_STR *);
  297 (* SMART_OP *);
  298 (* ASSIGN *);
  299 (* MY_OUR *);
  300 (* IF *);
  301 (* ELSIF *);
  302 (* ELSE *);
  303 (* UNLESS *);
  304 (* DO *);
  305 (* WHILE *);
  306 (* UNTIL *);
  307 (* CONTINUE *);
  308 (* SUB *);
  309 (* LOCAL *);
  310 (* USE *);
  311 (* PACKAGE *);
  312 (* BEGIN *);
  313 (* END *);
  314 (* AT *);
  315 (* DOLLAR *);
  316 (* PERCENT *);
  317 (* AMPERSAND *);
  318 (* STAR *);
  319 (* ARRAYLEN *);
  320 (* SEMI_COLON *);
  321 (* PKG_SCOPE *);
  322 (* PAREN *);
  323 (* PAREN_END *);
  324 (* BRACKET *);
  325 (* BRACKET_END *);
  326 (* BRACKET_HASHREF *);
  327 (* ARRAYREF *);
  328 (* ARRAYREF_END *);
  329 (* ARROW *);
  330 (* INCR *);
  331 (* DECR *);
  332 (* POWER *);
  333 (* TIGHT_NOT *);
  334 (* BIT_NEG *);
  335 (* REF *);
  336 (* PATTERN_MATCH *);
  337 (* PATTERN_MATCH_NOT *);
  338 (* MULT *);
  339 (* PLUS *);
  340 (* BIT_SHIFT *);
  341 (* LT *);
  342 (* GT *);
  343 (* CONCAT *);
  344 (* MULT_L_STR *);
  345 (* BIT_AND *);
  346 (* BIT_OR *);
  347 (* BIT_XOR *);
  348 (* AND_TIGHT *);
  349 (* OR_TIGHT *);
  350 (* DOTDOT *);
  351 (* QUESTION_MARK *);
  352 (* COLON *);
  353 (* COMMA *);
  354 (* RIGHT_ARROW *);
  355 (* NOT *);
  356 (* AND *);
  357 (* OR *);
  358 (* XOR *);
    0|]

let yylhs = "\255\255\
\001\000\008\000\008\000\008\000\010\000\010\000\010\000\010\000\
\010\000\010\000\010\000\010\000\012\000\012\000\015\000\015\000\
\016\000\016\000\013\000\013\000\013\000\013\000\013\000\013\000\
\019\000\017\000\017\000\009\000\009\000\009\000\009\000\009\000\
\009\000\011\000\011\000\011\000\011\000\011\000\011\000\011\000\
\011\000\011\000\011\000\011\000\022\000\022\000\023\000\023\000\
\023\000\025\000\025\000\025\000\020\000\020\000\020\000\020\000\
\020\000\024\000\024\000\002\000\002\000\002\000\028\000\028\000\
\028\000\028\000\028\000\028\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\030\000\030\000\042\000\
\042\000\042\000\042\000\042\000\042\000\042\000\042\000\042\000\
\042\000\042\000\042\000\042\000\038\000\038\000\036\000\036\000\
\036\000\036\000\036\000\007\000\007\000\007\000\007\000\007\000\
\007\000\007\000\007\000\007\000\043\000\043\000\043\000\035\000\
\035\000\035\000\034\000\034\000\034\000\031\000\031\000\044\000\
\044\000\033\000\033\000\033\000\033\000\033\000\033\000\033\000\
\045\000\045\000\045\000\045\000\045\000\045\000\032\000\032\000\
\005\000\005\000\006\000\006\000\006\000\006\000\006\000\006\000\
\021\000\021\000\027\000\027\000\014\000\041\000\041\000\041\000\
\041\000\041\000\041\000\029\000\029\000\026\000\026\000\026\000\
\047\000\047\000\047\000\004\000\004\000\004\000\004\000\040\000\
\040\000\040\000\037\000\037\000\037\000\039\000\039\000\039\000\
\046\000\046\000\046\000\018\000\018\000\000\000"

let yylen = "\002\000\
\002\000\000\000\001\000\002\000\001\000\001\000\001\000\001\000\
\001\000\001\000\002\000\003\000\009\000\009\000\000\000\008\000\
\000\000\004\000\008\000\008\000\011\000\009\000\008\000\004\000\
\007\000\000\000\004\000\001\000\003\000\003\000\003\000\003\000\
\003\000\003\000\002\000\002\000\003\000\004\000\006\000\007\000\
\003\000\004\000\004\000\001\000\003\000\005\000\003\000\002\000\
\001\000\003\000\002\000\001\000\002\000\002\000\002\000\004\000\
\001\000\000\000\001\000\003\000\003\000\001\000\002\000\003\000\
\005\000\003\000\005\000\001\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\003\000\004\000\004\000\004\000\003\000\003\000\003\000\003\000\
\003\000\003\000\003\000\003\000\003\000\003\000\003\000\003\000\
\005\000\007\000\007\000\009\000\002\000\002\000\002\000\002\000\
\002\000\002\000\002\000\002\000\002\000\002\000\003\000\005\000\
\002\000\003\000\003\000\003\000\004\000\004\000\001\000\002\000\
\001\000\002\000\001\000\002\000\001\000\001\000\002\000\004\000\
\002\000\002\000\002\000\002\000\002\000\004\000\002\000\001\000\
\003\000\003\000\002\000\003\000\005\000\002\000\002\000\005\000\
\006\000\002\000\005\000\007\000\008\000\004\000\003\000\004\000\
\003\000\002\000\003\000\003\000\003\000\001\000\002\000\001\000\
\002\000\001\000\002\000\002\000\001\000\002\000\004\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\002\000\003\000\003\000\002\000\
\002\000\003\000\002\000\003\000\002\000\002\000\002\000\003\000\
\003\000\002\000\004\000\003\000\001\000\001\000\001\000\002\000\
\003\000\005\000\002\000\003\000\005\000\001\000\005\000\001\000\
\005\000\002\000\003\000\003\000\003\000\002\000\002\000\002\000\
\002\000\002\000\002\000\002\000\002\000\002\000\002\000\004\000\
\003\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\001\000\
\001\000\001\000\001\000\001\000\001\000\001\000\001\000\002\000\
\001\000\002\000\002\000\001\000\002\000\002\000\006\000\001\000\
\002\000\002\000\001\000\002\000\002\000\001\000\002\000\002\000\
\001\000\002\000\002\000\000\000\001\000\002\000"

let yydefred = "\000\000\
\000\000\000\000\177\000\179\000\253\000\254\000\180\000\008\000\
\000\000\009\000\000\000\000\000\000\000\182\000\184\000\178\000\
\181\000\183\000\000\000\186\000\185\000\187\000\004\001\011\001\
\014\001\008\001\017\001\242\000\255\000\001\001\000\000\057\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\245\000\216\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\022\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\005\000\006\000\007\000\010\000\000\000\000\000\
\000\000\044\000\000\000\000\000\000\000\000\000\000\000\000\000\
\127\000\129\000\000\000\000\000\000\000\188\000\000\000\000\000\
\173\000\000\000\000\000\236\000\239\000\000\001\137\000\000\000\
\138\000\252\000\000\000\000\000\000\000\000\000\000\000\000\000\
\241\000\141\000\000\000\143\000\000\000\240\000\000\000\000\000\
\000\000\000\000\000\000\035\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\222\000\224\000\223\000\225\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\055\000\054\000\
\000\000\053\000\000\000\000\000\000\000\000\000\000\000\234\000\
\000\000\012\001\013\001\000\000\005\001\006\001\015\001\016\001\
\009\001\010\001\018\001\019\001\002\001\003\001\121\000\000\000\
\000\000\117\000\000\000\000\000\000\000\000\000\000\000\000\000\
\189\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\114\000\115\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\214\000\192\000\000\000\
\193\000\000\000\001\000\011\000\004\000\000\000\000\000\036\000\
\000\000\000\000\000\000\000\000\000\000\000\000\154\000\243\000\
\244\000\000\000\000\000\000\000\118\000\000\000\132\000\205\000\
\207\000\206\000\195\000\000\000\135\000\172\000\150\000\211\000\
\000\000\000\000\227\000\000\000\000\000\000\000\218\000\226\000\
\000\000\000\000\198\000\199\000\000\000\000\000\202\000\145\000\
\197\000\000\000\148\000\146\000\034\000\124\000\000\000\000\000\
\000\000\000\000\000\000\235\000\165\000\176\000\238\000\237\000\
\164\000\163\000\000\000\000\000\000\000\000\000\000\000\000\000\
\123\000\000\000\050\000\041\000\000\000\000\000\000\000\000\000\
\012\000\122\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\251\000\250\000\000\000\249\000\247\000\246\000\248\000\
\000\000\194\000\000\000\101\000\103\000\093\000\097\000\095\000\
\099\000\102\000\104\000\094\000\098\000\096\000\100\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\208\000\000\000\191\000\000\000\000\000\037\000\
\000\000\000\000\000\000\045\000\047\000\000\000\000\000\000\000\
\000\000\000\000\000\000\119\000\000\000\000\000\212\000\219\000\
\221\000\220\000\142\000\200\000\196\000\000\000\201\000\000\000\
\126\000\000\000\000\000\000\000\000\000\000\000\000\000\232\000\
\000\000\000\000\056\000\125\000\042\000\043\000\233\000\000\000\
\000\000\090\000\160\000\158\000\091\000\092\000\000\000\000\000\
\000\000\209\000\000\000\024\000\000\000\038\000\000\000\000\000\
\000\000\000\000\000\000\000\000\136\000\000\000\203\000\149\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\152\000\000\000\155\000\046\000\067\000\065\000\
\120\000\215\000\213\000\217\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\007\001\000\000\000\000\000\000\
\210\000\000\000\039\000\000\000\000\000\000\000\000\000\000\000\
\025\000\000\000\000\000\000\000\000\000\000\000\000\000\175\000\
\000\000\000\000\106\000\027\000\040\000\156\000\000\000\000\000\
\023\000\000\000\000\000\000\000\000\000\019\000\020\000\000\000\
\157\000\022\000\000\000\000\000\000\000\013\000\014\000\108\000\
\000\000\000\000\000\000\021\000\000\000\000\000\000\000\018\000\
\000\000\000\000\016\000"

let yydgoto = "\002\000\
\067\000\068\000\069\000\070\000\240\000\071\000\110\000\168\000\
\073\000\074\000\075\000\076\000\077\000\078\000\236\001\246\001\
\156\001\019\001\079\000\080\000\081\000\082\000\083\000\227\000\
\084\000\085\000\234\000\086\000\087\000\146\001\088\000\089\000\
\090\000\091\000\242\000\092\000\093\000\094\000\095\000\096\000\
\065\001\097\000\243\000\098\000\099\000\100\000\101\000"

let yysindex = "\017\000\
\141\021\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\011\001\000\000\162\015\174\024\174\024\000\000\000\000\000\000\
\000\000\000\000\005\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\198\254\000\000\
\188\255\174\024\112\002\026\255\215\254\224\254\007\025\017\255\
\031\255\025\000\174\024\039\255\111\255\088\255\125\255\087\255\
\246\255\087\255\087\255\087\255\087\255\000\000\000\000\193\019\
\174\024\142\255\174\024\174\024\174\024\174\024\174\024\174\024\
\063\022\174\024\000\000\178\000\159\030\023\255\165\255\234\000\
\177\255\141\021\000\000\000\000\000\000\000\000\141\021\021\255\
\096\025\000\000\174\024\112\002\178\255\069\255\148\255\152\022\
\000\000\000\000\182\255\254\254\220\254\000\000\190\255\178\255\
\000\000\241\022\084\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\141\021\030\255\192\255\198\255\174\024\178\255\
\000\000\000\000\234\254\000\000\207\255\000\000\195\255\214\255\
\069\255\069\255\244\255\000\000\029\020\210\255\008\000\174\024\
\069\255\129\030\178\255\000\000\000\000\000\000\000\000\174\024\
\174\024\193\019\181\003\174\024\174\024\223\255\000\000\000\000\
\121\020\000\000\181\003\069\255\177\255\141\021\141\021\000\000\
\174\024\000\000\000\000\185\025\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\221\255\
\012\255\000\000\222\255\222\255\104\255\104\255\104\255\104\255\
\000\000\218\030\069\255\174\024\174\024\174\024\174\024\174\024\
\174\024\174\024\174\024\174\024\174\024\174\024\174\024\018\026\
\040\030\000\000\000\000\174\024\216\000\003\003\174\024\174\024\
\174\024\174\024\174\024\174\024\174\024\174\024\174\024\174\024\
\107\026\196\026\174\024\029\027\174\024\000\000\000\000\074\023\
\000\000\007\255\000\000\000\000\000\000\229\255\213\020\000\000\
\049\021\069\255\177\255\069\255\069\255\236\255\000\000\000\000\
\000\000\118\027\207\027\163\023\000\000\004\255\000\000\000\000\
\000\000\000\000\000\000\174\024\000\000\000\000\000\000\000\000\
\163\023\074\255\000\000\020\000\028\000\030\000\000\000\000\000\
\029\000\254\254\000\000\000\000\007\255\056\030\000\000\000\000\
\000\000\174\024\000\000\000\000\000\000\000\000\032\000\174\024\
\247\255\158\255\177\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\173\255\215\255\036\000\024\000\046\000\048\000\
\000\000\040\000\000\000\000\000\073\000\075\000\211\255\163\023\
\000\000\000\000\140\029\136\255\136\255\136\255\136\255\136\255\
\220\255\136\255\181\003\181\003\232\031\232\031\232\031\163\023\
\241\030\000\000\000\000\178\255\000\000\000\000\000\000\000\000\
\178\255\000\000\104\255\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\136\002\
\042\003\250\003\181\003\181\003\042\003\136\002\216\031\199\031\
\199\031\163\023\144\031\163\023\124\031\067\031\163\023\135\030\
\159\030\163\023\000\000\120\255\000\000\094\000\193\019\000\000\
\082\000\193\019\085\000\000\000\000\000\174\024\163\023\159\030\
\163\023\241\030\134\000\000\000\205\000\043\002\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\178\255\000\000\045\002\
\000\000\114\000\174\024\087\000\174\024\090\000\097\000\000\000\
\099\000\125\000\000\000\000\000\000\000\000\000\000\000\049\002\
\065\002\000\000\000\000\000\000\000\000\000\000\118\002\040\028\
\135\002\000\000\127\000\000\000\218\255\000\000\182\000\230\021\
\130\000\168\002\208\002\045\255\000\000\100\001\000\000\000\000\
\138\000\185\000\141\021\136\255\177\255\141\021\141\021\141\021\
\141\021\139\000\136\000\111\000\163\023\044\031\086\255\141\021\
\203\254\211\254\000\000\174\024\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\141\021\142\000\144\000\174\024\
\148\000\155\000\161\000\172\000\000\000\007\255\129\028\210\002\
\000\000\208\000\000\000\211\000\174\024\212\000\069\255\218\000\
\000\000\094\000\223\000\166\000\166\000\094\000\094\000\000\000\
\163\023\044\031\000\000\000\000\000\000\000\000\174\024\094\000\
\000\000\225\000\228\000\249\000\249\000\000\000\000\000\227\002\
\000\000\000\000\141\021\174\024\231\000\000\000\000\000\000\000\
\227\000\039\002\141\021\000\000\239\000\240\000\141\021\000\000\
\245\000\166\000\000\000"

let yyrindex = "\000\000\
\063\002\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\192\005\085\009\154\009\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\229\009\255\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\218\028\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\051\029\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\074\000\253\017\158\002\133\003\000\000\
\007\000\015\000\000\000\000\000\000\000\000\000\007\001\000\000\
\045\010\000\000\025\001\219\029\000\000\042\015\152\001\000\000\
\000\000\000\000\203\003\016\004\250\002\000\000\093\004\064\003\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\043\001\
\000\000\000\000\007\001\163\004\232\004\006\006\000\000\000\000\
\000\000\000\000\250\002\000\000\093\004\000\000\000\000\000\000\
\214\006\035\007\000\000\000\000\000\000\000\000\000\000\030\001\
\105\007\075\006\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\086\014\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\155\014\252\023\000\000\007\001\007\001\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\202\008\015\009\114\010\184\010\253\010\072\011\
\000\000\000\000\174\007\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\244\007\000\000\057\008\085\024\000\000\000\000\000\000\
\000\000\144\011\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\145\255\224\255\175\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\033\001\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\213\011\084\000\093\000\095\000\118\000\121\000\
\003\000\122\000\039\000\225\014\185\015\254\015\068\016\000\000\
\173\017\000\000\000\000\046\005\000\000\000\000\000\000\000\000\
\115\005\000\000\027\012\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\171\012\
\126\013\014\014\038\015\113\015\195\013\243\012\137\016\212\016\
\251\016\000\000\034\017\000\000\073\017\113\017\000\000\000\000\
\008\018\000\000\000\000\000\000\000\000\008\019\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\031\001\000\000\066\018\
\000\000\194\017\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\088\002\000\000\000\000\
\000\000\000\000\000\000\000\000\030\001\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\035\001\000\000\035\001\056\013\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\007\001\001\255\000\000\007\001\007\001\007\001\
\007\001\000\000\145\006\000\000\000\000\007\016\000\000\007\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\007\001\000\000\000\000\041\001\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\096\012\000\000\132\008\000\000\
\000\000\008\019\000\000\172\018\172\018\008\019\008\019\000\000\
\000\000\152\017\000\000\000\000\000\000\000\000\096\012\008\019\
\000\000\000\000\000\000\101\019\101\019\000\000\000\000\000\000\
\000\000\000\000\007\001\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\007\001\000\000\000\000\000\000\007\001\000\000\
\000\000\172\018\000\000"

let yygindex = "\000\000\
\000\000\235\255\057\001\253\003\234\255\251\255\000\000\255\255\
\000\000\000\000\000\000\000\000\000\000\197\255\077\254\165\000\
\066\000\127\254\000\000\000\000\088\000\000\000\000\000\016\255\
\000\000\045\000\253\255\245\255\254\255\127\255\186\000\000\000\
\000\000\042\000\128\001\000\000\001\000\137\002\006\000\009\000\
\141\001\019\002\151\255\000\000\000\000\000\000\000\000"

let yytablesize = 8512
let yytable = "\072\000\
\121\000\122\000\060\000\173\001\007\001\109\000\003\000\123\000\
\113\000\125\000\054\000\115\000\152\000\220\000\002\000\211\001\
\117\000\001\000\054\000\118\000\224\000\152\000\129\000\213\001\
\136\000\155\000\158\000\160\000\162\000\164\000\166\000\244\000\
\113\000\137\000\214\000\169\000\113\000\152\000\070\000\113\000\
\113\000\237\001\113\000\148\000\152\000\010\001\124\000\215\000\
\214\000\132\000\133\000\134\000\114\000\102\000\179\000\112\000\
\113\000\113\000\113\000\113\000\113\000\113\000\113\000\055\000\
\021\001\153\000\238\000\021\001\214\000\226\000\219\001\228\000\
\221\000\028\000\153\000\116\001\250\000\222\000\003\002\131\000\
\042\001\113\000\140\000\033\000\054\000\003\001\251\000\066\001\
\223\000\036\001\153\000\135\000\029\000\214\000\030\000\000\001\
\141\000\153\000\111\000\008\001\214\000\152\000\002\001\185\000\
\186\000\001\001\018\001\252\000\253\000\254\000\023\000\185\000\
\186\000\005\000\027\001\028\001\193\001\031\000\030\001\031\001\
\032\000\061\000\130\000\015\001\021\001\161\001\231\000\113\000\
\230\000\146\000\023\001\039\001\149\000\241\000\039\001\024\001\
\029\001\247\000\118\000\028\000\119\001\232\000\233\000\034\001\
\035\001\049\000\106\000\228\000\037\001\038\001\255\000\241\000\
\124\001\009\001\153\000\150\000\127\001\209\001\044\001\045\001\
\046\001\047\001\048\001\049\001\050\001\232\000\233\000\108\001\
\228\000\228\000\228\000\229\000\026\001\185\000\186\000\189\001\
\193\000\194\000\195\000\196\000\232\000\233\000\232\000\233\000\
\113\000\113\000\113\000\113\000\113\000\113\000\113\000\154\001\
\151\000\113\000\100\001\101\001\113\000\113\000\113\000\113\000\
\113\000\113\000\113\000\113\000\113\000\113\000\113\000\113\000\
\113\000\113\000\113\000\126\000\152\000\170\000\115\001\133\001\
\149\001\022\001\150\001\185\000\186\000\105\001\117\001\107\001\
\132\001\109\001\230\000\118\001\230\001\218\000\127\000\113\000\
\113\000\219\000\241\000\185\000\186\000\064\001\125\001\134\001\
\054\000\228\000\228\000\055\000\128\001\235\000\241\001\230\000\
\230\000\230\000\130\001\180\000\214\000\128\000\246\000\216\000\
\005\001\185\000\186\000\113\000\152\000\181\000\145\000\055\000\
\182\000\153\000\183\000\184\000\214\000\023\000\006\001\012\001\
\185\000\186\000\144\001\016\001\216\000\216\000\216\000\143\001\
\063\001\135\001\167\000\005\000\142\000\013\001\185\001\017\001\
\032\001\041\001\145\001\143\000\060\000\216\000\193\000\216\000\
\113\000\102\001\147\000\241\000\216\000\110\001\060\000\241\000\
\049\000\060\000\064\001\060\000\060\000\028\000\185\000\186\000\
\131\001\156\000\185\000\186\000\106\000\185\000\186\000\185\000\
\230\000\230\000\060\000\144\000\145\001\060\000\145\001\060\000\
\070\000\151\001\060\000\003\000\153\001\070\000\070\000\070\000\
\070\000\157\001\070\000\002\000\159\001\070\000\120\001\070\000\
\070\000\162\001\137\001\163\001\145\000\063\001\121\001\139\000\
\122\001\123\001\228\000\147\000\129\001\147\001\070\000\060\000\
\136\001\070\000\148\001\070\000\140\001\170\001\070\000\172\001\
\138\001\200\001\139\001\171\000\172\000\173\000\174\000\175\000\
\176\000\178\000\216\000\185\000\186\000\212\001\214\001\070\000\
\070\000\070\000\070\000\070\000\070\000\070\000\070\000\070\000\
\070\000\028\000\070\000\070\000\070\000\141\001\028\000\142\001\
\155\001\185\000\186\000\033\000\228\000\113\000\158\001\241\000\
\033\000\160\001\171\001\061\000\029\000\174\001\030\000\208\001\
\194\001\029\000\196\001\030\000\175\001\061\000\176\001\167\001\
\061\000\199\001\061\000\061\000\201\001\202\001\203\001\204\001\
\215\001\229\000\172\001\194\001\169\001\031\000\210\001\224\001\
\032\000\061\000\031\000\216\000\061\000\032\000\061\000\216\000\
\177\001\061\000\184\001\216\001\190\001\217\000\229\000\229\000\
\229\000\228\000\164\001\240\001\113\000\197\001\207\001\205\001\
\206\001\217\001\235\001\180\000\218\001\185\000\186\000\180\000\
\220\001\068\001\239\000\228\000\245\000\181\000\250\001\221\001\
\182\000\181\000\183\000\184\000\182\000\222\001\183\000\184\000\
\069\001\185\000\186\000\004\001\070\001\071\001\072\001\023\000\
\223\001\249\001\011\001\051\001\052\001\053\001\054\001\055\001\
\057\001\254\001\186\001\198\001\067\001\001\002\252\000\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\091\001\093\001\094\001\096\001\097\001\006\000\229\000\
\229\000\165\001\049\000\009\000\228\001\185\000\186\000\229\001\
\231\001\185\000\186\000\233\001\185\000\186\000\232\001\238\001\
\239\001\234\001\112\001\114\001\243\001\244\001\245\001\252\001\
\029\000\242\001\251\001\253\000\253\000\253\000\253\000\253\000\
\185\000\186\000\255\001\253\000\000\002\253\000\253\000\253\000\
\253\000\002\002\253\000\253\000\253\000\253\000\002\000\253\000\
\253\000\253\000\253\000\253\000\253\000\253\000\253\000\253\000\
\253\000\253\000\253\000\002\000\147\000\253\000\253\000\147\000\
\147\000\147\000\147\000\147\000\147\000\253\000\147\000\204\000\
\058\000\147\000\253\000\147\000\147\000\020\001\253\000\253\000\
\021\001\058\000\028\000\084\001\253\000\253\000\253\000\253\000\
\253\000\253\000\147\000\020\001\253\000\147\000\253\000\147\000\
\253\000\253\000\147\000\147\000\147\000\147\000\147\000\253\000\
\253\000\253\000\147\000\147\000\147\000\147\000\147\000\147\000\
\147\000\147\000\147\000\147\000\147\000\147\000\147\000\147\000\
\147\000\147\000\147\000\147\000\147\000\253\000\147\000\147\000\
\147\000\247\001\126\001\116\000\025\001\000\000\000\000\000\000\
\241\000\241\000\241\000\241\000\241\000\235\000\000\000\000\000\
\241\000\000\000\241\000\241\000\241\000\241\000\195\001\241\000\
\241\000\241\000\241\000\000\000\241\000\241\000\241\000\241\000\
\241\000\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\000\000\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\241\000\241\000\241\000\241\000\232\000\233\000\241\000\241\000\
\241\000\241\000\000\000\241\000\241\000\000\000\000\000\000\000\
\182\001\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\000\000\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\241\000\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\241\000\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\241\000\241\000\241\000\241\000\241\000\241\000\241\000\241\000\
\241\000\238\000\241\000\241\000\241\000\241\000\000\000\252\000\
\252\000\000\000\000\000\252\000\000\000\000\000\000\000\226\001\
\000\000\252\000\252\000\252\000\252\000\000\000\252\000\252\000\
\252\000\252\000\000\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\000\000\000\000\252\000\252\000\000\000\
\252\000\252\000\000\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\000\000\000\000\252\000\252\000\252\000\
\252\000\000\000\252\000\252\000\000\000\000\000\000\000\000\000\
\252\000\252\000\252\000\252\000\252\000\252\000\252\000\240\000\
\252\000\252\000\252\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\252\000\252\000\252\000\252\000\252\000\
\252\000\252\000\252\000\252\000\252\000\000\000\204\000\000\000\
\000\000\253\001\000\000\000\000\000\000\000\000\000\000\166\001\
\000\000\168\001\005\000\006\000\000\000\178\001\000\000\000\000\
\009\000\204\000\000\000\000\000\204\000\204\000\204\000\204\000\
\204\000\204\000\000\000\204\000\133\000\179\001\204\000\000\000\
\204\000\204\000\185\000\186\000\028\000\029\000\185\000\186\000\
\185\000\186\000\000\000\106\000\185\000\186\000\000\000\204\000\
\000\000\000\000\204\000\204\000\204\000\000\000\204\000\204\000\
\204\000\204\000\204\000\204\000\185\000\186\000\000\000\204\000\
\204\000\204\000\204\000\204\000\204\000\204\000\204\000\204\000\
\204\000\204\000\204\000\204\000\204\000\204\000\204\000\204\000\
\204\000\204\000\180\001\204\000\204\000\204\000\000\000\235\000\
\000\000\000\000\235\000\235\000\235\000\235\000\235\000\235\000\
\000\000\235\000\131\000\183\001\235\000\000\000\235\000\235\000\
\193\000\194\000\195\000\196\000\000\000\000\000\000\000\197\000\
\198\000\185\000\186\000\000\000\000\000\235\000\235\000\000\000\
\235\000\000\000\235\000\000\000\000\000\235\000\235\000\235\000\
\235\000\235\000\185\000\186\000\191\001\235\000\235\000\235\000\
\235\000\235\000\235\000\235\000\235\000\235\000\235\000\235\000\
\235\000\235\000\235\000\235\000\235\000\235\000\235\000\235\000\
\000\000\235\000\235\000\235\000\074\001\000\000\000\000\108\000\
\000\000\000\000\000\000\185\000\186\000\000\000\000\000\134\000\
\000\000\000\000\000\000\075\001\192\001\000\000\227\001\076\001\
\077\001\078\001\023\000\238\000\000\000\000\000\238\000\238\000\
\238\000\238\000\238\000\238\000\000\000\238\000\000\000\248\001\
\238\000\000\000\238\000\238\000\154\000\157\000\159\000\161\000\
\163\000\165\000\000\000\185\000\186\000\185\000\186\000\000\000\
\000\000\238\000\238\000\000\000\238\000\049\000\238\000\000\000\
\000\000\238\000\238\000\238\000\238\000\238\000\185\000\186\000\
\000\000\238\000\238\000\238\000\238\000\238\000\238\000\238\000\
\238\000\238\000\238\000\238\000\238\000\238\000\238\000\238\000\
\238\000\238\000\238\000\238\000\237\000\238\000\238\000\238\000\
\000\000\240\000\000\000\000\000\240\000\240\000\240\000\240\000\
\240\000\240\000\000\000\240\000\000\000\000\000\240\000\000\000\
\240\000\240\000\193\000\194\000\195\000\196\000\000\000\000\000\
\000\000\197\000\198\000\199\000\000\000\000\000\020\001\240\000\
\240\000\205\000\240\000\000\000\240\000\000\000\000\000\240\000\
\240\000\240\000\240\000\240\000\000\000\000\000\000\000\240\000\
\240\000\240\000\240\000\240\000\240\000\240\000\240\000\240\000\
\240\000\240\000\240\000\240\000\240\000\240\000\240\000\240\000\
\240\000\240\000\235\000\240\000\240\000\240\000\133\000\000\000\
\000\000\133\000\133\000\133\000\133\000\133\000\133\000\000\000\
\133\000\000\000\000\000\133\000\000\000\133\000\133\000\000\000\
\000\000\000\000\000\000\000\000\000\000\062\001\000\000\000\000\
\000\000\073\001\079\001\000\000\133\000\000\000\000\000\133\000\
\000\000\133\000\000\000\000\000\133\000\133\000\133\000\133\000\
\133\000\000\000\000\000\000\000\133\000\133\000\133\000\133\000\
\133\000\133\000\133\000\133\000\133\000\133\000\133\000\133\000\
\133\000\133\000\133\000\133\000\133\000\133\000\133\000\139\000\
\133\000\133\000\133\000\000\000\131\000\000\000\000\000\131\000\
\131\000\131\000\131\000\131\000\131\000\000\000\131\000\000\000\
\000\000\131\000\000\000\131\000\131\000\193\000\194\000\195\000\
\196\000\000\000\062\001\000\000\197\000\198\000\199\000\200\000\
\201\000\000\000\131\000\204\000\205\000\131\000\000\000\131\000\
\000\000\000\000\131\000\131\000\131\000\131\000\131\000\000\000\
\000\000\000\000\131\000\131\000\131\000\131\000\131\000\131\000\
\131\000\131\000\131\000\131\000\131\000\131\000\131\000\131\000\
\131\000\131\000\131\000\131\000\131\000\161\000\131\000\131\000\
\131\000\134\000\000\000\000\000\134\000\134\000\134\000\134\000\
\134\000\134\000\000\000\134\000\000\000\000\000\134\000\000\000\
\134\000\134\000\193\000\194\000\195\000\196\000\000\000\000\000\
\000\000\197\000\198\000\199\000\200\000\000\000\000\000\134\000\
\204\000\205\000\134\000\000\000\134\000\000\000\000\000\134\000\
\134\000\134\000\134\000\134\000\000\000\000\000\000\000\134\000\
\134\000\134\000\134\000\134\000\134\000\134\000\134\000\134\000\
\134\000\134\000\134\000\134\000\134\000\134\000\134\000\134\000\
\134\000\134\000\159\000\134\000\134\000\134\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\237\000\000\000\
\000\000\237\000\237\000\237\000\237\000\237\000\237\000\000\000\
\237\000\000\000\000\000\237\000\000\000\237\000\237\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\237\000\000\000\000\000\237\000\
\000\000\237\000\000\000\000\000\237\000\237\000\237\000\237\000\
\237\000\000\000\000\000\000\000\237\000\237\000\237\000\237\000\
\237\000\237\000\237\000\237\000\237\000\237\000\237\000\237\000\
\237\000\237\000\237\000\237\000\237\000\237\000\237\000\144\000\
\237\000\237\000\237\000\000\000\235\000\000\000\000\000\235\000\
\235\000\235\000\235\000\235\000\235\000\000\000\235\000\000\000\
\000\000\235\000\000\000\235\000\235\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\235\000\235\000\000\000\235\000\000\000\235\000\
\000\000\000\000\235\000\000\000\235\000\235\000\235\000\000\000\
\000\000\000\000\235\000\235\000\235\000\235\000\235\000\235\000\
\235\000\235\000\235\000\235\000\235\000\235\000\235\000\235\000\
\235\000\235\000\235\000\235\000\235\000\140\000\235\000\235\000\
\235\000\139\000\000\000\000\000\139\000\139\000\139\000\139\000\
\139\000\139\000\000\000\139\000\000\000\000\000\139\000\000\000\
\139\000\139\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\139\000\
\000\000\000\000\139\000\000\000\139\000\000\000\000\000\139\000\
\139\000\139\000\139\000\139\000\000\000\000\000\000\000\139\000\
\139\000\139\000\139\000\139\000\139\000\139\000\139\000\139\000\
\139\000\139\000\139\000\139\000\139\000\139\000\139\000\139\000\
\139\000\139\000\162\000\139\000\139\000\139\000\000\000\161\000\
\000\000\000\000\161\000\161\000\161\000\161\000\161\000\161\000\
\000\000\161\000\000\000\000\000\161\000\000\000\161\000\161\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\161\000\000\000\000\000\
\161\000\000\000\161\000\000\000\000\000\161\000\161\000\161\000\
\161\000\161\000\000\000\000\000\000\000\161\000\161\000\161\000\
\161\000\161\000\161\000\161\000\161\000\161\000\161\000\161\000\
\161\000\161\000\161\000\161\000\161\000\161\000\161\000\161\000\
\174\000\161\000\161\000\161\000\159\000\000\000\000\000\159\000\
\159\000\159\000\159\000\159\000\159\000\000\000\159\000\000\000\
\000\000\159\000\000\000\159\000\159\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\159\000\000\000\000\000\159\000\000\000\159\000\
\000\000\000\000\159\000\159\000\159\000\159\000\159\000\000\000\
\000\000\000\000\159\000\159\000\159\000\159\000\159\000\159\000\
\159\000\159\000\159\000\159\000\159\000\159\000\159\000\159\000\
\159\000\159\000\159\000\159\000\159\000\171\000\159\000\159\000\
\159\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\144\000\000\000\000\000\144\000\144\000\144\000\144\000\
\144\000\144\000\000\000\144\000\000\000\000\000\144\000\000\000\
\144\000\144\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\144\000\
\000\000\000\000\144\000\000\000\144\000\000\000\000\000\144\000\
\144\000\144\000\144\000\144\000\000\000\000\000\000\000\144\000\
\144\000\144\000\144\000\144\000\000\000\144\000\144\000\144\000\
\144\000\144\000\144\000\144\000\144\000\144\000\144\000\144\000\
\144\000\144\000\169\000\144\000\144\000\144\000\000\000\140\000\
\000\000\000\000\140\000\140\000\140\000\140\000\140\000\140\000\
\000\000\140\000\000\000\000\000\140\000\000\000\140\000\140\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\140\000\000\000\000\000\
\140\000\000\000\140\000\000\000\000\000\140\000\000\000\140\000\
\140\000\140\000\000\000\000\000\000\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\140\000\140\000\140\000\140\000\140\000\140\000\140\000\140\000\
\167\000\140\000\140\000\140\000\162\000\000\000\000\000\162\000\
\162\000\162\000\162\000\162\000\162\000\000\000\162\000\000\000\
\000\000\162\000\000\000\162\000\162\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\162\000\000\000\000\000\162\000\000\000\162\000\
\000\000\000\000\162\000\162\000\162\000\162\000\162\000\000\000\
\000\000\000\000\162\000\162\000\162\000\162\000\162\000\000\000\
\162\000\162\000\162\000\162\000\162\000\162\000\162\000\162\000\
\162\000\162\000\162\000\162\000\162\000\116\000\162\000\162\000\
\162\000\000\000\174\000\000\000\000\000\174\000\174\000\174\000\
\174\000\174\000\174\000\000\000\174\000\000\000\000\000\174\000\
\000\000\174\000\174\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\174\000\000\000\000\000\174\000\000\000\174\000\000\000\000\000\
\174\000\000\000\174\000\174\000\174\000\000\000\000\000\000\000\
\174\000\174\000\174\000\174\000\174\000\174\000\174\000\174\000\
\174\000\174\000\174\000\174\000\174\000\174\000\174\000\174\000\
\174\000\174\000\174\000\151\000\174\000\174\000\174\000\171\000\
\000\000\000\000\171\000\171\000\171\000\171\000\171\000\171\000\
\000\000\171\000\000\000\000\000\171\000\000\000\171\000\171\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\171\000\000\000\000\000\
\171\000\000\000\171\000\000\000\000\000\171\000\171\000\171\000\
\171\000\171\000\000\000\000\000\000\000\171\000\171\000\171\000\
\171\000\171\000\171\000\171\000\171\000\171\000\171\000\171\000\
\171\000\171\000\171\000\171\000\171\000\171\000\000\000\000\000\
\059\000\171\000\171\000\171\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\169\000\000\000\000\000\169\000\
\169\000\169\000\169\000\169\000\169\000\000\000\169\000\000\000\
\000\000\169\000\000\000\169\000\169\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\169\000\000\000\000\000\169\000\000\000\169\000\
\000\000\000\000\169\000\169\000\169\000\169\000\169\000\000\000\
\000\000\000\000\169\000\169\000\169\000\169\000\169\000\169\000\
\169\000\169\000\169\000\169\000\169\000\169\000\169\000\169\000\
\169\000\169\000\169\000\153\000\000\000\000\000\169\000\169\000\
\169\000\000\000\167\000\000\000\000\000\167\000\167\000\167\000\
\167\000\167\000\167\000\000\000\167\000\000\000\000\000\167\000\
\000\000\167\000\167\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\167\000\000\000\000\000\167\000\000\000\167\000\000\000\000\000\
\167\000\167\000\167\000\167\000\167\000\000\000\000\000\000\000\
\167\000\167\000\167\000\167\000\167\000\167\000\167\000\167\000\
\167\000\167\000\167\000\167\000\167\000\167\000\167\000\167\000\
\167\000\112\000\000\000\000\000\167\000\167\000\167\000\116\000\
\000\000\000\000\116\000\116\000\116\000\116\000\116\000\116\000\
\000\000\116\000\000\000\000\000\116\000\000\000\116\000\116\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\116\000\000\000\000\000\
\116\000\000\000\116\000\000\000\000\000\116\000\116\000\116\000\
\116\000\116\000\000\000\000\000\000\000\116\000\116\000\116\000\
\116\000\116\000\116\000\116\000\116\000\116\000\116\000\116\000\
\116\000\116\000\116\000\116\000\116\000\116\000\113\000\000\000\
\000\000\116\000\116\000\116\000\000\000\151\000\000\000\000\000\
\151\000\151\000\151\000\151\000\151\000\151\000\000\000\151\000\
\000\000\000\000\151\000\000\000\151\000\151\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\151\000\000\000\000\000\151\000\000\000\
\151\000\000\000\000\000\151\000\151\000\151\000\151\000\151\000\
\000\000\000\000\000\000\151\000\151\000\151\000\151\000\151\000\
\151\000\151\000\151\000\151\000\151\000\151\000\151\000\151\000\
\151\000\151\000\151\000\151\000\170\000\000\000\000\000\151\000\
\151\000\151\000\059\000\000\000\000\000\059\000\059\000\059\000\
\059\000\059\000\059\000\000\000\059\000\000\000\000\000\059\000\
\000\000\059\000\059\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\059\000\000\000\000\000\059\000\000\000\059\000\000\000\000\000\
\059\000\059\000\059\000\059\000\059\000\000\000\000\000\000\000\
\059\000\059\000\059\000\059\000\059\000\059\000\059\000\059\000\
\059\000\059\000\059\000\059\000\059\000\059\000\059\000\059\000\
\059\000\168\000\000\000\000\000\059\000\059\000\059\000\000\000\
\000\000\000\000\000\000\000\000\000\000\153\000\000\000\000\000\
\153\000\153\000\153\000\153\000\153\000\153\000\000\000\153\000\
\000\000\000\000\153\000\000\000\153\000\153\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\153\000\000\000\000\000\153\000\000\000\
\153\000\000\000\000\000\153\000\153\000\153\000\153\000\153\000\
\000\000\000\000\000\000\153\000\153\000\153\000\153\000\153\000\
\153\000\153\000\153\000\153\000\153\000\153\000\153\000\153\000\
\153\000\153\000\153\000\153\000\166\000\000\000\000\000\153\000\
\153\000\153\000\000\000\112\000\000\000\000\000\112\000\112\000\
\112\000\112\000\112\000\112\000\000\000\112\000\000\000\000\000\
\112\000\000\000\112\000\112\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\112\000\000\000\000\000\112\000\000\000\112\000\000\000\
\000\000\112\000\000\000\000\000\000\000\112\000\000\000\000\000\
\000\000\112\000\112\000\112\000\112\000\112\000\112\000\112\000\
\112\000\112\000\112\000\112\000\112\000\112\000\112\000\112\000\
\112\000\112\000\112\000\112\000\176\000\112\000\112\000\112\000\
\113\000\000\000\000\000\113\000\113\000\113\000\113\000\113\000\
\113\000\000\000\113\000\000\000\000\000\113\000\000\000\113\000\
\113\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\113\000\000\000\
\000\000\113\000\000\000\113\000\000\000\000\000\113\000\000\000\
\000\000\000\000\113\000\000\000\000\000\000\000\113\000\113\000\
\113\000\113\000\113\000\113\000\113\000\113\000\113\000\113\000\
\113\000\113\000\113\000\113\000\113\000\113\000\113\000\113\000\
\113\000\110\000\113\000\113\000\113\000\000\000\170\000\000\000\
\000\000\170\000\170\000\170\000\170\000\170\000\170\000\000\000\
\170\000\000\000\000\000\170\000\000\000\170\000\170\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\170\000\000\000\000\000\170\000\
\000\000\170\000\000\000\000\000\170\000\170\000\000\000\000\000\
\170\000\000\000\000\000\000\000\170\000\170\000\170\000\000\000\
\170\000\000\000\170\000\170\000\170\000\170\000\170\000\170\000\
\170\000\170\000\170\000\170\000\170\000\170\000\170\000\111\000\
\170\000\170\000\170\000\168\000\000\000\000\000\168\000\168\000\
\168\000\168\000\168\000\168\000\000\000\168\000\000\000\000\000\
\168\000\000\000\168\000\168\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\168\000\000\000\000\000\168\000\000\000\168\000\000\000\
\000\000\168\000\168\000\000\000\000\000\168\000\000\000\000\000\
\000\000\168\000\168\000\168\000\000\000\168\000\000\000\168\000\
\168\000\168\000\168\000\168\000\168\000\168\000\168\000\168\000\
\168\000\168\000\168\000\168\000\128\000\168\000\168\000\168\000\
\000\000\000\000\000\000\000\000\000\000\000\000\166\000\000\000\
\000\000\166\000\166\000\166\000\166\000\166\000\166\000\000\000\
\166\000\000\000\000\000\166\000\000\000\166\000\166\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\166\000\000\000\000\000\166\000\
\000\000\166\000\000\000\000\000\166\000\166\000\000\000\000\000\
\166\000\000\000\000\000\000\000\166\000\166\000\166\000\000\000\
\166\000\000\000\166\000\166\000\166\000\166\000\166\000\166\000\
\166\000\166\000\166\000\166\000\166\000\166\000\166\000\109\000\
\166\000\166\000\166\000\000\000\000\000\000\000\176\000\000\000\
\000\000\176\000\176\000\176\000\176\000\176\000\176\000\000\000\
\176\000\000\000\000\000\176\000\000\000\176\000\176\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\176\000\000\000\000\000\176\000\
\000\000\176\000\000\000\000\000\176\000\176\000\000\000\000\000\
\176\000\000\000\000\000\000\000\176\000\176\000\176\000\000\000\
\176\000\000\000\176\000\176\000\176\000\176\000\176\000\176\000\
\176\000\176\000\176\000\176\000\176\000\176\000\176\000\063\000\
\176\000\176\000\176\000\110\000\000\000\000\000\110\000\110\000\
\110\000\110\000\110\000\110\000\000\000\110\000\000\000\000\000\
\110\000\000\000\110\000\110\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\110\000\000\000\000\000\110\000\000\000\110\000\000\000\
\000\000\110\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\110\000\110\000\110\000\110\000\110\000\110\000\110\000\
\110\000\110\000\110\000\110\000\110\000\110\000\110\000\110\000\
\110\000\110\000\110\000\110\000\190\000\110\000\110\000\110\000\
\000\000\111\000\000\000\000\000\111\000\111\000\111\000\111\000\
\111\000\111\000\000\000\111\000\000\000\000\000\111\000\000\000\
\111\000\111\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\111\000\
\000\000\000\000\111\000\000\000\111\000\000\000\000\000\111\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\111\000\
\111\000\111\000\111\000\111\000\111\000\111\000\111\000\111\000\
\111\000\111\000\111\000\111\000\111\000\111\000\111\000\111\000\
\111\000\111\000\079\000\111\000\111\000\111\000\128\000\000\000\
\000\000\128\000\128\000\128\000\128\000\128\000\128\000\000\000\
\128\000\000\000\000\000\128\000\000\000\128\000\128\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\128\000\000\000\000\000\128\000\
\000\000\128\000\000\000\000\000\128\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\128\000\128\000\128\000\128\000\
\128\000\128\000\128\000\128\000\128\000\128\000\128\000\128\000\
\128\000\128\000\128\000\128\000\128\000\128\000\128\000\058\000\
\128\000\128\000\128\000\000\000\000\000\000\000\000\000\000\000\
\000\000\109\000\000\000\000\000\109\000\109\000\109\000\109\000\
\109\000\109\000\000\000\109\000\000\000\000\000\109\000\000\000\
\109\000\109\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\109\000\
\000\000\000\000\109\000\000\000\109\000\000\000\000\000\109\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\109\000\
\109\000\109\000\109\000\109\000\109\000\109\000\109\000\109\000\
\109\000\109\000\109\000\109\000\109\000\109\000\109\000\109\000\
\109\000\109\000\087\000\109\000\109\000\109\000\000\000\000\000\
\000\000\063\000\000\000\000\000\063\000\063\000\063\000\063\000\
\063\000\063\000\000\000\063\000\000\000\000\000\063\000\000\000\
\063\000\063\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\063\000\
\000\000\000\000\063\000\000\000\063\000\000\000\000\000\063\000\
\063\000\000\000\000\000\063\000\000\000\000\000\000\000\063\000\
\063\000\063\000\000\000\063\000\000\000\063\000\063\000\063\000\
\063\000\063\000\063\000\063\000\063\000\063\000\063\000\063\000\
\063\000\063\000\088\000\063\000\063\000\063\000\190\000\000\000\
\000\000\190\000\190\000\190\000\190\000\190\000\190\000\000\000\
\190\000\000\000\000\000\190\000\000\000\190\000\190\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\190\000\000\000\000\000\190\000\
\000\000\190\000\000\000\000\000\190\000\190\000\000\000\000\000\
\190\000\000\000\000\000\000\000\190\000\190\000\190\000\000\000\
\190\000\000\000\190\000\190\000\190\000\190\000\190\000\190\000\
\190\000\190\000\190\000\190\000\190\000\190\000\190\000\058\000\
\190\000\190\000\190\000\000\000\079\000\000\000\000\000\079\000\
\079\000\079\000\079\000\079\000\079\000\000\000\079\000\000\000\
\000\000\079\000\000\000\079\000\079\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\079\000\000\000\000\000\079\000\000\000\079\000\
\000\000\000\000\079\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\079\000\079\000\079\000\079\000\079\000\079\000\
\079\000\079\000\079\000\079\000\079\000\079\000\079\000\079\000\
\079\000\079\000\079\000\079\000\079\000\080\000\079\000\079\000\
\079\000\058\000\000\000\000\000\058\000\058\000\058\000\058\000\
\058\000\058\000\000\000\058\000\000\000\000\000\058\000\000\000\
\058\000\058\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\058\000\
\000\000\000\000\058\000\000\000\058\000\000\000\000\000\058\000\
\058\000\000\000\000\000\058\000\000\000\000\000\000\000\058\000\
\058\000\058\000\000\000\058\000\000\000\058\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\058\000\058\000\058\000\
\058\000\058\000\081\000\058\000\058\000\058\000\000\000\000\000\
\000\000\000\000\000\000\000\000\087\000\000\000\000\000\087\000\
\087\000\087\000\087\000\087\000\087\000\000\000\087\000\000\000\
\000\000\087\000\000\000\087\000\087\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\087\000\000\000\000\000\087\000\000\000\087\000\
\000\000\000\000\087\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\087\000\087\000\087\000\087\000\
\087\000\087\000\087\000\087\000\087\000\087\000\087\000\087\000\
\087\000\087\000\087\000\087\000\087\000\082\000\087\000\087\000\
\087\000\000\000\000\000\000\000\088\000\000\000\000\000\088\000\
\088\000\088\000\088\000\088\000\088\000\000\000\088\000\000\000\
\000\000\088\000\000\000\088\000\088\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\088\000\000\000\000\000\088\000\000\000\088\000\
\000\000\000\000\088\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\088\000\088\000\088\000\088\000\
\088\000\088\000\088\000\088\000\088\000\088\000\088\000\088\000\
\088\000\088\000\088\000\088\000\088\000\231\000\088\000\088\000\
\088\000\058\000\000\000\000\000\058\000\058\000\058\000\058\000\
\058\000\058\000\000\000\058\000\000\000\000\000\058\000\000\000\
\058\000\058\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\058\000\
\000\000\000\000\058\000\000\000\058\000\000\000\000\000\058\000\
\058\000\000\000\000\000\058\000\000\000\000\000\000\000\058\000\
\058\000\000\000\000\000\058\000\000\000\058\000\058\000\058\000\
\058\000\058\000\058\000\058\000\058\000\058\000\058\000\058\000\
\000\000\058\000\130\000\058\000\058\000\058\000\000\000\080\000\
\000\000\000\000\080\000\080\000\080\000\080\000\080\000\080\000\
\000\000\080\000\000\000\000\000\080\000\000\000\080\000\080\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\080\000\000\000\000\000\
\080\000\000\000\080\000\000\000\000\000\080\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\080\000\080\000\080\000\080\000\080\000\000\000\080\000\080\000\
\080\000\080\000\080\000\080\000\080\000\080\000\080\000\080\000\
\069\000\080\000\080\000\080\000\081\000\000\000\000\000\081\000\
\081\000\081\000\081\000\081\000\081\000\000\000\081\000\000\000\
\000\000\081\000\000\000\081\000\081\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\081\000\000\000\000\000\081\000\000\000\081\000\
\000\000\000\000\081\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\081\000\081\000\081\000\
\081\000\081\000\000\000\081\000\081\000\081\000\081\000\081\000\
\081\000\081\000\081\000\081\000\081\000\071\000\081\000\081\000\
\081\000\062\000\000\000\000\000\000\000\000\000\000\000\082\000\
\000\000\000\000\082\000\082\000\082\000\082\000\082\000\082\000\
\000\000\082\000\000\000\000\000\082\000\000\000\082\000\082\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\082\000\000\000\000\000\
\082\000\000\000\082\000\000\000\000\000\082\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\082\000\082\000\082\000\000\000\000\000\082\000\082\000\
\082\000\082\000\082\000\082\000\082\000\082\000\082\000\082\000\
\072\000\082\000\082\000\082\000\000\000\000\000\000\000\231\000\
\000\000\000\000\231\000\231\000\231\000\231\000\231\000\231\000\
\000\000\231\000\000\000\000\000\231\000\000\000\231\000\231\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\231\000\000\000\000\000\
\231\000\000\000\231\000\000\000\000\000\231\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\231\000\231\000\000\000\000\000\231\000\231\000\
\231\000\231\000\231\000\231\000\231\000\231\000\231\000\231\000\
\073\000\231\000\231\000\231\000\130\000\000\000\000\000\130\000\
\130\000\130\000\130\000\130\000\130\000\000\000\130\000\000\000\
\000\000\130\000\000\000\130\000\130\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\130\000\000\000\000\000\130\000\000\000\130\000\
\000\000\000\000\130\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\130\000\
\130\000\000\000\000\000\130\000\130\000\130\000\130\000\130\000\
\130\000\130\000\130\000\130\000\130\000\074\000\130\000\130\000\
\130\000\000\000\069\000\000\000\000\000\000\000\105\000\069\000\
\069\000\069\000\069\000\000\000\069\000\000\000\000\000\069\000\
\000\000\069\000\069\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\069\000\000\000\000\000\069\000\000\000\069\000\000\000\000\000\
\069\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\069\000\069\000\069\000\069\000\069\000\069\000\069\000\
\069\000\069\000\069\000\075\000\069\000\069\000\069\000\071\000\
\000\000\000\000\000\000\062\000\071\000\071\000\071\000\071\000\
\000\000\071\000\000\000\000\000\071\000\062\000\071\000\071\000\
\062\000\000\000\062\000\062\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\071\000\000\000\000\000\
\071\000\062\000\071\000\000\000\062\000\071\000\062\000\000\000\
\000\000\062\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\071\000\071\000\
\071\000\071\000\071\000\071\000\071\000\071\000\071\000\071\000\
\076\000\071\000\071\000\071\000\000\000\062\000\062\000\000\000\
\000\000\000\000\072\000\000\000\000\000\000\000\000\000\072\000\
\072\000\072\000\072\000\000\000\072\000\000\000\000\000\072\000\
\000\000\072\000\072\000\103\000\104\000\006\000\000\000\000\000\
\000\000\000\000\009\000\000\000\000\000\000\000\000\000\000\000\
\072\000\000\000\105\000\072\000\000\000\072\000\000\000\000\000\
\072\000\023\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\000\000\000\000\000\000\000\000\106\000\000\000\000\000\
\000\000\072\000\072\000\072\000\072\000\072\000\072\000\072\000\
\072\000\072\000\072\000\077\000\072\000\072\000\072\000\000\000\
\000\000\000\000\073\000\048\000\049\000\050\000\051\000\052\000\
\053\000\000\000\073\000\055\000\073\000\107\000\000\000\073\000\
\000\000\073\000\073\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\065\000\000\000\
\073\000\000\000\078\000\073\000\000\000\073\000\000\000\000\000\
\073\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\073\000\073\000\073\000\073\000\073\000\073\000\073\000\
\073\000\073\000\073\000\000\000\073\000\073\000\073\000\074\000\
\000\000\085\000\000\000\000\000\000\000\000\000\000\000\074\000\
\105\000\074\000\000\000\000\000\074\000\000\000\074\000\074\000\
\105\000\000\000\105\000\000\000\000\000\105\000\000\000\105\000\
\105\000\000\000\000\000\000\000\000\000\074\000\000\000\000\000\
\074\000\000\000\074\000\000\000\000\000\074\000\105\000\000\000\
\086\000\105\000\000\000\105\000\000\000\000\000\105\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\074\000\074\000\
\074\000\074\000\074\000\074\000\074\000\074\000\074\000\074\000\
\000\000\074\000\074\000\074\000\000\000\075\000\105\000\105\000\
\105\000\000\000\105\000\105\000\105\000\075\000\000\000\075\000\
\084\000\000\000\075\000\000\000\075\000\075\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\075\000\000\000\000\000\075\000\000\000\
\075\000\000\000\000\000\075\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\107\000\
\000\000\000\000\000\000\000\000\075\000\075\000\075\000\075\000\
\075\000\075\000\075\000\075\000\075\000\075\000\000\000\075\000\
\075\000\075\000\076\000\000\000\089\000\000\000\000\000\000\000\
\000\000\000\000\076\000\000\000\076\000\000\000\000\000\076\000\
\000\000\076\000\076\000\000\000\000\000\000\000\000\000\000\000\
\000\000\064\000\000\000\000\000\000\000\000\000\000\000\000\000\
\076\000\000\000\000\000\076\000\000\000\076\000\000\000\000\000\
\076\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\076\000\076\000\076\000\076\000\076\000\076\000\076\000\
\076\000\076\000\076\000\000\000\076\000\076\000\076\000\000\000\
\000\000\000\000\000\000\000\000\000\000\077\000\000\000\000\000\
\000\000\000\000\000\000\000\000\068\000\077\000\000\000\077\000\
\000\000\000\000\077\000\000\000\077\000\077\000\000\000\083\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\077\000\000\000\000\000\077\000\000\000\
\077\000\000\000\000\000\077\000\078\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\078\000\000\000\078\000\000\000\
\000\000\078\000\000\000\078\000\078\000\077\000\077\000\077\000\
\077\000\077\000\077\000\077\000\077\000\077\000\000\000\077\000\
\077\000\077\000\078\000\000\000\000\000\078\000\000\000\078\000\
\000\000\066\000\078\000\085\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\085\000\000\000\085\000\000\000\000\000\
\085\000\000\000\085\000\085\000\078\000\078\000\078\000\078\000\
\078\000\078\000\078\000\078\000\078\000\000\000\078\000\078\000\
\078\000\085\000\000\000\000\000\085\000\000\000\085\000\000\000\
\000\000\085\000\086\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\086\000\000\000\086\000\000\000\000\000\086\000\
\000\000\086\000\086\000\000\000\000\000\085\000\085\000\085\000\
\085\000\085\000\085\000\085\000\000\000\085\000\085\000\085\000\
\086\000\000\000\000\000\086\000\000\000\086\000\000\000\000\000\
\086\000\000\000\084\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\084\000\000\000\084\000\000\000\000\000\084\000\
\000\000\084\000\084\000\000\000\000\000\086\000\086\000\086\000\
\086\000\086\000\086\000\015\000\086\000\086\000\086\000\000\000\
\084\000\000\000\000\000\084\000\000\000\084\000\000\000\000\000\
\084\000\107\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\107\000\000\000\107\000\000\000\000\000\107\000\000\000\
\107\000\107\000\000\000\000\000\000\000\000\000\089\000\084\000\
\084\000\084\000\084\000\000\000\084\000\084\000\084\000\107\000\
\089\000\000\000\107\000\089\000\107\000\089\000\089\000\107\000\
\000\000\000\000\000\000\064\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\089\000\064\000\000\000\089\000\
\064\000\089\000\064\000\064\000\089\000\000\000\000\000\107\000\
\107\000\107\000\000\000\107\000\107\000\107\000\000\000\000\000\
\000\000\064\000\000\000\000\000\064\000\000\000\064\000\026\000\
\000\000\064\000\000\000\000\000\089\000\089\000\089\000\000\000\
\089\000\089\000\089\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\068\000\000\000\
\000\000\064\000\064\000\064\000\000\000\064\000\064\000\064\000\
\068\000\083\000\000\000\068\000\000\000\068\000\068\000\000\000\
\000\000\000\000\000\000\083\000\000\000\000\000\083\000\000\000\
\083\000\083\000\000\000\000\000\068\000\000\000\000\000\068\000\
\000\000\068\000\000\000\000\000\068\000\000\000\000\000\083\000\
\000\000\000\000\083\000\000\000\083\000\000\000\000\000\083\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\068\000\068\000\068\000\000\000\
\068\000\068\000\000\000\066\000\017\000\000\000\000\000\083\000\
\083\000\083\000\000\000\083\000\083\000\066\000\000\000\000\000\
\066\000\000\000\066\000\066\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\066\000\000\000\000\000\066\000\000\000\066\000\000\000\
\000\000\066\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\066\000\066\000\066\000\000\000\066\000\066\000\000\000\
\000\000\000\000\000\000\000\000\015\000\015\000\015\000\015\000\
\015\000\000\000\000\000\015\000\015\000\015\000\015\000\015\000\
\015\000\015\000\000\000\015\000\015\000\015\000\015\000\015\000\
\015\000\015\000\015\000\015\000\015\000\015\000\015\000\015\000\
\015\000\015\000\015\000\015\000\015\000\015\000\015\000\015\000\
\000\000\000\000\000\000\000\000\000\000\000\000\015\000\015\000\
\000\000\015\000\015\000\015\000\015\000\015\000\000\000\015\000\
\015\000\015\000\015\000\015\000\015\000\015\000\015\000\015\000\
\015\000\015\000\015\000\015\000\000\000\015\000\000\000\015\000\
\015\000\015\000\015\000\000\000\000\000\015\000\015\000\000\000\
\015\000\015\000\015\000\000\000\000\000\000\000\015\000\000\000\
\015\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\026\000\026\000\026\000\026\000\026\000\000\000\015\000\026\000\
\026\000\026\000\026\000\026\000\026\000\026\000\000\000\026\000\
\026\000\026\000\026\000\026\000\026\000\026\000\026\000\026\000\
\026\000\026\000\026\000\026\000\026\000\026\000\026\000\026\000\
\026\000\026\000\026\000\026\000\000\000\000\000\000\000\000\000\
\000\000\000\000\026\000\026\000\000\000\000\000\026\000\026\000\
\026\000\026\000\000\000\026\000\026\000\026\000\026\000\026\000\
\026\000\026\000\026\000\026\000\026\000\026\000\026\000\026\000\
\000\000\026\000\000\000\026\000\026\000\026\000\026\000\000\000\
\000\000\026\000\026\000\000\000\026\000\026\000\026\000\000\000\
\000\000\000\000\026\000\000\000\026\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\017\000\017\000\017\000\
\017\000\017\000\026\000\000\000\017\000\017\000\017\000\017\000\
\017\000\017\000\017\000\000\000\017\000\017\000\017\000\017\000\
\017\000\017\000\017\000\017\000\017\000\017\000\017\000\017\000\
\017\000\017\000\017\000\017\000\017\000\017\000\017\000\017\000\
\017\000\000\000\000\000\000\000\000\000\000\000\000\000\017\000\
\017\000\000\000\000\000\017\000\017\000\017\000\017\000\000\000\
\017\000\017\000\017\000\017\000\017\000\017\000\017\000\017\000\
\017\000\017\000\017\000\017\000\017\000\000\000\017\000\000\000\
\017\000\017\000\017\000\017\000\000\000\000\000\017\000\017\000\
\000\000\017\000\017\000\017\000\000\000\000\000\000\000\017\000\
\000\000\017\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\003\000\004\000\005\000\006\000\007\000\000\000\017\000\
\008\000\009\000\010\000\011\000\012\000\013\000\014\000\000\000\
\015\000\016\000\017\000\018\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\036\000\037\000\000\000\000\000\038\000\
\039\000\040\000\041\000\000\000\042\000\043\000\044\000\045\000\
\046\000\047\000\048\000\049\000\050\000\051\000\052\000\053\000\
\054\000\000\000\055\000\000\000\056\000\167\000\057\000\058\000\
\000\000\000\000\059\000\060\000\000\000\061\000\062\000\063\000\
\000\000\000\000\000\000\064\000\000\000\065\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\003\000\004\000\005\000\
\006\000\007\000\000\000\066\000\008\000\009\000\010\000\011\000\
\012\000\013\000\014\000\000\000\015\000\016\000\017\000\018\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\000\000\000\000\000\000\000\000\000\000\000\000\036\000\
\037\000\000\000\000\000\038\000\039\000\040\000\041\000\000\000\
\042\000\043\000\044\000\045\000\046\000\047\000\048\000\049\000\
\050\000\051\000\052\000\053\000\054\000\000\000\055\000\000\000\
\056\000\014\001\057\000\058\000\000\000\000\000\059\000\060\000\
\000\000\061\000\062\000\063\000\000\000\000\000\000\000\064\000\
\000\000\065\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\003\000\004\000\005\000\006\000\007\000\000\000\066\000\
\008\000\009\000\010\000\011\000\012\000\013\000\014\000\000\000\
\015\000\016\000\017\000\018\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\036\000\037\000\000\000\000\000\038\000\
\039\000\040\000\041\000\000\000\042\000\043\000\044\000\045\000\
\046\000\047\000\048\000\049\000\050\000\051\000\052\000\053\000\
\054\000\000\000\055\000\000\000\056\000\033\001\057\000\058\000\
\000\000\000\000\059\000\060\000\000\000\061\000\062\000\063\000\
\000\000\000\000\000\000\064\000\000\000\065\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\003\000\004\000\005\000\
\006\000\007\000\000\000\066\000\008\000\009\000\010\000\011\000\
\012\000\013\000\014\000\000\000\015\000\016\000\017\000\018\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\000\000\000\000\000\000\000\000\000\000\000\000\036\000\
\037\000\000\000\000\000\038\000\039\000\040\000\041\000\000\000\
\042\000\043\000\044\000\045\000\046\000\047\000\048\000\049\000\
\050\000\051\000\052\000\053\000\054\000\000\000\055\000\000\000\
\103\001\104\001\057\000\058\000\000\000\000\000\059\000\060\000\
\000\000\061\000\062\000\063\000\000\000\000\000\000\000\064\000\
\000\000\065\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\003\000\004\000\005\000\006\000\007\000\000\000\066\000\
\008\000\009\000\010\000\011\000\012\000\013\000\014\000\000\000\
\015\000\016\000\017\000\018\000\019\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\032\000\033\000\034\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\036\000\037\000\000\000\000\000\038\000\
\039\000\040\000\041\000\000\000\042\000\043\000\044\000\045\000\
\046\000\047\000\048\000\049\000\050\000\051\000\052\000\053\000\
\054\000\000\000\055\000\000\000\106\001\167\000\057\000\058\000\
\000\000\000\000\059\000\060\000\000\000\061\000\062\000\063\000\
\000\000\000\000\000\000\064\000\000\000\065\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\003\000\004\000\005\000\
\006\000\007\000\000\000\066\000\008\000\009\000\010\000\011\000\
\012\000\013\000\014\000\000\000\015\000\016\000\017\000\018\000\
\019\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\032\000\033\000\034\000\
\035\000\000\000\000\000\000\000\000\000\000\000\000\000\036\000\
\037\000\000\000\000\000\038\000\039\000\040\000\041\000\000\000\
\042\000\043\000\044\000\045\000\046\000\047\000\048\000\049\000\
\050\000\051\000\052\000\053\000\054\000\000\000\055\000\000\000\
\056\000\000\000\057\000\058\000\000\000\000\000\059\000\060\000\
\000\000\061\000\062\000\063\000\000\000\000\000\000\000\064\000\
\000\000\065\000\000\000\000\000\000\000\000\000\003\000\004\000\
\005\000\006\000\007\000\000\000\000\000\000\000\009\000\066\000\
\011\000\012\000\013\000\014\000\000\000\015\000\016\000\017\000\
\018\000\000\000\020\000\021\000\022\000\023\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\000\000\000\000\
\034\000\035\000\000\000\000\000\000\000\000\000\000\000\000\000\
\036\000\000\000\000\000\000\000\000\000\039\000\000\000\000\000\
\000\000\119\000\043\000\000\000\000\000\000\000\000\000\048\000\
\049\000\050\000\051\000\052\000\053\000\000\000\000\000\055\000\
\000\000\120\000\000\000\057\000\058\000\000\000\000\000\059\000\
\060\000\000\000\061\000\062\000\063\000\000\000\000\000\187\001\
\064\000\000\000\065\000\000\000\000\000\000\000\000\000\003\000\
\004\000\005\000\006\000\007\000\000\000\000\000\188\001\009\000\
\066\000\011\000\012\000\013\000\014\000\000\000\015\000\016\000\
\017\000\018\000\000\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\000\000\
\000\000\034\000\035\000\000\000\000\000\000\000\000\000\000\000\
\000\000\036\000\000\000\000\000\000\000\000\000\039\000\000\000\
\000\000\000\000\119\000\043\000\000\000\000\000\000\000\000\000\
\048\000\049\000\050\000\051\000\052\000\053\000\000\000\000\000\
\055\000\000\000\120\000\000\000\057\000\058\000\000\000\000\000\
\059\000\060\000\000\000\061\000\062\000\063\000\000\000\000\000\
\000\000\064\000\000\000\065\000\177\000\000\000\000\000\000\000\
\003\000\004\000\005\000\006\000\007\000\000\000\000\000\000\000\
\009\000\066\000\011\000\012\000\013\000\014\000\000\000\015\000\
\016\000\017\000\018\000\000\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\000\000\000\000\034\000\035\000\000\000\000\000\000\000\000\000\
\000\000\000\000\036\000\000\000\000\000\000\000\000\000\039\000\
\000\000\000\000\000\000\119\000\043\000\000\000\000\000\000\000\
\000\000\048\000\049\000\050\000\051\000\052\000\053\000\000\000\
\000\000\055\000\000\000\236\000\000\000\057\000\058\000\237\000\
\000\000\059\000\060\000\000\000\061\000\062\000\063\000\000\000\
\000\000\000\000\064\000\000\000\065\000\000\000\000\000\000\000\
\000\000\003\000\004\000\005\000\006\000\007\000\000\000\000\000\
\000\000\009\000\066\000\011\000\012\000\013\000\014\000\000\000\
\015\000\016\000\017\000\018\000\000\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\000\000\000\000\034\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\036\000\000\000\000\000\000\000\000\000\
\039\000\000\000\000\000\000\000\119\000\043\000\000\000\000\000\
\000\000\000\000\048\000\049\000\050\000\051\000\052\000\053\000\
\000\000\000\000\055\000\248\000\249\000\000\000\057\000\058\000\
\000\000\000\000\059\000\060\000\000\000\061\000\062\000\063\000\
\000\000\000\000\000\000\064\000\000\000\065\000\000\000\000\000\
\000\000\000\000\003\000\004\000\005\000\006\000\007\000\000\000\
\000\000\000\000\009\000\066\000\011\000\012\000\013\000\014\000\
\000\000\015\000\016\000\017\000\018\000\000\000\020\000\021\000\
\022\000\023\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\000\000\000\000\034\000\035\000\000\000\000\000\
\000\000\000\000\000\000\000\000\036\000\000\000\000\000\000\000\
\000\000\039\000\000\000\000\000\000\000\119\000\043\000\000\000\
\000\000\000\000\000\000\048\000\049\000\050\000\051\000\052\000\
\053\000\000\000\000\000\055\000\000\000\098\001\000\000\057\000\
\058\000\099\001\000\000\059\000\060\000\000\000\061\000\062\000\
\063\000\000\000\000\000\000\000\064\000\000\000\065\000\000\000\
\000\000\000\000\000\000\003\000\004\000\005\000\006\000\007\000\
\000\000\000\000\000\000\009\000\066\000\011\000\012\000\013\000\
\014\000\000\000\015\000\016\000\017\000\018\000\000\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\000\000\000\000\034\000\035\000\000\000\
\000\000\000\000\000\000\000\000\000\000\036\000\000\000\000\000\
\000\000\000\000\039\000\000\000\000\000\000\000\119\000\043\000\
\000\000\000\000\000\000\000\000\048\000\049\000\050\000\051\000\
\052\000\053\000\000\000\000\000\055\000\000\000\120\000\167\000\
\057\000\058\000\000\000\000\000\059\000\060\000\000\000\061\000\
\062\000\063\000\000\000\000\000\000\000\064\000\000\000\065\000\
\000\000\000\000\000\000\000\000\051\000\051\000\051\000\051\000\
\051\000\000\000\000\000\000\000\051\000\066\000\051\000\051\000\
\051\000\051\000\000\000\051\000\051\000\051\000\051\000\000\000\
\051\000\051\000\051\000\051\000\051\000\051\000\051\000\051\000\
\051\000\051\000\051\000\051\000\000\000\000\000\051\000\051\000\
\000\000\000\000\000\000\000\000\000\000\000\000\051\000\000\000\
\000\000\000\000\000\000\051\000\000\000\000\000\000\000\051\000\
\051\000\000\000\000\000\000\000\000\000\051\000\051\000\051\000\
\051\000\051\000\051\000\051\000\000\000\051\000\000\000\051\000\
\000\000\051\000\051\000\000\000\000\000\051\000\051\000\000\000\
\051\000\051\000\051\000\000\000\000\000\000\000\051\000\000\000\
\051\000\000\000\000\000\000\000\000\000\048\000\048\000\048\000\
\048\000\048\000\000\000\000\000\000\000\048\000\051\000\048\000\
\048\000\048\000\048\000\000\000\048\000\048\000\048\000\048\000\
\000\000\048\000\048\000\048\000\048\000\048\000\048\000\048\000\
\048\000\048\000\048\000\048\000\048\000\000\000\000\000\048\000\
\048\000\000\000\000\000\000\000\000\000\000\000\000\000\048\000\
\000\000\000\000\000\000\000\000\048\000\000\000\000\000\000\000\
\048\000\048\000\000\000\000\000\000\000\000\000\048\000\048\000\
\048\000\048\000\048\000\048\000\048\000\000\000\048\000\000\000\
\048\000\000\000\048\000\048\000\000\000\000\000\048\000\048\000\
\000\000\048\000\048\000\048\000\000\000\000\000\000\000\048\000\
\000\000\048\000\000\000\000\000\000\000\000\000\003\000\004\000\
\005\000\006\000\007\000\000\000\000\000\000\000\009\000\048\000\
\011\000\012\000\013\000\014\000\000\000\015\000\016\000\017\000\
\018\000\000\000\020\000\021\000\022\000\023\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\000\000\000\000\
\034\000\035\000\000\000\000\000\000\000\000\000\000\000\000\000\
\036\000\000\000\000\000\000\000\000\000\039\000\000\000\000\000\
\000\000\119\000\043\000\000\000\000\000\000\000\000\000\048\000\
\049\000\050\000\051\000\052\000\053\000\000\000\000\000\055\000\
\000\000\120\000\000\000\057\000\058\000\000\000\000\000\059\000\
\060\000\000\000\061\000\062\000\063\000\000\000\000\000\000\000\
\064\000\000\000\065\000\000\000\000\000\000\000\000\000\003\000\
\004\000\005\000\006\000\007\000\000\000\000\000\000\000\009\000\
\066\000\011\000\012\000\013\000\014\000\000\000\015\000\016\000\
\017\000\018\000\000\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\000\000\
\000\000\034\000\035\000\000\000\000\000\000\000\000\000\000\000\
\000\000\036\000\000\000\000\000\000\000\000\000\039\000\000\000\
\000\000\000\000\119\000\043\000\000\000\000\000\000\000\000\000\
\048\000\049\000\050\000\051\000\052\000\053\000\000\000\000\000\
\055\000\000\000\138\000\000\000\057\000\058\000\000\000\000\000\
\059\000\060\000\000\000\061\000\062\000\063\000\000\000\000\000\
\000\000\064\000\000\000\065\000\000\000\000\000\000\000\000\000\
\003\000\004\000\005\000\006\000\007\000\000\000\000\000\000\000\
\009\000\066\000\011\000\012\000\013\000\014\000\000\000\015\000\
\016\000\017\000\018\000\000\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\000\000\000\000\034\000\035\000\000\000\000\000\000\000\000\000\
\000\000\000\000\036\000\000\000\000\000\000\000\000\000\039\000\
\000\000\000\000\000\000\119\000\043\000\000\000\000\000\000\000\
\000\000\048\000\049\000\050\000\051\000\052\000\053\000\000\000\
\000\000\055\000\000\000\225\000\000\000\057\000\058\000\000\000\
\000\000\059\000\060\000\000\000\061\000\062\000\063\000\000\000\
\000\000\000\000\064\000\000\000\065\000\000\000\000\000\000\000\
\000\000\003\000\004\000\005\000\006\000\007\000\000\000\000\000\
\000\000\009\000\066\000\011\000\012\000\013\000\014\000\000\000\
\015\000\016\000\017\000\018\000\000\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\000\000\000\000\034\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\036\000\000\000\000\000\000\000\000\000\
\039\000\000\000\000\000\000\000\119\000\043\000\000\000\000\000\
\000\000\000\000\048\000\049\000\050\000\051\000\052\000\053\000\
\000\000\000\000\055\000\000\000\040\001\000\000\057\000\058\000\
\000\000\000\000\059\000\060\000\000\000\061\000\062\000\063\000\
\000\000\000\000\000\000\064\000\000\000\065\000\000\000\000\000\
\000\000\000\000\003\000\004\000\005\000\006\000\007\000\000\000\
\000\000\000\000\009\000\066\000\011\000\012\000\013\000\014\000\
\000\000\015\000\016\000\017\000\018\000\000\000\020\000\021\000\
\022\000\023\000\024\000\025\000\026\000\027\000\028\000\029\000\
\030\000\031\000\000\000\000\000\034\000\035\000\000\000\000\000\
\000\000\000\000\000\000\000\000\036\000\000\000\000\000\000\000\
\000\000\039\000\000\000\000\000\000\000\119\000\043\000\000\000\
\000\000\000\000\000\000\048\000\049\000\050\000\051\000\052\000\
\053\000\000\000\000\000\055\000\000\000\056\001\000\000\057\000\
\058\000\000\000\000\000\059\000\060\000\000\000\061\000\062\000\
\063\000\000\000\000\000\000\000\064\000\000\000\065\000\000\000\
\000\000\000\000\000\000\003\000\004\000\005\000\006\000\007\000\
\000\000\000\000\000\000\009\000\066\000\011\000\012\000\013\000\
\014\000\000\000\015\000\016\000\017\000\018\000\000\000\020\000\
\021\000\022\000\023\000\024\000\025\000\026\000\027\000\028\000\
\029\000\030\000\031\000\000\000\000\000\034\000\035\000\000\000\
\000\000\000\000\000\000\000\000\000\000\036\000\000\000\000\000\
\000\000\000\000\039\000\000\000\000\000\000\000\119\000\043\000\
\000\000\000\000\000\000\000\000\048\000\049\000\050\000\051\000\
\052\000\053\000\000\000\000\000\055\000\000\000\090\001\000\000\
\057\000\058\000\000\000\000\000\059\000\060\000\000\000\061\000\
\062\000\063\000\000\000\000\000\000\000\064\000\000\000\065\000\
\000\000\000\000\000\000\000\000\003\000\004\000\005\000\006\000\
\007\000\000\000\000\000\000\000\009\000\066\000\011\000\012\000\
\013\000\014\000\000\000\015\000\016\000\017\000\018\000\000\000\
\020\000\021\000\022\000\023\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\000\000\000\000\034\000\035\000\
\000\000\000\000\000\000\000\000\000\000\000\000\036\000\000\000\
\000\000\000\000\000\000\039\000\000\000\000\000\000\000\119\000\
\043\000\000\000\000\000\000\000\000\000\048\000\049\000\050\000\
\051\000\052\000\053\000\000\000\000\000\055\000\000\000\092\001\
\000\000\057\000\058\000\000\000\000\000\059\000\060\000\000\000\
\061\000\062\000\063\000\000\000\000\000\000\000\064\000\000\000\
\065\000\000\000\000\000\000\000\000\000\003\000\004\000\005\000\
\006\000\007\000\000\000\000\000\000\000\009\000\066\000\011\000\
\012\000\013\000\014\000\000\000\015\000\016\000\017\000\018\000\
\000\000\020\000\021\000\022\000\023\000\024\000\025\000\026\000\
\027\000\028\000\029\000\030\000\031\000\000\000\000\000\034\000\
\035\000\000\000\000\000\000\000\000\000\000\000\000\000\036\000\
\000\000\000\000\000\000\000\000\039\000\000\000\000\000\000\000\
\119\000\043\000\000\000\000\000\000\000\000\000\048\000\049\000\
\050\000\051\000\052\000\053\000\000\000\000\000\055\000\000\000\
\095\001\000\000\057\000\058\000\000\000\000\000\059\000\060\000\
\000\000\061\000\062\000\063\000\000\000\000\000\000\000\064\000\
\000\000\065\000\000\000\000\000\000\000\000\000\003\000\004\000\
\005\000\006\000\007\000\000\000\000\000\000\000\009\000\066\000\
\011\000\012\000\013\000\014\000\000\000\015\000\016\000\017\000\
\018\000\000\000\020\000\021\000\022\000\023\000\024\000\025\000\
\026\000\027\000\028\000\029\000\030\000\031\000\000\000\000\000\
\034\000\035\000\000\000\000\000\000\000\000\000\000\000\000\000\
\036\000\000\000\000\000\000\000\000\000\039\000\000\000\000\000\
\000\000\119\000\043\000\000\000\000\000\000\000\000\000\048\000\
\049\000\050\000\051\000\052\000\053\000\000\000\000\000\055\000\
\000\000\111\001\000\000\057\000\058\000\000\000\000\000\059\000\
\060\000\000\000\061\000\062\000\063\000\000\000\000\000\000\000\
\064\000\000\000\065\000\000\000\000\000\000\000\000\000\003\000\
\004\000\005\000\006\000\007\000\000\000\000\000\000\000\009\000\
\066\000\011\000\012\000\013\000\014\000\000\000\015\000\016\000\
\017\000\018\000\000\000\020\000\021\000\022\000\023\000\024\000\
\025\000\026\000\027\000\028\000\029\000\030\000\031\000\000\000\
\000\000\034\000\035\000\000\000\000\000\000\000\000\000\000\000\
\000\000\036\000\000\000\000\000\000\000\000\000\039\000\000\000\
\000\000\000\000\119\000\043\000\000\000\000\000\000\000\000\000\
\048\000\049\000\050\000\051\000\052\000\053\000\000\000\000\000\
\055\000\000\000\113\001\000\000\057\000\058\000\000\000\000\000\
\059\000\060\000\000\000\061\000\062\000\063\000\000\000\000\000\
\000\000\064\000\000\000\065\000\000\000\000\000\000\000\000\000\
\003\000\004\000\005\000\006\000\007\000\000\000\000\000\000\000\
\009\000\066\000\011\000\012\000\013\000\014\000\000\000\015\000\
\016\000\017\000\018\000\000\000\020\000\021\000\022\000\023\000\
\024\000\025\000\026\000\027\000\028\000\029\000\030\000\031\000\
\000\000\000\000\034\000\035\000\000\000\000\000\000\000\000\000\
\000\000\000\000\036\000\000\000\000\000\000\000\000\000\039\000\
\000\000\000\000\000\000\119\000\043\000\000\000\000\000\000\000\
\000\000\048\000\049\000\050\000\051\000\052\000\053\000\000\000\
\000\000\055\000\000\000\181\001\000\000\057\000\058\000\000\000\
\000\000\059\000\060\000\000\000\061\000\062\000\063\000\000\000\
\000\000\000\000\064\000\000\000\065\000\000\000\000\000\000\000\
\000\000\003\000\004\000\005\000\006\000\007\000\000\000\000\000\
\000\000\009\000\066\000\011\000\012\000\013\000\014\000\000\000\
\015\000\016\000\017\000\018\000\000\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\029\000\030\000\
\031\000\000\000\000\000\034\000\035\000\000\000\000\000\000\000\
\000\000\000\000\000\000\036\000\000\000\000\000\000\000\000\000\
\039\000\000\000\000\000\000\000\119\000\043\000\000\000\000\000\
\000\000\000\000\048\000\049\000\050\000\051\000\052\000\053\000\
\000\000\000\000\055\000\000\000\225\001\000\000\057\000\058\000\
\000\000\000\000\059\000\060\000\000\000\061\000\062\000\063\000\
\000\000\000\000\000\000\064\000\000\000\065\000\000\000\000\000\
\000\000\000\000\052\000\052\000\052\000\052\000\000\000\000\000\
\000\000\000\000\052\000\066\000\052\000\052\000\052\000\052\000\
\000\000\052\000\052\000\052\000\052\000\000\000\052\000\052\000\
\052\000\052\000\052\000\052\000\052\000\052\000\052\000\052\000\
\052\000\052\000\000\000\000\000\052\000\052\000\000\000\000\000\
\000\000\000\000\000\000\000\000\052\000\000\000\000\000\000\000\
\000\000\052\000\000\000\000\000\000\000\052\000\052\000\000\000\
\000\000\000\000\000\000\052\000\052\000\052\000\052\000\052\000\
\052\000\052\000\000\000\052\000\000\000\052\000\000\000\052\000\
\052\000\000\000\000\000\052\000\052\000\000\000\052\000\052\000\
\052\000\000\000\000\000\000\000\052\000\000\000\052\000\000\000\
\000\000\000\000\000\000\214\000\214\000\214\000\214\000\214\000\
\000\000\000\000\000\000\214\000\052\000\214\000\214\000\214\000\
\214\000\000\000\214\000\214\000\214\000\214\000\000\000\214\000\
\214\000\214\000\214\000\214\000\214\000\214\000\214\000\214\000\
\214\000\214\000\214\000\000\000\000\000\214\000\214\000\000\000\
\000\000\000\000\000\000\000\000\000\000\214\000\000\000\000\000\
\000\000\000\000\214\000\000\000\000\000\000\000\214\000\214\000\
\000\000\000\000\000\000\000\000\214\000\214\000\214\000\214\000\
\214\000\214\000\000\000\000\000\214\000\000\000\214\000\000\000\
\214\000\214\000\000\000\000\000\214\000\214\000\000\000\214\000\
\214\000\214\000\000\000\000\000\000\000\214\000\000\000\214\000\
\000\000\000\000\000\000\000\000\003\000\004\000\005\000\006\000\
\007\000\000\000\000\000\000\000\009\000\214\000\011\000\012\000\
\013\000\014\000\000\000\015\000\016\000\017\000\018\000\000\000\
\020\000\021\000\022\000\023\000\024\000\025\000\026\000\027\000\
\028\000\029\000\030\000\031\000\000\000\000\000\034\000\035\000\
\000\000\000\000\000\000\000\000\000\000\000\000\036\000\000\000\
\000\000\000\000\000\000\039\000\000\000\000\000\000\000\119\000\
\043\000\000\000\000\000\000\000\000\000\048\000\049\000\050\000\
\051\000\052\000\053\000\000\000\000\000\055\000\000\000\120\000\
\000\000\057\000\058\000\000\000\000\000\059\000\060\000\000\000\
\061\000\062\000\063\000\049\000\049\000\000\000\064\000\049\000\
\000\000\000\000\000\000\000\000\000\000\049\000\049\000\049\000\
\049\000\000\000\049\000\049\000\049\000\049\000\066\000\049\000\
\049\000\049\000\049\000\049\000\049\000\049\000\049\000\000\000\
\000\000\049\000\049\000\000\000\000\000\049\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\049\000\000\000\000\000\
\000\000\000\000\049\000\000\000\000\000\000\000\049\000\049\000\
\000\000\000\000\000\000\000\000\049\000\049\000\049\000\049\000\
\049\000\049\000\049\000\000\000\049\000\000\000\049\000\000\000\
\049\000\049\000\000\000\000\000\049\000\049\000\000\000\049\000\
\049\000\049\000\005\000\006\000\000\000\049\000\000\000\049\000\
\009\000\000\000\058\001\000\000\000\000\000\000\152\000\000\000\
\000\000\000\000\005\000\006\000\000\000\049\000\000\000\023\000\
\009\000\000\000\058\001\000\000\028\000\029\000\152\000\000\000\
\000\000\059\001\000\000\106\000\000\000\000\000\000\000\023\000\
\000\000\000\000\060\001\000\000\028\000\029\000\000\000\000\000\
\000\000\059\001\000\000\106\000\000\000\000\000\000\000\000\000\
\000\000\000\000\049\000\000\000\000\000\000\000\000\000\000\000\
\000\000\055\000\000\000\153\000\000\000\000\000\214\000\000\000\
\000\000\000\000\049\000\000\000\000\000\000\000\000\000\000\000\
\000\000\055\000\000\000\153\000\000\000\000\000\214\000\061\001\
\000\000\003\000\004\000\005\000\000\000\007\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\014\000\061\001\
\015\000\016\000\017\000\018\000\000\000\020\000\021\000\022\000\
\023\000\024\000\025\000\026\000\027\000\028\000\000\000\030\000\
\000\000\000\000\000\000\000\000\106\000\000\000\000\000\000\000\
\000\000\000\000\000\000\187\000\188\000\189\000\190\000\191\000\
\192\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\048\000\049\000\050\000\051\000\052\000\053\000\
\000\000\000\000\000\000\187\000\188\000\189\000\190\000\191\000\
\192\000\000\000\000\000\000\000\000\000\000\000\000\000\193\000\
\194\000\195\000\196\000\000\000\000\000\065\000\197\000\198\000\
\199\000\200\000\201\000\202\000\203\000\204\000\205\000\206\000\
\207\000\208\000\209\000\210\000\211\000\212\000\152\001\193\000\
\194\000\195\000\196\000\000\000\213\000\000\000\197\000\198\000\
\199\000\200\000\201\000\202\000\203\000\204\000\205\000\206\000\
\207\000\208\000\209\000\210\000\211\000\212\000\187\000\188\000\
\189\000\190\000\191\000\192\000\213\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\187\000\188\000\189\000\
\190\000\191\000\192\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\193\000\194\000\195\000\196\000\000\000\000\000\
\000\000\197\000\198\000\199\000\200\000\201\000\202\000\043\001\
\204\000\205\000\206\000\207\000\208\000\209\000\210\000\211\000\
\212\000\193\000\194\000\195\000\196\000\000\000\000\000\213\000\
\197\000\198\000\199\000\200\000\201\000\202\000\203\000\204\000\
\205\000\206\000\207\000\208\000\209\000\210\000\211\000\212\000\
\187\000\188\000\189\000\190\000\191\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\187\000\
\188\000\189\000\190\000\191\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\193\000\194\000\195\000\196\000\
\000\000\000\000\000\000\197\000\198\000\199\000\200\000\201\000\
\202\000\203\000\204\000\205\000\206\000\207\000\208\000\209\000\
\210\000\211\000\212\000\193\000\194\000\195\000\196\000\000\000\
\000\000\000\000\197\000\198\000\199\000\200\000\201\000\202\000\
\203\000\204\000\205\000\206\000\207\000\208\000\209\000\210\000\
\187\000\188\000\189\000\190\000\191\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\187\000\188\000\189\000\190\000\
\191\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\193\000\194\000\195\000\196\000\
\000\000\000\000\000\000\197\000\198\000\199\000\200\000\201\000\
\202\000\203\000\204\000\205\000\206\000\207\000\208\000\209\000\
\193\000\194\000\195\000\196\000\000\000\000\000\000\000\197\000\
\198\000\199\000\200\000\201\000\202\000\203\000\204\000\205\000\
\206\000\207\000\208\000\187\000\188\000\189\000\190\000\191\000\
\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\187\000\188\000\189\000\190\000\
\191\000\000\000\000\000\000\000\000\000\000\000\000\000\000\000\
\000\000\000\000\000\000\000\000\187\000\188\000\000\000\193\000\
\194\000\195\000\196\000\000\000\000\000\000\000\197\000\198\000\
\199\000\200\000\201\000\202\000\203\000\204\000\205\000\206\000\
\193\000\194\000\195\000\196\000\000\000\000\000\000\000\197\000\
\198\000\199\000\200\000\201\000\202\000\203\000\204\000\205\000\
\193\000\194\000\195\000\196\000\000\000\000\000\000\000\197\000\
\198\000\199\000\200\000\201\000\202\000\203\000\204\000\205\000"

let yycheck = "\001\000\
\012\000\013\000\000\000\133\001\110\000\011\000\000\000\003\001\
\011\000\068\001\064\001\011\000\015\001\073\000\000\000\069\001\
\011\000\001\000\064\001\011\000\080\000\015\001\034\000\069\001\
\066\001\048\000\049\000\050\000\051\000\052\000\053\000\068\001\
\035\000\066\001\071\001\057\000\039\000\015\001\000\000\042\000\
\043\000\221\001\045\000\005\001\015\001\068\001\042\001\070\000\
\071\001\024\001\025\001\026\001\011\000\009\000\066\000\011\000\
\059\000\060\000\061\000\062\000\063\000\064\000\065\000\066\001\
\064\001\068\001\088\000\067\001\071\001\081\000\200\001\083\000\
\074\000\000\000\068\001\072\001\098\000\079\000\002\002\035\000\
\069\001\084\000\066\001\000\000\064\001\108\000\003\001\193\000\
\068\001\149\000\068\001\066\001\000\000\071\001\000\000\099\000\
\066\001\068\001\011\000\111\000\071\001\015\001\073\001\100\001\
\101\001\107\000\128\000\024\001\025\001\026\001\024\001\100\001\
\101\001\003\001\136\000\137\000\072\001\000\000\140\000\141\000\
\000\000\000\000\035\000\125\000\130\000\110\001\085\000\130\000\
\084\000\042\000\130\000\153\000\045\000\092\000\156\000\130\000\
\138\000\096\000\130\000\029\001\067\001\097\001\098\001\145\000\
\148\000\059\001\036\001\003\001\150\000\151\000\067\001\110\000\
\002\001\112\000\068\001\068\001\006\001\072\001\180\000\181\000\
\182\000\183\000\184\000\185\000\186\000\097\001\098\001\227\000\
\024\001\025\001\026\001\084\000\131\000\100\001\101\001\160\001\
\073\001\074\001\075\001\076\001\097\001\098\001\097\001\098\001\
\187\000\188\000\189\000\190\000\191\000\192\000\193\000\072\001\
\068\001\196\000\216\000\218\000\199\000\200\000\201\000\202\000\
\203\000\204\000\205\000\206\000\207\000\208\000\209\000\210\000\
\211\000\212\000\213\000\024\001\015\001\072\001\236\000\019\001\
\090\001\130\000\092\001\100\001\101\001\223\000\244\000\225\000\
\067\001\229\000\003\001\249\000\213\001\065\001\043\001\234\000\
\235\000\000\000\193\000\100\001\101\001\193\000\005\001\067\001\
\064\001\097\001\098\001\066\001\010\001\098\001\231\001\024\001\
\025\001\026\001\016\001\034\001\071\001\066\001\065\001\070\000\
\065\001\100\001\101\001\006\001\015\001\044\001\068\001\066\001\
\047\001\068\001\049\001\050\001\071\001\024\001\073\001\065\001\
\100\001\101\001\040\001\066\001\091\000\092\000\093\000\069\001\
\193\000\067\001\069\001\003\001\004\001\042\001\069\001\024\001\
\066\001\069\001\056\001\011\001\034\001\108\000\073\001\110\000\
\043\001\069\001\000\000\002\001\115\000\066\001\044\001\006\001\
\059\001\047\001\006\001\049\001\050\001\029\001\100\001\101\001\
\066\001\068\001\100\001\101\001\036\001\100\001\101\001\100\001\
\097\001\098\001\064\001\043\001\090\001\067\001\092\001\069\001\
\034\001\095\001\072\001\069\001\098\001\039\001\040\001\041\001\
\042\001\103\001\044\001\069\001\106\001\047\001\067\001\049\001\
\050\001\111\001\067\001\113\001\068\001\006\001\067\001\039\000\
\067\001\069\001\110\001\043\000\069\001\060\001\064\001\101\001\
\069\001\067\001\065\001\069\001\069\001\131\001\072\001\133\001\
\067\001\173\001\067\001\059\000\060\000\061\000\062\000\063\000\
\064\000\065\000\193\000\100\001\101\001\185\001\186\001\089\001\
\090\001\091\001\092\001\093\001\094\001\095\001\096\001\097\001\
\098\001\064\001\100\001\101\001\102\001\069\001\069\001\069\001\
\051\001\100\001\101\001\064\001\160\001\152\001\069\001\000\000\
\069\001\069\001\068\001\034\001\064\001\068\001\064\001\181\001\
\164\001\069\001\166\001\069\001\068\001\044\001\068\001\126\001\
\047\001\171\001\049\001\050\001\174\001\175\001\176\001\177\001\
\188\001\003\001\200\001\183\001\067\001\064\001\184\001\206\001\
\064\001\064\001\069\001\002\001\067\001\069\001\069\001\006\001\
\068\001\072\001\068\001\197\001\067\001\070\000\024\001\025\001\
\026\001\213\001\069\001\225\001\207\001\068\001\096\001\069\001\
\073\001\068\001\045\001\034\001\069\001\100\001\101\001\034\001\
\069\001\002\001\091\000\231\001\093\000\044\001\244\001\069\001\
\047\001\044\001\049\001\050\001\047\001\069\001\049\001\050\001\
\017\001\100\001\101\001\108\000\021\001\022\001\023\001\024\001\
\069\001\243\001\115\000\187\000\188\000\189\000\190\000\191\000\
\192\000\251\001\069\001\067\001\196\000\255\001\000\000\199\000\
\200\000\201\000\202\000\203\000\204\000\205\000\206\000\207\000\
\208\000\209\000\210\000\211\000\212\000\213\000\004\001\097\001\
\098\001\069\001\059\001\009\001\069\001\100\001\101\001\069\001\
\069\001\100\001\101\001\218\001\100\001\101\001\069\001\222\001\
\223\001\067\001\234\000\235\000\068\001\066\001\046\001\069\001\
\030\001\232\001\068\001\001\001\002\001\003\001\004\001\005\001\
\100\001\101\001\068\001\009\001\069\001\011\001\012\001\013\001\
\014\001\069\001\016\001\017\001\018\001\019\001\000\000\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\032\001\069\001\034\001\035\001\036\001\037\001\
\038\001\039\001\040\001\041\001\042\001\043\001\044\001\000\000\
\064\001\047\001\048\001\049\001\050\001\064\001\052\001\053\001\
\064\001\067\001\064\001\043\001\058\001\059\001\060\001\061\001\
\062\001\063\001\064\001\067\001\066\001\067\001\068\001\069\001\
\070\001\071\001\072\001\073\001\074\001\075\001\076\001\077\001\
\078\001\079\001\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\099\001\100\001\101\001\
\102\001\237\001\006\001\011\000\130\000\255\255\255\255\255\255\
\001\001\002\001\003\001\004\001\005\001\000\000\255\255\255\255\
\009\001\255\255\011\001\012\001\013\001\014\001\067\001\016\001\
\017\001\018\001\019\001\255\255\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\255\255\034\001\035\001\036\001\037\001\038\001\039\001\040\001\
\041\001\042\001\043\001\044\001\097\001\098\001\047\001\048\001\
\049\001\050\001\255\255\052\001\053\001\255\255\255\255\255\255\
\152\001\058\001\059\001\060\001\061\001\062\001\063\001\064\001\
\255\255\066\001\067\001\068\001\069\001\070\001\071\001\072\001\
\073\001\074\001\075\001\076\001\077\001\078\001\079\001\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\000\000\099\001\100\001\101\001\102\001\255\255\001\001\
\002\001\255\255\255\255\005\001\255\255\255\255\255\255\207\001\
\255\255\011\001\012\001\013\001\014\001\255\255\016\001\017\001\
\018\001\019\001\255\255\021\001\022\001\023\001\024\001\025\001\
\026\001\027\001\028\001\255\255\255\255\031\001\032\001\255\255\
\034\001\035\001\255\255\037\001\038\001\039\001\040\001\041\001\
\042\001\043\001\044\001\255\255\255\255\047\001\048\001\049\001\
\050\001\255\255\052\001\053\001\255\255\255\255\255\255\255\255\
\058\001\059\001\060\001\061\001\062\001\063\001\064\001\000\000\
\066\001\067\001\068\001\069\001\070\001\071\001\072\001\073\001\
\074\001\075\001\076\001\077\001\078\001\079\001\080\001\081\001\
\082\001\083\001\084\001\085\001\086\001\087\001\088\001\089\001\
\090\001\091\001\092\001\093\001\094\001\095\001\096\001\097\001\
\098\001\099\001\100\001\101\001\102\001\255\255\015\001\255\255\
\255\255\067\001\255\255\255\255\255\255\255\255\255\255\069\001\
\255\255\069\001\003\001\004\001\255\255\069\001\255\255\255\255\
\009\001\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\000\000\069\001\047\001\255\255\
\049\001\050\001\100\001\101\001\029\001\030\001\100\001\101\001\
\100\001\101\001\255\255\036\001\100\001\101\001\255\255\064\001\
\255\255\255\255\067\001\068\001\069\001\255\255\071\001\072\001\
\073\001\074\001\075\001\076\001\100\001\101\001\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\069\001\100\001\101\001\102\001\255\255\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\000\000\069\001\047\001\255\255\049\001\050\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\100\001\101\001\255\255\255\255\064\001\065\001\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\073\001\074\001\
\075\001\076\001\100\001\101\001\069\001\080\001\081\001\082\001\
\083\001\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\255\255\100\001\101\001\102\001\002\001\255\255\255\255\011\000\
\255\255\255\255\255\255\100\001\101\001\255\255\255\255\000\000\
\255\255\255\255\255\255\017\001\069\001\255\255\069\001\021\001\
\022\001\023\001\024\001\034\001\255\255\255\255\037\001\038\001\
\039\001\040\001\041\001\042\001\255\255\044\001\255\255\069\001\
\047\001\255\255\049\001\050\001\048\000\049\000\050\000\051\000\
\052\000\053\000\255\255\100\001\101\001\100\001\101\001\255\255\
\255\255\064\001\065\001\255\255\067\001\059\001\069\001\255\255\
\255\255\072\001\073\001\074\001\075\001\076\001\100\001\101\001\
\255\255\080\001\081\001\082\001\083\001\084\001\085\001\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\000\000\100\001\101\001\102\001\
\255\255\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\073\001\074\001\075\001\076\001\255\255\255\255\
\255\255\080\001\081\001\082\001\255\255\255\255\130\000\064\001\
\065\001\088\001\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\193\000\255\255\255\255\
\255\255\197\000\198\000\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\073\001\074\001\075\001\
\076\001\255\255\255\255\255\255\080\001\081\001\082\001\083\001\
\084\001\085\001\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\255\255\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\073\001\074\001\075\001\
\076\001\255\255\006\001\255\255\080\001\081\001\082\001\083\001\
\084\001\255\255\064\001\087\001\088\001\067\001\255\255\069\001\
\255\255\255\255\072\001\073\001\074\001\075\001\076\001\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\073\001\074\001\075\001\076\001\255\255\255\255\
\255\255\080\001\081\001\082\001\083\001\255\255\255\255\064\001\
\087\001\088\001\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\073\001\074\001\075\001\
\076\001\255\255\255\255\255\255\080\001\081\001\082\001\083\001\
\084\001\085\001\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\255\255\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\065\001\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\255\255\074\001\075\001\076\001\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\255\255\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\073\001\074\001\
\075\001\076\001\255\255\255\255\255\255\080\001\081\001\082\001\
\083\001\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\000\000\100\001\101\001\102\001\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\073\001\074\001\075\001\076\001\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\255\255\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\255\255\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\255\255\074\001\
\075\001\076\001\255\255\255\255\255\255\080\001\081\001\082\001\
\083\001\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\000\000\100\001\101\001\102\001\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\073\001\074\001\075\001\076\001\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\255\255\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\255\255\034\001\255\255\255\255\037\001\038\001\039\001\
\040\001\041\001\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\255\255\074\001\075\001\076\001\255\255\255\255\255\255\
\080\001\081\001\082\001\083\001\084\001\085\001\086\001\087\001\
\088\001\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\097\001\098\001\000\000\100\001\101\001\102\001\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\073\001\074\001\
\075\001\076\001\255\255\255\255\255\255\080\001\081\001\082\001\
\083\001\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\255\255\255\255\
\000\000\100\001\101\001\102\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\073\001\074\001\075\001\076\001\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\000\000\255\255\255\255\100\001\101\001\
\102\001\255\255\034\001\255\255\255\255\037\001\038\001\039\001\
\040\001\041\001\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\073\001\074\001\075\001\076\001\255\255\255\255\255\255\
\080\001\081\001\082\001\083\001\084\001\085\001\086\001\087\001\
\088\001\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\000\000\255\255\255\255\100\001\101\001\102\001\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\073\001\074\001\
\075\001\076\001\255\255\255\255\255\255\080\001\081\001\082\001\
\083\001\084\001\085\001\086\001\087\001\088\001\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\000\000\255\255\
\255\255\100\001\101\001\102\001\255\255\034\001\255\255\255\255\
\037\001\038\001\039\001\040\001\041\001\042\001\255\255\044\001\
\255\255\255\255\047\001\255\255\049\001\050\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\064\001\255\255\255\255\067\001\255\255\
\069\001\255\255\255\255\072\001\073\001\074\001\075\001\076\001\
\255\255\255\255\255\255\080\001\081\001\082\001\083\001\084\001\
\085\001\086\001\087\001\088\001\089\001\090\001\091\001\092\001\
\093\001\094\001\095\001\096\001\000\000\255\255\255\255\100\001\
\101\001\102\001\034\001\255\255\255\255\037\001\038\001\039\001\
\040\001\041\001\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\073\001\074\001\075\001\076\001\255\255\255\255\255\255\
\080\001\081\001\082\001\083\001\084\001\085\001\086\001\087\001\
\088\001\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\000\000\255\255\255\255\100\001\101\001\102\001\255\255\
\255\255\255\255\255\255\255\255\255\255\034\001\255\255\255\255\
\037\001\038\001\039\001\040\001\041\001\042\001\255\255\044\001\
\255\255\255\255\047\001\255\255\049\001\050\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\064\001\255\255\255\255\067\001\255\255\
\069\001\255\255\255\255\072\001\073\001\074\001\075\001\076\001\
\255\255\255\255\255\255\080\001\081\001\082\001\083\001\084\001\
\085\001\086\001\087\001\088\001\089\001\090\001\091\001\092\001\
\093\001\094\001\095\001\096\001\000\000\255\255\255\255\100\001\
\101\001\102\001\255\255\034\001\255\255\255\255\037\001\038\001\
\039\001\040\001\041\001\042\001\255\255\044\001\255\255\255\255\
\047\001\255\255\049\001\050\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\064\001\255\255\255\255\067\001\255\255\069\001\255\255\
\255\255\072\001\255\255\255\255\255\255\076\001\255\255\255\255\
\255\255\080\001\081\001\082\001\083\001\084\001\085\001\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\000\000\100\001\101\001\102\001\
\034\001\255\255\255\255\037\001\038\001\039\001\040\001\041\001\
\042\001\255\255\044\001\255\255\255\255\047\001\255\255\049\001\
\050\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\064\001\255\255\
\255\255\067\001\255\255\069\001\255\255\255\255\072\001\255\255\
\255\255\255\255\076\001\255\255\255\255\255\255\080\001\081\001\
\082\001\083\001\084\001\085\001\086\001\087\001\088\001\089\001\
\090\001\091\001\092\001\093\001\094\001\095\001\096\001\097\001\
\098\001\000\000\100\001\101\001\102\001\255\255\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\073\001\255\255\255\255\
\076\001\255\255\255\255\255\255\080\001\081\001\082\001\255\255\
\084\001\255\255\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\034\001\255\255\255\255\037\001\038\001\
\039\001\040\001\041\001\042\001\255\255\044\001\255\255\255\255\
\047\001\255\255\049\001\050\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\064\001\255\255\255\255\067\001\255\255\069\001\255\255\
\255\255\072\001\073\001\255\255\255\255\076\001\255\255\255\255\
\255\255\080\001\081\001\082\001\255\255\084\001\255\255\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\000\000\100\001\101\001\102\001\
\255\255\255\255\255\255\255\255\255\255\255\255\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\073\001\255\255\255\255\
\076\001\255\255\255\255\255\255\080\001\081\001\082\001\255\255\
\084\001\255\255\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\255\255\255\255\255\255\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\073\001\255\255\255\255\
\076\001\255\255\255\255\255\255\080\001\081\001\082\001\255\255\
\084\001\255\255\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\034\001\255\255\255\255\037\001\038\001\
\039\001\040\001\041\001\042\001\255\255\044\001\255\255\255\255\
\047\001\255\255\049\001\050\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\064\001\255\255\255\255\067\001\255\255\069\001\255\255\
\255\255\072\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\080\001\081\001\082\001\083\001\084\001\085\001\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\000\000\100\001\101\001\102\001\
\255\255\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\080\001\081\001\082\001\083\001\
\084\001\085\001\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\255\255\255\255\255\255\255\255\255\255\
\255\255\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\255\255\255\255\
\255\255\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\255\255\255\255\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\255\255\084\001\255\255\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\034\001\255\255\
\255\255\037\001\038\001\039\001\040\001\041\001\042\001\255\255\
\044\001\255\255\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\073\001\255\255\255\255\
\076\001\255\255\255\255\255\255\080\001\081\001\082\001\255\255\
\084\001\255\255\086\001\087\001\088\001\089\001\090\001\091\001\
\092\001\093\001\094\001\095\001\096\001\097\001\098\001\000\000\
\100\001\101\001\102\001\255\255\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\255\255\255\255\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\255\255\084\001\255\255\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\097\001\098\001\000\000\100\001\101\001\102\001\255\255\255\255\
\255\255\255\255\255\255\255\255\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\255\255\255\255\255\255\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\034\001\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\073\001\255\255\255\255\076\001\255\255\255\255\255\255\080\001\
\081\001\255\255\255\255\084\001\255\255\086\001\087\001\088\001\
\089\001\090\001\091\001\092\001\093\001\094\001\095\001\096\001\
\255\255\098\001\000\000\100\001\101\001\102\001\255\255\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\083\001\084\001\085\001\086\001\087\001\255\255\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\000\000\100\001\101\001\102\001\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\083\001\084\001\085\001\
\086\001\087\001\255\255\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\000\000\255\255\255\255\255\255\255\255\255\255\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\084\001\085\001\086\001\255\255\255\255\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\000\000\100\001\101\001\102\001\255\255\255\255\255\255\034\001\
\255\255\255\255\037\001\038\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\085\001\086\001\255\255\255\255\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\000\000\100\001\101\001\102\001\034\001\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\255\255\072\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\085\001\
\086\001\255\255\255\255\089\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\000\000\100\001\101\001\
\102\001\255\255\034\001\255\255\255\255\255\255\000\000\039\001\
\040\001\041\001\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\097\001\098\001\000\000\100\001\101\001\102\001\034\001\
\255\255\255\255\255\255\034\001\039\001\040\001\041\001\042\001\
\255\255\044\001\255\255\255\255\047\001\044\001\049\001\050\001\
\047\001\255\255\049\001\050\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\064\001\069\001\255\255\067\001\072\001\069\001\255\255\
\255\255\072\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\000\000\100\001\101\001\102\001\255\255\100\001\101\001\255\255\
\255\255\255\255\034\001\255\255\255\255\255\255\255\255\039\001\
\040\001\041\001\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\002\001\003\001\004\001\255\255\255\255\
\255\255\255\255\009\001\255\255\255\255\255\255\255\255\255\255\
\064\001\255\255\017\001\067\001\255\255\069\001\255\255\255\255\
\072\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\255\255\255\255\255\255\255\255\036\001\255\255\255\255\
\255\255\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\097\001\098\001\000\000\100\001\101\001\102\001\255\255\
\255\255\255\255\034\001\058\001\059\001\060\001\061\001\062\001\
\063\001\255\255\042\001\066\001\044\001\068\001\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\085\001\255\255\
\064\001\255\255\000\000\067\001\255\255\069\001\255\255\255\255\
\072\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\097\001\098\001\255\255\100\001\101\001\102\001\034\001\
\255\255\000\000\255\255\255\255\255\255\255\255\255\255\042\001\
\034\001\044\001\255\255\255\255\047\001\255\255\049\001\050\001\
\042\001\255\255\044\001\255\255\255\255\047\001\255\255\049\001\
\050\001\255\255\255\255\255\255\255\255\064\001\255\255\255\255\
\067\001\255\255\069\001\255\255\255\255\072\001\064\001\255\255\
\000\000\067\001\255\255\069\001\255\255\255\255\072\001\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\089\001\090\001\
\091\001\092\001\093\001\094\001\095\001\096\001\097\001\098\001\
\255\255\100\001\101\001\102\001\255\255\034\001\096\001\097\001\
\098\001\255\255\100\001\101\001\102\001\042\001\255\255\044\001\
\000\000\255\255\047\001\255\255\049\001\050\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\064\001\255\255\255\255\067\001\255\255\
\069\001\255\255\255\255\072\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\000\000\
\255\255\255\255\255\255\255\255\089\001\090\001\091\001\092\001\
\093\001\094\001\095\001\096\001\097\001\098\001\255\255\100\001\
\101\001\102\001\034\001\255\255\000\000\255\255\255\255\255\255\
\255\255\255\255\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\255\255\255\255\255\255\
\255\255\000\000\255\255\255\255\255\255\255\255\255\255\255\255\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\096\001\097\001\098\001\255\255\100\001\101\001\102\001\255\255\
\255\255\255\255\255\255\255\255\255\255\034\001\255\255\255\255\
\255\255\255\255\255\255\255\255\000\000\042\001\255\255\044\001\
\255\255\255\255\047\001\255\255\049\001\050\001\255\255\000\000\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\064\001\255\255\255\255\067\001\255\255\
\069\001\255\255\255\255\072\001\034\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\042\001\255\255\044\001\255\255\
\255\255\047\001\255\255\049\001\050\001\090\001\091\001\092\001\
\093\001\094\001\095\001\096\001\097\001\098\001\255\255\100\001\
\101\001\102\001\064\001\255\255\255\255\067\001\255\255\069\001\
\255\255\000\000\072\001\034\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\042\001\255\255\044\001\255\255\255\255\
\047\001\255\255\049\001\050\001\090\001\091\001\092\001\093\001\
\094\001\095\001\096\001\097\001\098\001\255\255\100\001\101\001\
\102\001\064\001\255\255\255\255\067\001\255\255\069\001\255\255\
\255\255\072\001\034\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\092\001\093\001\094\001\
\095\001\096\001\097\001\098\001\255\255\100\001\101\001\102\001\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\255\255\034\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\042\001\255\255\044\001\255\255\255\255\047\001\
\255\255\049\001\050\001\255\255\255\255\093\001\094\001\095\001\
\096\001\097\001\098\001\000\000\100\001\101\001\102\001\255\255\
\064\001\255\255\255\255\067\001\255\255\069\001\255\255\255\255\
\072\001\034\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\042\001\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\255\255\255\255\034\001\095\001\
\096\001\097\001\098\001\255\255\100\001\101\001\102\001\064\001\
\044\001\255\255\067\001\047\001\069\001\049\001\050\001\072\001\
\255\255\255\255\255\255\034\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\064\001\044\001\255\255\067\001\
\047\001\069\001\049\001\050\001\072\001\255\255\255\255\096\001\
\097\001\098\001\255\255\100\001\101\001\102\001\255\255\255\255\
\255\255\064\001\255\255\255\255\067\001\255\255\069\001\000\000\
\255\255\072\001\255\255\255\255\096\001\097\001\098\001\255\255\
\100\001\101\001\102\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\034\001\255\255\
\255\255\096\001\097\001\098\001\255\255\100\001\101\001\102\001\
\044\001\034\001\255\255\047\001\255\255\049\001\050\001\255\255\
\255\255\255\255\255\255\044\001\255\255\255\255\047\001\255\255\
\049\001\050\001\255\255\255\255\064\001\255\255\255\255\067\001\
\255\255\069\001\255\255\255\255\072\001\255\255\255\255\064\001\
\255\255\255\255\067\001\255\255\069\001\255\255\255\255\072\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\096\001\097\001\098\001\255\255\
\100\001\101\001\255\255\034\001\000\000\255\255\255\255\096\001\
\097\001\098\001\255\255\100\001\101\001\044\001\255\255\255\255\
\047\001\255\255\049\001\050\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\064\001\255\255\255\255\067\001\255\255\069\001\255\255\
\255\255\072\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\096\001\097\001\098\001\255\255\100\001\101\001\255\255\
\255\255\255\255\255\255\255\255\001\001\002\001\003\001\004\001\
\005\001\255\255\255\255\008\001\009\001\010\001\011\001\012\001\
\013\001\014\001\255\255\016\001\017\001\018\001\019\001\020\001\
\021\001\022\001\023\001\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\032\001\033\001\034\001\035\001\036\001\
\255\255\255\255\255\255\255\255\255\255\255\255\043\001\044\001\
\255\255\046\001\047\001\048\001\049\001\050\001\255\255\052\001\
\053\001\054\001\055\001\056\001\057\001\058\001\059\001\060\001\
\061\001\062\001\063\001\064\001\255\255\066\001\255\255\068\001\
\069\001\070\001\071\001\255\255\255\255\074\001\075\001\255\255\
\077\001\078\001\079\001\255\255\255\255\255\255\083\001\255\255\
\085\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\001\001\002\001\003\001\004\001\005\001\255\255\099\001\008\001\
\009\001\010\001\011\001\012\001\013\001\014\001\255\255\016\001\
\017\001\018\001\019\001\020\001\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\033\001\034\001\035\001\036\001\255\255\255\255\255\255\255\255\
\255\255\255\255\043\001\044\001\255\255\255\255\047\001\048\001\
\049\001\050\001\255\255\052\001\053\001\054\001\055\001\056\001\
\057\001\058\001\059\001\060\001\061\001\062\001\063\001\064\001\
\255\255\066\001\255\255\068\001\069\001\070\001\071\001\255\255\
\255\255\074\001\075\001\255\255\077\001\078\001\079\001\255\255\
\255\255\255\255\083\001\255\255\085\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\001\001\002\001\003\001\
\004\001\005\001\099\001\255\255\008\001\009\001\010\001\011\001\
\012\001\013\001\014\001\255\255\016\001\017\001\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\043\001\
\044\001\255\255\255\255\047\001\048\001\049\001\050\001\255\255\
\052\001\053\001\054\001\055\001\056\001\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\255\255\066\001\255\255\
\068\001\069\001\070\001\071\001\255\255\255\255\074\001\075\001\
\255\255\077\001\078\001\079\001\255\255\255\255\255\255\083\001\
\255\255\085\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\001\001\002\001\003\001\004\001\005\001\255\255\099\001\
\008\001\009\001\010\001\011\001\012\001\013\001\014\001\255\255\
\016\001\017\001\018\001\019\001\020\001\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\033\001\034\001\035\001\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\043\001\044\001\255\255\255\255\047\001\
\048\001\049\001\050\001\255\255\052\001\053\001\054\001\055\001\
\056\001\057\001\058\001\059\001\060\001\061\001\062\001\063\001\
\064\001\255\255\066\001\255\255\068\001\069\001\070\001\071\001\
\255\255\255\255\074\001\075\001\255\255\077\001\078\001\079\001\
\255\255\255\255\255\255\083\001\255\255\085\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\001\001\002\001\003\001\
\004\001\005\001\255\255\099\001\008\001\009\001\010\001\011\001\
\012\001\013\001\014\001\255\255\016\001\017\001\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\043\001\
\044\001\255\255\255\255\047\001\048\001\049\001\050\001\255\255\
\052\001\053\001\054\001\055\001\056\001\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\255\255\066\001\255\255\
\068\001\069\001\070\001\071\001\255\255\255\255\074\001\075\001\
\255\255\077\001\078\001\079\001\255\255\255\255\255\255\083\001\
\255\255\085\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\001\001\002\001\003\001\004\001\005\001\255\255\099\001\
\008\001\009\001\010\001\011\001\012\001\013\001\014\001\255\255\
\016\001\017\001\018\001\019\001\020\001\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\033\001\034\001\035\001\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\043\001\044\001\255\255\255\255\047\001\
\048\001\049\001\050\001\255\255\052\001\053\001\054\001\055\001\
\056\001\057\001\058\001\059\001\060\001\061\001\062\001\063\001\
\064\001\255\255\066\001\255\255\068\001\069\001\070\001\071\001\
\255\255\255\255\074\001\075\001\255\255\077\001\078\001\079\001\
\255\255\255\255\255\255\083\001\255\255\085\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\001\001\002\001\003\001\
\004\001\005\001\255\255\099\001\008\001\009\001\010\001\011\001\
\012\001\013\001\014\001\255\255\016\001\017\001\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\043\001\
\044\001\255\255\255\255\047\001\048\001\049\001\050\001\255\255\
\052\001\053\001\054\001\055\001\056\001\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\255\255\066\001\255\255\
\068\001\069\001\070\001\071\001\255\255\255\255\074\001\075\001\
\255\255\077\001\078\001\079\001\255\255\255\255\255\255\083\001\
\255\255\085\001\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\001\001\002\001\003\001\004\001\005\001\255\255\099\001\
\008\001\009\001\010\001\011\001\012\001\013\001\014\001\255\255\
\016\001\017\001\018\001\019\001\020\001\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\033\001\034\001\035\001\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\043\001\044\001\255\255\255\255\047\001\
\048\001\049\001\050\001\255\255\052\001\053\001\054\001\055\001\
\056\001\057\001\058\001\059\001\060\001\061\001\062\001\063\001\
\064\001\255\255\066\001\255\255\068\001\069\001\070\001\071\001\
\255\255\255\255\074\001\075\001\255\255\077\001\078\001\079\001\
\255\255\255\255\255\255\083\001\255\255\085\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\001\001\002\001\003\001\
\004\001\005\001\255\255\099\001\008\001\009\001\010\001\011\001\
\012\001\013\001\014\001\255\255\016\001\017\001\018\001\019\001\
\020\001\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\033\001\034\001\035\001\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\043\001\
\044\001\255\255\255\255\047\001\048\001\049\001\050\001\255\255\
\052\001\053\001\054\001\055\001\056\001\057\001\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\255\255\066\001\255\255\
\068\001\255\255\070\001\071\001\255\255\255\255\074\001\075\001\
\255\255\077\001\078\001\079\001\255\255\255\255\255\255\083\001\
\255\255\085\001\255\255\255\255\255\255\255\255\001\001\002\001\
\003\001\004\001\005\001\255\255\255\255\255\255\009\001\099\001\
\011\001\012\001\013\001\014\001\255\255\016\001\017\001\018\001\
\019\001\255\255\021\001\022\001\023\001\024\001\025\001\026\001\
\027\001\028\001\029\001\030\001\031\001\032\001\255\255\255\255\
\035\001\036\001\255\255\255\255\255\255\255\255\255\255\255\255\
\043\001\255\255\255\255\255\255\255\255\048\001\255\255\255\255\
\255\255\052\001\053\001\255\255\255\255\255\255\255\255\058\001\
\059\001\060\001\061\001\062\001\063\001\255\255\255\255\066\001\
\255\255\068\001\255\255\070\001\071\001\255\255\255\255\074\001\
\075\001\255\255\077\001\078\001\079\001\255\255\255\255\082\001\
\083\001\255\255\085\001\255\255\255\255\255\255\255\255\001\001\
\002\001\003\001\004\001\005\001\255\255\255\255\097\001\009\001\
\099\001\011\001\012\001\013\001\014\001\255\255\016\001\017\001\
\018\001\019\001\255\255\021\001\022\001\023\001\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\032\001\255\255\
\255\255\035\001\036\001\255\255\255\255\255\255\255\255\255\255\
\255\255\043\001\255\255\255\255\255\255\255\255\048\001\255\255\
\255\255\255\255\052\001\053\001\255\255\255\255\255\255\255\255\
\058\001\059\001\060\001\061\001\062\001\063\001\255\255\255\255\
\066\001\255\255\068\001\255\255\070\001\071\001\255\255\255\255\
\074\001\075\001\255\255\077\001\078\001\079\001\255\255\255\255\
\255\255\083\001\255\255\085\001\086\001\255\255\255\255\255\255\
\001\001\002\001\003\001\004\001\005\001\255\255\255\255\255\255\
\009\001\099\001\011\001\012\001\013\001\014\001\255\255\016\001\
\017\001\018\001\019\001\255\255\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\255\255\255\255\035\001\036\001\255\255\255\255\255\255\255\255\
\255\255\255\255\043\001\255\255\255\255\255\255\255\255\048\001\
\255\255\255\255\255\255\052\001\053\001\255\255\255\255\255\255\
\255\255\058\001\059\001\060\001\061\001\062\001\063\001\255\255\
\255\255\066\001\255\255\068\001\255\255\070\001\071\001\072\001\
\255\255\074\001\075\001\255\255\077\001\078\001\079\001\255\255\
\255\255\255\255\083\001\255\255\085\001\255\255\255\255\255\255\
\255\255\001\001\002\001\003\001\004\001\005\001\255\255\255\255\
\255\255\009\001\099\001\011\001\012\001\013\001\014\001\255\255\
\016\001\017\001\018\001\019\001\255\255\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\255\255\255\255\035\001\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\043\001\255\255\255\255\255\255\255\255\
\048\001\255\255\255\255\255\255\052\001\053\001\255\255\255\255\
\255\255\255\255\058\001\059\001\060\001\061\001\062\001\063\001\
\255\255\255\255\066\001\067\001\068\001\255\255\070\001\071\001\
\255\255\255\255\074\001\075\001\255\255\077\001\078\001\079\001\
\255\255\255\255\255\255\083\001\255\255\085\001\255\255\255\255\
\255\255\255\255\001\001\002\001\003\001\004\001\005\001\255\255\
\255\255\255\255\009\001\099\001\011\001\012\001\013\001\014\001\
\255\255\016\001\017\001\018\001\019\001\255\255\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\255\255\255\255\035\001\036\001\255\255\255\255\
\255\255\255\255\255\255\255\255\043\001\255\255\255\255\255\255\
\255\255\048\001\255\255\255\255\255\255\052\001\053\001\255\255\
\255\255\255\255\255\255\058\001\059\001\060\001\061\001\062\001\
\063\001\255\255\255\255\066\001\255\255\068\001\255\255\070\001\
\071\001\072\001\255\255\074\001\075\001\255\255\077\001\078\001\
\079\001\255\255\255\255\255\255\083\001\255\255\085\001\255\255\
\255\255\255\255\255\255\001\001\002\001\003\001\004\001\005\001\
\255\255\255\255\255\255\009\001\099\001\011\001\012\001\013\001\
\014\001\255\255\016\001\017\001\018\001\019\001\255\255\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\032\001\255\255\255\255\035\001\036\001\255\255\
\255\255\255\255\255\255\255\255\255\255\043\001\255\255\255\255\
\255\255\255\255\048\001\255\255\255\255\255\255\052\001\053\001\
\255\255\255\255\255\255\255\255\058\001\059\001\060\001\061\001\
\062\001\063\001\255\255\255\255\066\001\255\255\068\001\069\001\
\070\001\071\001\255\255\255\255\074\001\075\001\255\255\077\001\
\078\001\079\001\255\255\255\255\255\255\083\001\255\255\085\001\
\255\255\255\255\255\255\255\255\001\001\002\001\003\001\004\001\
\005\001\255\255\255\255\255\255\009\001\099\001\011\001\012\001\
\013\001\014\001\255\255\016\001\017\001\018\001\019\001\255\255\
\021\001\022\001\023\001\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\032\001\255\255\255\255\035\001\036\001\
\255\255\255\255\255\255\255\255\255\255\255\255\043\001\255\255\
\255\255\255\255\255\255\048\001\255\255\255\255\255\255\052\001\
\053\001\255\255\255\255\255\255\255\255\058\001\059\001\060\001\
\061\001\062\001\063\001\064\001\255\255\066\001\255\255\068\001\
\255\255\070\001\071\001\255\255\255\255\074\001\075\001\255\255\
\077\001\078\001\079\001\255\255\255\255\255\255\083\001\255\255\
\085\001\255\255\255\255\255\255\255\255\001\001\002\001\003\001\
\004\001\005\001\255\255\255\255\255\255\009\001\099\001\011\001\
\012\001\013\001\014\001\255\255\016\001\017\001\018\001\019\001\
\255\255\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\255\255\255\255\035\001\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\043\001\
\255\255\255\255\255\255\255\255\048\001\255\255\255\255\255\255\
\052\001\053\001\255\255\255\255\255\255\255\255\058\001\059\001\
\060\001\061\001\062\001\063\001\064\001\255\255\066\001\255\255\
\068\001\255\255\070\001\071\001\255\255\255\255\074\001\075\001\
\255\255\077\001\078\001\079\001\255\255\255\255\255\255\083\001\
\255\255\085\001\255\255\255\255\255\255\255\255\001\001\002\001\
\003\001\004\001\005\001\255\255\255\255\255\255\009\001\099\001\
\011\001\012\001\013\001\014\001\255\255\016\001\017\001\018\001\
\019\001\255\255\021\001\022\001\023\001\024\001\025\001\026\001\
\027\001\028\001\029\001\030\001\031\001\032\001\255\255\255\255\
\035\001\036\001\255\255\255\255\255\255\255\255\255\255\255\255\
\043\001\255\255\255\255\255\255\255\255\048\001\255\255\255\255\
\255\255\052\001\053\001\255\255\255\255\255\255\255\255\058\001\
\059\001\060\001\061\001\062\001\063\001\255\255\255\255\066\001\
\255\255\068\001\255\255\070\001\071\001\255\255\255\255\074\001\
\075\001\255\255\077\001\078\001\079\001\255\255\255\255\255\255\
\083\001\255\255\085\001\255\255\255\255\255\255\255\255\001\001\
\002\001\003\001\004\001\005\001\255\255\255\255\255\255\009\001\
\099\001\011\001\012\001\013\001\014\001\255\255\016\001\017\001\
\018\001\019\001\255\255\021\001\022\001\023\001\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\032\001\255\255\
\255\255\035\001\036\001\255\255\255\255\255\255\255\255\255\255\
\255\255\043\001\255\255\255\255\255\255\255\255\048\001\255\255\
\255\255\255\255\052\001\053\001\255\255\255\255\255\255\255\255\
\058\001\059\001\060\001\061\001\062\001\063\001\255\255\255\255\
\066\001\255\255\068\001\255\255\070\001\071\001\255\255\255\255\
\074\001\075\001\255\255\077\001\078\001\079\001\255\255\255\255\
\255\255\083\001\255\255\085\001\255\255\255\255\255\255\255\255\
\001\001\002\001\003\001\004\001\005\001\255\255\255\255\255\255\
\009\001\099\001\011\001\012\001\013\001\014\001\255\255\016\001\
\017\001\018\001\019\001\255\255\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\255\255\255\255\035\001\036\001\255\255\255\255\255\255\255\255\
\255\255\255\255\043\001\255\255\255\255\255\255\255\255\048\001\
\255\255\255\255\255\255\052\001\053\001\255\255\255\255\255\255\
\255\255\058\001\059\001\060\001\061\001\062\001\063\001\255\255\
\255\255\066\001\255\255\068\001\255\255\070\001\071\001\255\255\
\255\255\074\001\075\001\255\255\077\001\078\001\079\001\255\255\
\255\255\255\255\083\001\255\255\085\001\255\255\255\255\255\255\
\255\255\001\001\002\001\003\001\004\001\005\001\255\255\255\255\
\255\255\009\001\099\001\011\001\012\001\013\001\014\001\255\255\
\016\001\017\001\018\001\019\001\255\255\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\255\255\255\255\035\001\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\043\001\255\255\255\255\255\255\255\255\
\048\001\255\255\255\255\255\255\052\001\053\001\255\255\255\255\
\255\255\255\255\058\001\059\001\060\001\061\001\062\001\063\001\
\255\255\255\255\066\001\255\255\068\001\255\255\070\001\071\001\
\255\255\255\255\074\001\075\001\255\255\077\001\078\001\079\001\
\255\255\255\255\255\255\083\001\255\255\085\001\255\255\255\255\
\255\255\255\255\001\001\002\001\003\001\004\001\005\001\255\255\
\255\255\255\255\009\001\099\001\011\001\012\001\013\001\014\001\
\255\255\016\001\017\001\018\001\019\001\255\255\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\255\255\255\255\035\001\036\001\255\255\255\255\
\255\255\255\255\255\255\255\255\043\001\255\255\255\255\255\255\
\255\255\048\001\255\255\255\255\255\255\052\001\053\001\255\255\
\255\255\255\255\255\255\058\001\059\001\060\001\061\001\062\001\
\063\001\255\255\255\255\066\001\255\255\068\001\255\255\070\001\
\071\001\255\255\255\255\074\001\075\001\255\255\077\001\078\001\
\079\001\255\255\255\255\255\255\083\001\255\255\085\001\255\255\
\255\255\255\255\255\255\001\001\002\001\003\001\004\001\005\001\
\255\255\255\255\255\255\009\001\099\001\011\001\012\001\013\001\
\014\001\255\255\016\001\017\001\018\001\019\001\255\255\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\032\001\255\255\255\255\035\001\036\001\255\255\
\255\255\255\255\255\255\255\255\255\255\043\001\255\255\255\255\
\255\255\255\255\048\001\255\255\255\255\255\255\052\001\053\001\
\255\255\255\255\255\255\255\255\058\001\059\001\060\001\061\001\
\062\001\063\001\255\255\255\255\066\001\255\255\068\001\255\255\
\070\001\071\001\255\255\255\255\074\001\075\001\255\255\077\001\
\078\001\079\001\255\255\255\255\255\255\083\001\255\255\085\001\
\255\255\255\255\255\255\255\255\001\001\002\001\003\001\004\001\
\005\001\255\255\255\255\255\255\009\001\099\001\011\001\012\001\
\013\001\014\001\255\255\016\001\017\001\018\001\019\001\255\255\
\021\001\022\001\023\001\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\032\001\255\255\255\255\035\001\036\001\
\255\255\255\255\255\255\255\255\255\255\255\255\043\001\255\255\
\255\255\255\255\255\255\048\001\255\255\255\255\255\255\052\001\
\053\001\255\255\255\255\255\255\255\255\058\001\059\001\060\001\
\061\001\062\001\063\001\255\255\255\255\066\001\255\255\068\001\
\255\255\070\001\071\001\255\255\255\255\074\001\075\001\255\255\
\077\001\078\001\079\001\255\255\255\255\255\255\083\001\255\255\
\085\001\255\255\255\255\255\255\255\255\001\001\002\001\003\001\
\004\001\005\001\255\255\255\255\255\255\009\001\099\001\011\001\
\012\001\013\001\014\001\255\255\016\001\017\001\018\001\019\001\
\255\255\021\001\022\001\023\001\024\001\025\001\026\001\027\001\
\028\001\029\001\030\001\031\001\032\001\255\255\255\255\035\001\
\036\001\255\255\255\255\255\255\255\255\255\255\255\255\043\001\
\255\255\255\255\255\255\255\255\048\001\255\255\255\255\255\255\
\052\001\053\001\255\255\255\255\255\255\255\255\058\001\059\001\
\060\001\061\001\062\001\063\001\255\255\255\255\066\001\255\255\
\068\001\255\255\070\001\071\001\255\255\255\255\074\001\075\001\
\255\255\077\001\078\001\079\001\255\255\255\255\255\255\083\001\
\255\255\085\001\255\255\255\255\255\255\255\255\001\001\002\001\
\003\001\004\001\005\001\255\255\255\255\255\255\009\001\099\001\
\011\001\012\001\013\001\014\001\255\255\016\001\017\001\018\001\
\019\001\255\255\021\001\022\001\023\001\024\001\025\001\026\001\
\027\001\028\001\029\001\030\001\031\001\032\001\255\255\255\255\
\035\001\036\001\255\255\255\255\255\255\255\255\255\255\255\255\
\043\001\255\255\255\255\255\255\255\255\048\001\255\255\255\255\
\255\255\052\001\053\001\255\255\255\255\255\255\255\255\058\001\
\059\001\060\001\061\001\062\001\063\001\255\255\255\255\066\001\
\255\255\068\001\255\255\070\001\071\001\255\255\255\255\074\001\
\075\001\255\255\077\001\078\001\079\001\255\255\255\255\255\255\
\083\001\255\255\085\001\255\255\255\255\255\255\255\255\001\001\
\002\001\003\001\004\001\005\001\255\255\255\255\255\255\009\001\
\099\001\011\001\012\001\013\001\014\001\255\255\016\001\017\001\
\018\001\019\001\255\255\021\001\022\001\023\001\024\001\025\001\
\026\001\027\001\028\001\029\001\030\001\031\001\032\001\255\255\
\255\255\035\001\036\001\255\255\255\255\255\255\255\255\255\255\
\255\255\043\001\255\255\255\255\255\255\255\255\048\001\255\255\
\255\255\255\255\052\001\053\001\255\255\255\255\255\255\255\255\
\058\001\059\001\060\001\061\001\062\001\063\001\255\255\255\255\
\066\001\255\255\068\001\255\255\070\001\071\001\255\255\255\255\
\074\001\075\001\255\255\077\001\078\001\079\001\255\255\255\255\
\255\255\083\001\255\255\085\001\255\255\255\255\255\255\255\255\
\001\001\002\001\003\001\004\001\005\001\255\255\255\255\255\255\
\009\001\099\001\011\001\012\001\013\001\014\001\255\255\016\001\
\017\001\018\001\019\001\255\255\021\001\022\001\023\001\024\001\
\025\001\026\001\027\001\028\001\029\001\030\001\031\001\032\001\
\255\255\255\255\035\001\036\001\255\255\255\255\255\255\255\255\
\255\255\255\255\043\001\255\255\255\255\255\255\255\255\048\001\
\255\255\255\255\255\255\052\001\053\001\255\255\255\255\255\255\
\255\255\058\001\059\001\060\001\061\001\062\001\063\001\255\255\
\255\255\066\001\255\255\068\001\255\255\070\001\071\001\255\255\
\255\255\074\001\075\001\255\255\077\001\078\001\079\001\255\255\
\255\255\255\255\083\001\255\255\085\001\255\255\255\255\255\255\
\255\255\001\001\002\001\003\001\004\001\005\001\255\255\255\255\
\255\255\009\001\099\001\011\001\012\001\013\001\014\001\255\255\
\016\001\017\001\018\001\019\001\255\255\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\030\001\031\001\
\032\001\255\255\255\255\035\001\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\043\001\255\255\255\255\255\255\255\255\
\048\001\255\255\255\255\255\255\052\001\053\001\255\255\255\255\
\255\255\255\255\058\001\059\001\060\001\061\001\062\001\063\001\
\255\255\255\255\066\001\255\255\068\001\255\255\070\001\071\001\
\255\255\255\255\074\001\075\001\255\255\077\001\078\001\079\001\
\255\255\255\255\255\255\083\001\255\255\085\001\255\255\255\255\
\255\255\255\255\001\001\002\001\003\001\004\001\255\255\255\255\
\255\255\255\255\009\001\099\001\011\001\012\001\013\001\014\001\
\255\255\016\001\017\001\018\001\019\001\255\255\021\001\022\001\
\023\001\024\001\025\001\026\001\027\001\028\001\029\001\030\001\
\031\001\032\001\255\255\255\255\035\001\036\001\255\255\255\255\
\255\255\255\255\255\255\255\255\043\001\255\255\255\255\255\255\
\255\255\048\001\255\255\255\255\255\255\052\001\053\001\255\255\
\255\255\255\255\255\255\058\001\059\001\060\001\061\001\062\001\
\063\001\064\001\255\255\066\001\255\255\068\001\255\255\070\001\
\071\001\255\255\255\255\074\001\075\001\255\255\077\001\078\001\
\079\001\255\255\255\255\255\255\083\001\255\255\085\001\255\255\
\255\255\255\255\255\255\001\001\002\001\003\001\004\001\005\001\
\255\255\255\255\255\255\009\001\099\001\011\001\012\001\013\001\
\014\001\255\255\016\001\017\001\018\001\019\001\255\255\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\029\001\
\030\001\031\001\032\001\255\255\255\255\035\001\036\001\255\255\
\255\255\255\255\255\255\255\255\255\255\043\001\255\255\255\255\
\255\255\255\255\048\001\255\255\255\255\255\255\052\001\053\001\
\255\255\255\255\255\255\255\255\058\001\059\001\060\001\061\001\
\062\001\063\001\255\255\255\255\066\001\255\255\068\001\255\255\
\070\001\071\001\255\255\255\255\074\001\075\001\255\255\077\001\
\078\001\079\001\255\255\255\255\255\255\083\001\255\255\085\001\
\255\255\255\255\255\255\255\255\001\001\002\001\003\001\004\001\
\005\001\255\255\255\255\255\255\009\001\099\001\011\001\012\001\
\013\001\014\001\255\255\016\001\017\001\018\001\019\001\255\255\
\021\001\022\001\023\001\024\001\025\001\026\001\027\001\028\001\
\029\001\030\001\031\001\032\001\255\255\255\255\035\001\036\001\
\255\255\255\255\255\255\255\255\255\255\255\255\043\001\255\255\
\255\255\255\255\255\255\048\001\255\255\255\255\255\255\052\001\
\053\001\255\255\255\255\255\255\255\255\058\001\059\001\060\001\
\061\001\062\001\063\001\255\255\255\255\066\001\255\255\068\001\
\255\255\070\001\071\001\255\255\255\255\074\001\075\001\255\255\
\077\001\078\001\079\001\001\001\002\001\255\255\083\001\005\001\
\255\255\255\255\255\255\255\255\255\255\011\001\012\001\013\001\
\014\001\255\255\016\001\017\001\018\001\019\001\099\001\021\001\
\022\001\023\001\024\001\025\001\026\001\027\001\028\001\255\255\
\255\255\031\001\032\001\255\255\255\255\035\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\043\001\255\255\255\255\
\255\255\255\255\048\001\255\255\255\255\255\255\052\001\053\001\
\255\255\255\255\255\255\255\255\058\001\059\001\060\001\061\001\
\062\001\063\001\064\001\255\255\066\001\255\255\068\001\255\255\
\070\001\071\001\255\255\255\255\074\001\075\001\255\255\077\001\
\078\001\079\001\003\001\004\001\255\255\083\001\255\255\085\001\
\009\001\255\255\011\001\255\255\255\255\255\255\015\001\255\255\
\255\255\255\255\003\001\004\001\255\255\099\001\255\255\024\001\
\009\001\255\255\011\001\255\255\029\001\030\001\015\001\255\255\
\255\255\034\001\255\255\036\001\255\255\255\255\255\255\024\001\
\255\255\255\255\043\001\255\255\029\001\030\001\255\255\255\255\
\255\255\034\001\255\255\036\001\255\255\255\255\255\255\255\255\
\255\255\255\255\059\001\255\255\255\255\255\255\255\255\255\255\
\255\255\066\001\255\255\068\001\255\255\255\255\071\001\255\255\
\255\255\255\255\059\001\255\255\255\255\255\255\255\255\255\255\
\255\255\066\001\255\255\068\001\255\255\255\255\071\001\088\001\
\255\255\001\001\002\001\003\001\255\255\005\001\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\014\001\088\001\
\016\001\017\001\018\001\019\001\255\255\021\001\022\001\023\001\
\024\001\025\001\026\001\027\001\028\001\029\001\255\255\031\001\
\255\255\255\255\255\255\255\255\036\001\255\255\255\255\255\255\
\255\255\255\255\255\255\037\001\038\001\039\001\040\001\041\001\
\042\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\058\001\059\001\060\001\061\001\062\001\063\001\
\255\255\255\255\255\255\037\001\038\001\039\001\040\001\041\001\
\042\001\255\255\255\255\255\255\255\255\255\255\255\255\073\001\
\074\001\075\001\076\001\255\255\255\255\085\001\080\001\081\001\
\082\001\083\001\084\001\085\001\086\001\087\001\088\001\089\001\
\090\001\091\001\092\001\093\001\094\001\095\001\096\001\073\001\
\074\001\075\001\076\001\255\255\102\001\255\255\080\001\081\001\
\082\001\083\001\084\001\085\001\086\001\087\001\088\001\089\001\
\090\001\091\001\092\001\093\001\094\001\095\001\037\001\038\001\
\039\001\040\001\041\001\042\001\102\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\037\001\038\001\039\001\
\040\001\041\001\042\001\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\073\001\074\001\075\001\076\001\255\255\255\255\
\255\255\080\001\081\001\082\001\083\001\084\001\085\001\086\001\
\087\001\088\001\089\001\090\001\091\001\092\001\093\001\094\001\
\095\001\073\001\074\001\075\001\076\001\255\255\255\255\102\001\
\080\001\081\001\082\001\083\001\084\001\085\001\086\001\087\001\
\088\001\089\001\090\001\091\001\092\001\093\001\094\001\095\001\
\037\001\038\001\039\001\040\001\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\037\001\
\038\001\039\001\040\001\041\001\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\073\001\074\001\075\001\076\001\
\255\255\255\255\255\255\080\001\081\001\082\001\083\001\084\001\
\085\001\086\001\087\001\088\001\089\001\090\001\091\001\092\001\
\093\001\094\001\095\001\073\001\074\001\075\001\076\001\255\255\
\255\255\255\255\080\001\081\001\082\001\083\001\084\001\085\001\
\086\001\087\001\088\001\089\001\090\001\091\001\092\001\093\001\
\037\001\038\001\039\001\040\001\041\001\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\073\001\074\001\075\001\076\001\
\255\255\255\255\255\255\080\001\081\001\082\001\083\001\084\001\
\085\001\086\001\087\001\088\001\089\001\090\001\091\001\092\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\089\001\090\001\091\001\037\001\038\001\039\001\040\001\041\001\
\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\037\001\038\001\039\001\040\001\
\041\001\255\255\255\255\255\255\255\255\255\255\255\255\255\255\
\255\255\255\255\255\255\255\255\037\001\038\001\255\255\073\001\
\074\001\075\001\076\001\255\255\255\255\255\255\080\001\081\001\
\082\001\083\001\084\001\085\001\086\001\087\001\088\001\089\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001\
\073\001\074\001\075\001\076\001\255\255\255\255\255\255\080\001\
\081\001\082\001\083\001\084\001\085\001\086\001\087\001\088\001"

let yynames_const = "\
  "

let yynames_block = "\
  EOF\000\
  NUM\000\
  RAW_STRING\000\
  BAREWORD\000\
  BAREWORD_PAREN\000\
  REVISION\000\
  COMMENT\000\
  POD\000\
  LABEL\000\
  PO_COMMENT\000\
  PERL_CHECKER_COMMENT\000\
  ONE_SCALAR_PARA\000\
  PRINT_TO_STAR\000\
  PRINT_TO_SCALAR\000\
  QUOTEWORDS\000\
  COMPACT_HASH_SUBSCRIPT\000\
  RAW_HERE_DOC\000\
  STRING\000\
  COMMAND_STRING\000\
  HERE_DOC\000\
  FORMAT\000\
  PATTERN\000\
  QR_PATTERN\000\
  PATTERN_SUBST\000\
  SCALAR_IDENT\000\
  ARRAY_IDENT\000\
  HASH_IDENT\000\
  FUNC_IDENT\000\
  STAR_IDENT\000\
  RAW_IDENT\000\
  RAW_IDENT_PAREN\000\
  ARRAYLEN_IDENT\000\
  SUB_WITH_PROTO\000\
  FUNC_DECL_WITH_PROTO\000\
  FOR\000\
  PRINT\000\
  NEW\000\
  COMPARE_OP\000\
  COMPARE_OP_STR\000\
  EQ_OP\000\
  EQ_OP_STR\000\
  SMART_OP\000\
  ASSIGN\000\
  MY_OUR\000\
  IF\000\
  ELSIF\000\
  ELSE\000\
  UNLESS\000\
  DO\000\
  WHILE\000\
  UNTIL\000\
  CONTINUE\000\
  SUB\000\
  LOCAL\000\
  USE\000\
  PACKAGE\000\
  BEGIN\000\
  END\000\
  AT\000\
  DOLLAR\000\
  PERCENT\000\
  AMPERSAND\000\
  STAR\000\
  ARRAYLEN\000\
  SEMI_COLON\000\
  PKG_SCOPE\000\
  PAREN\000\
  PAREN_END\000\
  BRACKET\000\
  BRACKET_END\000\
  BRACKET_HASHREF\000\
  ARRAYREF\000\
  ARRAYREF_END\000\
  ARROW\000\
  INCR\000\
  DECR\000\
  POWER\000\
  TIGHT_NOT\000\
  BIT_NEG\000\
  REF\000\
  PATTERN_MATCH\000\
  PATTERN_MATCH_NOT\000\
  MULT\000\
  PLUS\000\
  BIT_SHIFT\000\
  LT\000\
  GT\000\
  CONCAT\000\
  MULT_L_STR\000\
  BIT_AND\000\
  BIT_OR\000\
  BIT_XOR\000\
  AND_TIGHT\000\
  OR_TIGHT\000\
  DOTDOT\000\
  QUESTION_MARK\000\
  COLON\000\
  COMMA\000\
  RIGHT_ARROW\000\
  NOT\000\
  AND\000\
  OR\000\
  XOR\000\
  "

let yyact = [|
  (fun _ -> failwith "parser")
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 102 "parser.mly"
                (fst _1.any)
# 2771 "parser.ml"
               : Types.fromparser list))
; (fun __caml_parser_env ->
    Obj.repr(
# 105 "parser.mly"
  ( default_esp ([], true) )
# 2777 "parser.ml"
               : 'lines))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'sideff) in
    Obj.repr(
# 106 "parser.mly"
         ( new_1esp ([_1.any], false) _1 )
# 2784 "parser.ml"
               : 'lines))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'line) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'lines) in
    Obj.repr(
# 107 "parser.mly"
             ( if fst _2.any <> [] then mcontext_check_none_no_drop_always _1 _2; new_esp _2.mcontext (_1.any @ fst _2.any, snd _2.any) _1 _2 )
# 2792 "parser.ml"
               : 'lines))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'decl) in
    Obj.repr(
# 110 "parser.mly"
       ( new_1esp [_1.any] _1 )
# 2799 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'if_then_else) in
    Obj.repr(
# 111 "parser.mly"
               ( new_1esp [_1.any] _1 )
# 2806 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'loop) in
    Obj.repr(
# 112 "parser.mly"
       ( new_1esp [_1.any] _1 )
# 2813 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 113 "parser.mly"
        ( sp_cr(_1); new_1esp [Label _1.any] _1 )
# 2820 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 114 "parser.mly"
                       (sp_p(_1); new_1esp [Perl_checker_comment(_1.any, get_pos _1)] _1 )
# 2827 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'semi_colon) in
    Obj.repr(
# 115 "parser.mly"
             (warn_rule [Warn_white_space] "unneeded \";\""; new_1esp [Semi_colon] _1 )
# 2834 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'sideff) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'semi_colon) in
    Obj.repr(
# 116 "parser.mly"
                    (new_1esp [_1.any ; Semi_colon] _1 )
# 2842 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 117 "parser.mly"
                            (new_esp _2.mcontext [lines_to_Block _2 _3] _1 _3)
# 2851 "parser.ml"
               : 'line))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 7 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 3 : 'lines) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 1 : 'elsif) in
    let _9 = (Parsing.peek_val __caml_parser_env 0 : 'else_) in
    Obj.repr(
# 120 "parser.mly"
                                                                    (sp_p(_1); sp_n(_2); sp_0(_3); sp_0_or_cr(_4); sp_p(_5); mcontext_check M_bool _3; to_Call_op (if _9.any = [] then M_none else mcontext_lmerge (_6.mcontext :: mcontext_lmaybe _8 @ [_9.mcontext])) "if"     (prio_lo P_loose _3 :: lines_to_Block _6 _7 :: _8.any @ _9.any) _1 _9)
# 2866 "parser.ml"
               : 'if_then_else))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 7 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 3 : 'lines) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 1 : 'elsif) in
    let _9 = (Parsing.peek_val __caml_parser_env 0 : 'else_) in
    Obj.repr(
# 121 "parser.mly"
                                                                    (sp_p(_1); sp_n(_2); sp_0(_3); sp_0_or_cr(_4); sp_p(_5); mcontext_check M_bool _3; check_unless_else _8 _9; to_Call_op M_none "unless" (prio_lo P_loose _3 :: lines_to_Block _6 _7 :: _8.any @ _9.any) _1 _9)
# 2881 "parser.ml"
               : 'if_then_else))
; (fun __caml_parser_env ->
    Obj.repr(
# 124 "parser.mly"
   (default_esp [])
# 2887 "parser.ml"
               : 'elsif))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : 'elsif) in
    Obj.repr(
# 125 "parser.mly"
                                                             (sp_p(_1); sp_n(_2); sp_0(_3); sp_0_or_cr(_4); sp_p(_5); mcontext_check M_bool _3; new_esp (mcontext_lmerge (_6.mcontext :: mcontext_lmaybe _8)) (prio_lo P_loose _3 :: lines_to_Block _6 _7 :: _8.any) _1 _8)
# 2901 "parser.ml"
               : 'elsif))
; (fun __caml_parser_env ->
    Obj.repr(
# 128 "parser.mly"
             ( default_esp [] )
# 2907 "parser.ml"
               : 'else_))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 129 "parser.mly"
                                 (sp_p(_1); sp_n(_2); new_esp _3.mcontext [lines_to_Block _3 _4] _1 _4)
# 2917 "parser.ml"
               : 'else_))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : 'cont) in
    Obj.repr(
# 132 "parser.mly"
                                                            (sp_p(_1); sp_n(_2); sp_0(_3); sp_0_or_cr(_4); sp_p(_5); mcontext_check M_bool _3; to_Call_op M_none "while" [ prio_lo P_loose _3; lines_to_Block _6 _7 ] _1 _8)
# 2931 "parser.ml"
               : 'loop))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : 'cont) in
    Obj.repr(
# 133 "parser.mly"
                                                            (sp_p(_1); sp_n(_2); sp_0(_3); sp_0_or_cr(_4); sp_p(_5); mcontext_check M_bool _3; to_Call_op M_none "until" [ prio_lo P_loose _3; lines_to_Block _6 _7 ] _1 _8)
# 2945 "parser.ml"
               : 'loop))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 10 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 9 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 8 : 'expr_or_empty) in
    let _4 = (Parsing.peek_val __caml_parser_env 7 : 'semi_colon) in
    let _5 = (Parsing.peek_val __caml_parser_env 6 : 'expr_or_empty) in
    let _6 = (Parsing.peek_val __caml_parser_env 5 : 'semi_colon) in
    let _7 = (Parsing.peek_val __caml_parser_env 4 : 'expr_or_empty) in
    let _8 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _9 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _10 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _11 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 134 "parser.mly"
                                                                                                                (sp_p(_1); check_for(_1); sp_n(_2); sp_0(_3); sp_p(_5); sp_p(_7); sp_0(_8); sp_n(_9); to_Call_op M_none "for" [ _3.any; _5.any; _7.any; lines_to_Block _10 _11 ] _1 _11)
# 2962 "parser.ml"
               : 'loop))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 7 : (string option * string) Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 5 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _8 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _9 = (Parsing.peek_val __caml_parser_env 0 : 'cont) in
    Obj.repr(
# 135 "parser.mly"
                                                                       ( warn_rule [Warn_normalized_expressions] "don't use for without \"my\"ing the iteration variable"; sp_p(_1); sp_0(_4); sp_0_or_cr(_5); sp_p(_6); mcontext_check M_list _4; to_Call_op M_none "foreach" [ prio_lo P_loose _4; lines_to_Block _7 _8 ] _1 _9)
# 2977 "parser.ml"
               : 'loop))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : 'cont) in
    Obj.repr(
# 136 "parser.mly"
                                                                       (sp_p(_1); sp_n(_2); sp_0(_3); sp_0_or_cr(_4); sp_p(_5); mcontext_check M_list _3; check_for_foreach _1 _3; to_Call_op M_none "foreach" [ prio_lo P_loose _3; lines_to_Block _6 _7 ] _1 _8)
# 2991 "parser.ml"
               : 'loop))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'for_my) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'cont) in
    Obj.repr(
# 137 "parser.mly"
                                ( to_Call_op M_none "foreach my" (_1.any @ [ lines_to_Block _2 _3 ]) _1 _4)
# 3001 "parser.ml"
               : 'loop))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : (string option * string) Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 140 "parser.mly"
                                                       (sp_p(_1); check_my(_2); check_foreach(_1); sp_n(_4); sp_0(_5); sp_0_or_cr(_6); sp_p(_7); new_esp M_none [ My_our(_2.any, [I_scalar, snd _3.any], get_pos _3); prio_lo P_loose _5 ] _1 _7)
# 3014 "parser.ml"
               : 'for_my))
; (fun __caml_parser_env ->
    Obj.repr(
# 144 "parser.mly"
   (default_esp ())
# 3020 "parser.ml"
               : 'cont))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 145 "parser.mly"
                                     (sp_p(_1); sp_n(_2); check_block_lines _3 _4; new_esp _3.mcontext () _1 _4)
# 3030 "parser.ml"
               : 'cont))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 148 "parser.mly"
        ( new_1esp _1.any.expr _1 )
# 3037 "parser.ml"
               : 'sideff))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 149 "parser.mly"
                    (sp_p(_2); sp_p(_3); mcontext_check M_bool _3; call_op_if_infix     (prio_lo P_loose _1) (prio_lo P_loose _3) _1 _3)
# 3046 "parser.ml"
               : 'sideff))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 150 "parser.mly"
                    (sp_p(_2); sp_p(_3); mcontext_check M_bool _3; call_op_unless_infix (prio_lo P_loose _1) (prio_lo P_loose _3) _1 _3)
# 3055 "parser.ml"
               : 'sideff))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 151 "parser.mly"
                    (sp_p(_2); sp_p(_3); mcontext_check M_bool _3; to_Call_op M_none "while infix" [ prio_lo P_loose _1 ; prio_lo P_loose _3 ] _1 _3)
# 3064 "parser.ml"
               : 'sideff))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 152 "parser.mly"
                    (sp_p(_2); sp_p(_3); mcontext_check M_bool _3; to_Call_op M_none "until infix" [ prio_lo P_loose _1 ; prio_lo P_loose _3 ] _1 _3)
# 3073 "parser.ml"
               : 'sideff))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 153 "parser.mly"
                    (sp_p(_2); sp_p(_3); mcontext_check M_list _3; check_foreach(_2); to_Call_op M_none "for infix"   [ prio_lo P_loose _1 ; prio_lo P_loose _3 ] _1 _3)
# 3082 "parser.ml"
               : 'sideff))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : ((string * ((int * int) * token) list) list * Types.raw_pos) Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 156 "parser.mly"
                         (to_Call_op M_none "format" [Raw_string(_2.any, get_pos _2) ; to_String false (new_1esp (fst _1.any) _1)] _1 _3)
# 3091 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : ((string * ((int * int) * token) list) list * Types.raw_pos) Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 157 "parser.mly"
                (new_esp M_none Too_complex _1 _2)
# 3099 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'func_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'semi_colon) in
    Obj.repr(
# 158 "parser.mly"
                       (if snd _1.any = None then die_rule "there is no need to pre-declare in Perl!" else (warn_rule [Warn_normalized_expressions] "please don't use prototype pre-declaration" ; new_esp M_special Too_complex _1 _2) )
# 3107 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'func_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 159 "parser.mly"
                                (sp_n(_2); sp_0_or_cr(_3); let name, proto = _1.any in new_esp M_none (sub_declaration (name, proto) [] Real_sub_declaration) _1 _3)
# 3116 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'func_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 160 "parser.mly"
                                      (sp_n(_2); check_block_lines _3 _4; new_esp M_none (sub_declaration _1.any (fst _3.any) Real_sub_declaration) _1 _4)
# 3126 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'func_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 161 "parser.mly"
                                                                    (sp_n(_2); sp_p(_3); sp_p(_4); sp_p(_5); check_block_expr false Undef      _5 _6; new_esp M_none (sub_declaration _1.any [hash_ref _4] Real_sub_declaration) _1 _6)
# 3138 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : 'func_decl) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : 'semi_colon) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 162 "parser.mly"
                                                                    (sp_n(_2); sp_p(_3); sp_p(_4); sp_p(_5); check_block_expr true  Semi_colon _6 _7; new_esp M_none (sub_declaration _1.any [hash_ref _4; Semi_colon] Real_sub_declaration) _1 _7)
# 3151 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'word) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'semi_colon) in
    Obj.repr(
# 163 "parser.mly"
                          (sp_0_or_cr(_1); sp_1(_2); new_esp M_none (Package _2.any) _1 _3)
# 3160 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 164 "parser.mly"
                                  (sp_0_or_cr(_1); sp_1(_2); new_esp M_none (Sub_declaration(Ident(None, "BEGIN", get_pos _1), None, lines_to_Block _3 _4, Glob_assign)) _1 _4)
# 3170 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 165 "parser.mly"
                                  (sp_0_or_cr(_1); sp_1(_2); new_esp M_none (Sub_declaration(Ident(None, "END",   get_pos _1), None, lines_to_Block _3 _4, Glob_assign)) _1 _4)
# 3180 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'use) in
    Obj.repr(
# 166 "parser.mly"
      (_1)
# 3187 "parser.ml"
               : 'decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'use_word) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'listexpr) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'semi_colon) in
    Obj.repr(
# 169 "parser.mly"
                               (sp_n(_2); new_esp M_none (Use(_1.any, _2.any.expr)) _1 _3)
# 3196 "parser.ml"
               : 'use))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'use_revision) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'word_paren) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : 'listexpr) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 170 "parser.mly"
                                                   (sp_0(_4); sp_0_or_cr(_5); new_esp M_none (Use(_2.any, _4.any.expr)) _1 _5)
# 3207 "parser.ml"
               : 'use))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'use_revision) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'word) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'comma) in
    Obj.repr(
# 173 "parser.mly"
                          (new_esp M_none _2.any _1 _3)
# 3216 "parser.ml"
               : 'use_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'use_revision) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'word) in
    Obj.repr(
# 174 "parser.mly"
                    (new_esp M_none _2.any _1 _2)
# 3224 "parser.ml"
               : 'use_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'use_revision) in
    Obj.repr(
# 175 "parser.mly"
               (new_1esp Undef _1 )
# 3231 "parser.ml"
               : 'use_word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'comma) in
    Obj.repr(
# 178 "parser.mly"
                     (_1)
# 3240 "parser.ml"
               : 'use_revision))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 179 "parser.mly"
               (_1)
# 3248 "parser.ml"
               : 'use_revision))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 180 "parser.mly"
      (_1)
# 3255 "parser.ml"
               : 'use_revision))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'word) in
    Obj.repr(
# 183 "parser.mly"
           ( new_esp M_none (_2.any, None) _1 _2)
# 3263 "parser.ml"
               : 'func_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 184 "parser.mly"
             ( new_esp M_none (Ident(None, _2.any, get_pos _2), None) _1 _2)
# 3271 "parser.ml"
               : 'func_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 185 "parser.mly"
                      ( new_esp M_none (Ident(None, _2.any, get_pos _2), None) _1 _2)
# 3279 "parser.ml"
               : 'func_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 186 "parser.mly"
                                     ( warn_rule [Warn_white_space] "remove carriage return between \"sub\" and the function name"; new_esp M_none (Ident(None, _2.any, get_pos _2), Some "") _1 _4 )
# 3289 "parser.ml"
               : 'func_decl))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string * string) Types.any_spaces_pos) in
    Obj.repr(
# 187 "parser.mly"
                       (new_1esp (Ident(fst3 _1.any, snd3 _1.any, get_pos _1), Some (ter3 _1.any)) _1 )
# 3296 "parser.ml"
               : 'func_decl))
; (fun __caml_parser_env ->
    Obj.repr(
# 190 "parser.mly"
                 ( default_pesp P_tok [])
# 3302 "parser.ml"
               : 'listexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 191 "parser.mly"
                         (_1)
# 3309 "parser.ml"
               : 'listexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 194 "parser.mly"
                (sp_p(_2); sp_p(_3); mcontext_check M_bool _1; mcontext_check_none_should_drop [_3.any.expr] _3; to_Call_op_ M_none P_and "and" [ prio_lo P_and _1; prio_lo_after P_and _3 ] _1 _3)
# 3318 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 195 "parser.mly"
                (sp_p(_2); sp_p(_3); mcontext_check M_bool _1; mcontext_check_none_should_drop [_3.any.expr] _3; to_Call_op_ M_none P_or  "or"  [ prio_lo P_or  _1; prio_lo_after P_or  _3 ] _1 _3)
# 3327 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 196 "parser.mly"
                         ( new_1pesp _1.any.priority (List _1.any.expr) _1 )
# 3334 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'argexpr) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'comma) in
    Obj.repr(
# 199 "parser.mly"
                ( new_pesp _1.mcontext P_comma _1.any.expr _1 _2)
# 3342 "parser.ml"
               : 'argexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'bareword) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 200 "parser.mly"
                            (if not_simple (_3.any.expr) then sp_p(_3); new_pesp (mtuple_context_concat M_string _3.mcontext)  P_comma (followed_by_comma [_1.any] false @ [_3.any.expr]) _1 _3)
# 3351 "parser.ml"
               : 'argexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'bareword) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 201 "parser.mly"
                                                (sp_p(_3); sp_p(_5); new_pesp (mtuple_context_concat M_string (M_ref M_hash)) P_comma (followed_by_comma [_1.any] false @ [ hash_ref _4 ]) _1 _5)
# 3362 "parser.ml"
               : 'argexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'argexpr) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'comma) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 202 "parser.mly"
                     (prio_lo_check P_comma _1.any.priority _1.pos (last _1.any.expr); if not_simple (_3.any.expr) then sp_p(_3); new_pesp (mtuple_context_concat _1.mcontext _3.mcontext) P_comma (followed_by_comma _1.any.expr _2.any @ [_3.any.expr]) _1 _3)
# 3371 "parser.ml"
               : 'argexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'argexpr) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'comma) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 203 "parser.mly"
                                         (sp_p(_3); sp_p(_5); new_pesp (mtuple_context_concat _1.mcontext (M_ref M_hash)) P_comma (followed_by_comma _1.any.expr _2.any @ [ hash_ref _4 ]) _1 _5)
# 3382 "parser.ml"
               : 'argexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 204 "parser.mly"
                      ( new_1pesp _1.any.priority [_1.any.expr] _1 )
# 3389 "parser.ml"
               : 'argexpr))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 209 "parser.mly"
                       (sp_p _2; symops P_cmp M_string M_bool _2.any _1 _2 _3)
# 3398 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 210 "parser.mly"
                       (sp_p _2; symops P_cmp M_float M_bool _2.any _1 _2 _3)
# 3407 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 211 "parser.mly"
                       (sp_p _2; symops P_cmp M_float M_bool "<" _1 _2 _3)
# 3416 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 212 "parser.mly"
                       (sp_p _2; symops P_cmp M_float M_bool ">" _1 _2 _3)
# 3425 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 213 "parser.mly"
                       (sp_p _2; symops P_eq M_float M_bool _2.any _1 _2 _3)
# 3434 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 214 "parser.mly"
                       (sp_p _2; symops P_eq M_string M_bool _2.any _1 _2 _3)
# 3443 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 215 "parser.mly"
                          (sp_p _2; symops P_eq M_unknown_scalar M_bool _2.any _1 _2 _3)
# 3452 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 217 "parser.mly"
                       (sp_p _2; symops P_bit M_int M_int "&" _1 _2 _3)
# 3461 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 218 "parser.mly"
                       (         symops P_bit M_int M_int "|" _1 _2 _3)
# 3470 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 219 "parser.mly"
                       (sp_p _2; symops P_bit M_int M_int "^" _1 _2 _3)
# 3479 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 221 "parser.mly"
                       (         symops P_tight M_float (mcontext_float_or_int [_1.mcontext; _3.mcontext]) "**" _1 _2 _3)
# 3488 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 222 "parser.mly"
                       (         symops P_add M_float (mcontext_float_or_int [_1.mcontext; _3.mcontext]) _2.any _1 _2 _3)
# 3497 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 223 "parser.mly"
                       (sp_p _2; symops P_add M_string M_string "." _1 _2 _3)
# 3506 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 224 "parser.mly"
                       (         symops (P_paren_wanted P_tight) M_int M_int _2.any _1 _2 _3)
# 3515 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 225 "parser.mly"
                       (sp_p _2; symops (P_paren_wanted P_expr) M_bool M_bool "xor" _1 _2 _3)
# 3524 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 226 "parser.mly"
                       (         symops (P_paren_wanted P_expr) M_unknown_scalar M_string _2.any _1 _2 _3)
# 3533 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 228 "parser.mly"
                       (sp_p _2; sp_same _2 _3; mcontext_check M_bool _1; let pri = P_tight_and in to_Call_op_ (mcontext_to_scalar _3.mcontext) pri "&&" [prio_lo pri _1; prio_lo_after pri _3] _1 _3)
# 3542 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 229 "parser.mly"
                       (sp_p _2; sp_same _2 _3; mcontext_check M_bool _1; let pri = P_tight_or in to_Call_op_ (mcontext_to_scalar (mcontext_merge _1.mcontext _3.mcontext)) pri "||" [prio_lo pri _1; prio_lo_after pri _3] _1 _3)
# 3551 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 231 "parser.mly"
                       (sp_same _2 _3; let pri = P_mul in to_Call_op_ (mcontext_float_or_int [_1.mcontext; _3.mcontext]) pri _2.any [prio_lo_concat _1; prio_lo_after pri _3] _1 _3)
# 3560 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 232 "parser.mly"
                       (sp_same _2 _3; mcontext_check M_int _3; let pri = P_mul in to_Call_op_ (if mcontext_lower _1.mcontext M_string then M_string else M_list) pri "x" 
    										                                                 [prio_lo_concat _1; prio_lo_after pri _3] _1 _3)
# 3570 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 235 "parser.mly"
                       (sp_same _2 _3; let pri = P_assign    in to_Call_assign_op_ (mcontext_op_assign _1 _3)       pri _2.any (_1.any.expr) (prio_lo_after pri _3) _1 _3)
# 3579 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : string Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'expr_bracket_end) in
    Obj.repr(
# 237 "parser.mly"
                                           (sp_p(_2); sp_p(_3); sp_p(_4); to_Call_assign_op_ (M_mixed [M_ref M_hash; M_none]) P_assign _2.any (prio_lo P_assign _1) _4.any _1 _4)
# 3589 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'expr_bracket_end) in
    Obj.repr(
# 238 "parser.mly"
                                           (sp_p(_2); sp_p(_3); sp_p(_4); to_Call_op_ M_bool P_tight_and "&&"   [prio_lo P_assign _1; _4.any] _1 _4)
# 3599 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'expr_bracket_end) in
    Obj.repr(
# 239 "parser.mly"
                                           (sp_p(_2); sp_p(_3); sp_p(_4); to_Call_op_ M_bool P_tight_or  "||"   [prio_lo P_assign _1; _4.any] _1 _4)
# 3609 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 242 "parser.mly"
                                   (sp_n(_2); sp_p(_3); check_unneeded_var_dollar_   (_1); mcontext_check M_string _1; to_Call_op_ M_array P_expr "m//"  (_1.any.expr :: from_PATTERN _3) _1 _3)
# 3618 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 243 "parser.mly"
                                   (sp_n(_2); sp_p(_3); check_unneeded_var_dollar_not(_1); mcontext_check M_string _1; to_Call_op_ M_int   P_expr "!m//" (_1.any.expr :: from_PATTERN _3) _1 _3)
# 3627 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * (string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 244 "parser.mly"
                                   (sp_n(_2); sp_p(_3); check_unneeded_var_dollar_s  (_1); to_Call_op_ (M_mixed[M_none; M_int]) P_expr "s///" (_1.any.expr :: from_PATTERN_SUBST _3) _1 _3)
# 3636 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * (string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 245 "parser.mly"
                                       (die_with_rawpos _2.pos "use =~ instead of !~ and negate the return value")
# 3645 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 247 "parser.mly"
                                    (warn [Warn_traps] _3.pos "use m/.../ or /.../ instead of qr/.../ when you do a pattern matching"; to_Call_op_ M_array P_expr "m//"  (_1.any.expr :: from_PATTERN _3) _1 _3)
# 3654 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 248 "parser.mly"
                                    (warn [Warn_traps] _3.pos "use m/.../ or /.../ instead of qr/.../ when you do a pattern matching"; to_Call_op_ M_int   P_expr "!m//" (_1.any.expr :: from_PATTERN _3) _1 _3)
# 3663 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 249 "parser.mly"
                                ( new_pesp M_array P_expr (Call(Too_complex, [_1.any.expr ; _3.any ])) _1 _3)
# 3672 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 250 "parser.mly"
                                ( new_pesp M_int   P_expr (Call(Too_complex, [_1.any.expr ; _3.any ])) _1 _3)
# 3681 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 252 "parser.mly"
                                    (warn [Warn_complex_expressions] _3.pos "use a regexp, not a string"; to_Call_op_ M_array P_expr "m//"  [ _1.any.expr; to_Raw_string _3 ] _1 _3)
# 3690 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 253 "parser.mly"
                                    (warn [Warn_complex_expressions] _3.pos "use a regexp, not a string"; to_Call_op_ M_int   P_expr "!m//" [ _1.any.expr; to_Raw_string _3 ] _1 _3)
# 3699 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : (string * ((int * int) * token) list) list Types.any_spaces_pos) in
    Obj.repr(
# 254 "parser.mly"
                                (warn [Warn_complex_expressions] _3.pos "use a regexp, not a string"; to_Call_op_ M_array P_expr "m//"  [ _1.any.expr; to_String false _3 ] _1 _3)
# 3708 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : (string * ((int * int) * token) list) list Types.any_spaces_pos) in
    Obj.repr(
# 255 "parser.mly"
                                (warn [Warn_complex_expressions] _3.pos "use a regexp, not a string"; to_Call_op_ M_int   P_expr "!m//" [ _1.any.expr; to_String false _3 ] _1 _3)
# 3717 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 258 "parser.mly"
                                     (sp_p(_2); sp_p(_3); sp_p(_4); sp_p(_5); mcontext_check M_bool _1; to_Call_op_ (mcontext_merge _3.mcontext _5.mcontext) P_ternary "?:" (check_ternary_paras(prio_lo P_ternary _1, prio_lo_after P_ternary _3, prio_lo_after P_ternary _5)) _1 _5)
# 3728 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 259 "parser.mly"
                                                         (sp_p(_2); sp_p(_3); sp_p(_4); sp_p(_5); sp_p(_6); sp_p(_7); mcontext_check M_bool _1; to_Call_op_ (mcontext_merge _3.mcontext (M_ref M_hash)) P_ternary "?:" (check_ternary_paras(prio_lo P_ternary _1, prio_lo_after P_ternary _3, hash_ref _6)) _1 _7)
# 3741 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 260 "parser.mly"
                                                         (sp_p(_2); sp_p(_3); sp_p(_4); sp_p(_5); sp_p(_6); sp_p(_7); mcontext_check M_bool _1; to_Call_op_ (mcontext_merge _7.mcontext (M_ref M_hash)) P_ternary "?:" (check_ternary_paras(prio_lo P_ternary _1, hash_ref _4, prio_lo_after P_ternary _7)) _1 _7)
# 3754 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 8 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 7 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 5 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _7 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _9 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 261 "parser.mly"
                                                                             (sp_p(_2); sp_p(_3); sp_p(_4); sp_p(_5); sp_p(_6); sp_p(_7); sp_p(_8); sp_p(_9); mcontext_check M_bool _1; to_Call_op_ (M_ref M_hash) P_ternary "?:" (check_ternary_paras(prio_lo P_ternary _1, hash_ref _4, hash_ref _8)) _1 _9)
# 3769 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 264 "parser.mly"
                              (
    sp_0(_2); 
    match _1.any with
    | "+" ->
	warn_rule [Warn_normalized_expressions] "don't use unary +" ;
	to_Call_op_ (mcontext_float_or_int [_2.mcontext]) P_tight "+ unary" [_2.any.expr] _1 _2
    | "-" ->
	(match _2.any.expr with
	| Ident(_, _, pos) when _2.spaces = Space_0 ->
	    let s = "-" ^ string_of_fromparser _2.any.expr in
	    warn_rule [Warn_complex_expressions] (Printf.sprintf "don't use %s, use '%s' instead" s s);
	    new_pesp M_string P_tok (Raw_string(s, pos)) _1 _2
	| _ -> to_Call_op_ (mcontext_float_or_int [_2.mcontext]) P_tight "- unary" [_2.any.expr] _1 _2)
    | _ -> die_rule "syntax error"
)
# 3791 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 279 "parser.mly"
                 (check_negatable_expr _2; mcontext_check M_bool _2; to_Call_op_ M_bool P_tight "not" [_2.any.expr] _1 _2)
# 3799 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 280 "parser.mly"
               (          mcontext_check M_int _2; to_Call_op_ M_int P_expr "~" [_2.any.expr] _1 _2)
# 3807 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 281 "parser.mly"
               (sp_0(_2); mcontext_check M_int _2; to_Call_op_ (M_mixed [M_int ; M_none]) P_tight "++" [_2.any.expr] _1 _2)
# 3815 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 282 "parser.mly"
               (sp_0(_2); mcontext_check M_int _2; to_Call_op_ (M_mixed [M_int ; M_none]) P_tight "--" [_2.any.expr] _1 _2)
# 3823 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 283 "parser.mly"
               (sp_0(_2); mcontext_check M_int _1; to_Call_op_ (M_mixed [M_int ; M_none]) P_tight "++ post" [_1.any.expr] _1 _2)
# 3831 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 284 "parser.mly"
               (sp_0(_2); mcontext_check M_int _1; to_Call_op_ (M_mixed [M_int ; M_none]) P_tight "-- post" [_1.any.expr] _1 _2)
# 3839 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 285 "parser.mly"
               (warn_rule [Warn_normalized_expressions] "don't use \"not\", use \"!\" instead"; mcontext_check_unop_l M_bool _2; to_Call_op_ M_bool P_and "not" (_2.any.expr) _1 _2)
# 3847 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 289 "parser.mly"
                        (sp_0(_2); new_pesp (M_ref M_array) P_expr (Ref(I_array, List[])) _1 _2)
# 3855 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 290 "parser.mly"
                              ((if _1.any = [] then sp_0 else sp_p)(_2) ; new_pesp (M_ref M_array) P_expr (Ref(I_array, List _1.any)) _1 _2)
# 3863 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 291 "parser.mly"
                                   (sp_same _2 _3; new_pesp (M_ref M_array) P_expr (Ref(I_array, List(_1.any @ [_2.any.expr]))) _1 _3)
# 3872 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 292 "parser.mly"
                                                       (sp_same _2 _5; new_pesp (M_ref M_array) P_expr (Ref(I_array, List(_1.any @ [hash_ref _3]))) _1 _5)
# 3883 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 294 "parser.mly"
                      (new_pesp (M_ref M_hash) P_expr (Ref(I_hash, List [])) _1 _2)
# 3891 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 295 "parser.mly"
                                                   (sp_p(_3); new_pesp (M_ref M_hash) P_expr (hash_ref _2) _1 _3)
# 3900 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 296 "parser.mly"
                                                     (sp_n(_2); sp_0(_3); new_pesp (M_ref M_sub) P_expr (Anonymous_sub(None, Block [], pos_range _2 _3)) _1 _3)
# 3909 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 297 "parser.mly"
                                                     (sp_n(_2); sp_0(_3); new_pesp (M_ref M_sub) P_expr (Anonymous_sub(Some _1.any, Block [], pos_range _2 _3)) _1 _3)
# 3918 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 298 "parser.mly"
                                                           (sp_n(_2); new_pesp (M_ref M_sub) P_expr (anonymous_sub None          _3 _4) _1 _4)
# 3928 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 299 "parser.mly"
                                                           (sp_n(_2); new_pesp (M_ref M_sub) P_expr (anonymous_sub (Some _1.any) _3 _4) _1 _4)
# 3938 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'termdo) in
    Obj.repr(
# 301 "parser.mly"
         (new_1pesp P_tok _1.any _1)
# 3945 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 302 "parser.mly"
           (new_pesp (M_ref _2.mcontext) P_expr (Ref(I_scalar, remove_call_with_same_para_special _2.any.expr)) _1 _2)
# 3953 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'my_our) in
    Obj.repr(
# 303 "parser.mly"
                     (new_1pesp P_expr _1.any _1)
# 3960 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 304 "parser.mly"
                            (sp_n(_2); new_pesp (M_mixed [ _2.mcontext ; M_none ]) P_expr (to_Local _2) _1 _2)
# 3968 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 306 "parser.mly"
                (new_1pesp _1.any.priority (List _1.any.expr) _1)
# 3975 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'parenthesized) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'arrayref) in
    Obj.repr(
# 307 "parser.mly"
                         (sp_0(_2); let is_slice = not (is_only_one_in_List _2.any) in new_pesp (if is_slice then M_list else M_unknown_scalar) P_tok (to_Deref_with(I_array, (if is_slice then I_array else I_scalar), List _1.any.expr, List _2.any)) _1 _2)
# 3983 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 309 "parser.mly"
           ( 
    let e = 
      match _1.any with
      | Deref(I_func, Ident _) ->
	  call_with_same_para_special _1.any (* not the same as f(@_) *)
      | e -> e in
    new_1pesp P_tok e _1 
  )
# 3997 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'subscripted) in
    Obj.repr(
# 318 "parser.mly"
              (new_1pesp P_tok _1.any _1)
# 4004 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'array) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'arrayref) in
    Obj.repr(
# 320 "parser.mly"
                 (new_pesp M_list P_expr (to_Deref_with(I_array, I_array, from_array _1, List _2.any)) _1 _2)
# 4012 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : 'array) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 321 "parser.mly"
                                 (sp_0(_2); sp_0(_3); sp_0(_4); new_pesp M_list P_expr (to_Deref_with(I_hash, I_array, from_array _1, _3.any.expr)) _1 _4)
# 4022 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 324 "parser.mly"
                                           (call_one_scalar_para P_uniop _1 [to_Raw_string _2] _1 _2)
# 4030 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string * ((int * int) * token) list) list Types.any_spaces_pos) in
    Obj.repr(
# 325 "parser.mly"
                                           (call_one_scalar_para P_uniop _1 [to_String true _2] _1 _2)
# 4038 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 326 "parser.mly"
                                           (call_one_scalar_para P_uniop _1 [_2.any] _1 _2)
# 4046 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 327 "parser.mly"
                                           (call_one_scalar_para P_uniop _1 [_2.any] _1 _2)
# 4054 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 328 "parser.mly"
                                           (call_one_scalar_para P_tok _1 _2.any.expr _1 _2)
# 4062 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 329 "parser.mly"
                                            (sp_n(_2); new_pesp M_unknown P_uniop (call(Deref(I_func, Ident(None, _1.any, raw_pos2pos _1.pos)), [anonymous_sub None _3 _4])) _1 _4)
# 4072 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'diamond) in
    Obj.repr(
# 330 "parser.mly"
                          (call_one_scalar_para P_uniop _1 [_2.any] _1 _2)
# 4080 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 331 "parser.mly"
                                 (call_one_scalar_para P_tok _1 [] _1 _1)
# 4087 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'word) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 332 "parser.mly"
                               (check_parenthesized_first_argexpr_with_Ident  _2.any _3; call_one_scalar_para P_uniop _1 [call(Deref(I_func, _2.any), _3.any.expr)] _1 _3)
# 4096 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'hash) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 333 "parser.mly"
                                 (sp_0(_3); call_one_scalar_para P_uniop _1 [ Call(Too_complex, [_2.any]) ] _1 _3)
# 4105 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 334 "parser.mly"
                           (if _2.any = "_" && _1.any.[0] = '-' then new_pesp M_bool P_uniop Too_complex _1 _2 else die_rule "syntax error")
# 4113 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'array) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'arrayref) in
    Obj.repr(
# 336 "parser.mly"
                                 (call_one_scalar_para P_uniop _1 [to_Deref_with(I_array, I_array, from_array _2, List _3.any)] _1 _3)
# 4122 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : 'array) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 337 "parser.mly"
                                                 (sp_0(_3); sp_0(_4); sp_0(_5); call_one_scalar_para P_uniop _1 [to_Deref_with(I_hash, I_array, from_array _2, _4.any.expr)] _1 _5)
# 4133 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'func) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 339 "parser.mly"
                     (sp_0(_2); call_func _1 _2)
# 4141 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'word) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 340 "parser.mly"
               (check_parenthesized_first_argexpr_with_Ident _1.any _2; call_no_paren _1 _2)
# 4149 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'word) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 341 "parser.mly"
                                      ( die_with_rawpos _5.pos "I can't handle this correctly, please add parentheses" )
# 4160 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : 'word) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 342 "parser.mly"
                                                           (sp_n(_2); new_pesp M_unknown P_call_no_paren (call(Deref(I_func, _1.any), Ref(I_hash, List (fst _3.any)) :: _6.any.expr)) _1 _6)
# 4172 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'word_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 343 "parser.mly"
                           (sp_0(_2); call_with_paren _1 _2)
# 4180 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'word) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'listexpr) in
    Obj.repr(
# 344 "parser.mly"
                                                      (sp_n(_2); call_and_context(Deref(I_func, _1.any), anonymous_sub None _3 _4 :: _5.any.expr) false (if _5.any.expr = [] then P_tok else P_call_no_paren) _1 _5)
# 4191 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 6 : 'word) in
    let _2 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _7 = (Parsing.peek_val __caml_parser_env 0 : 'listexpr) in
    Obj.repr(
# 345 "parser.mly"
                                                                                    (sp_n(_2); sp_p(_3); sp_p(_4); sp_p(_5); sp_p(_6); new_pesp M_unknown (if _7.any.expr = [] then P_tok else P_call_no_paren) (call(Deref(I_func, _1.any), anonymous_sub None (new_esp (M_ref M_hash) ([ hash_ref _4 ], false) _3 _5) _6 :: _7.any.expr)) _1 _7)
# 4204 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 7 : 'word) in
    let _2 = (Parsing.peek_val __caml_parser_env 6 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 4 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 2 : 'semi_colon) in
    let _7 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _8 = (Parsing.peek_val __caml_parser_env 0 : 'listexpr) in
    Obj.repr(
# 346 "parser.mly"
                                                                                    (sp_n(_2); sp_p(_3); sp_p(_4); sp_p(_5); sp_p(_7); new_pesp M_unknown (if _8.any.expr = [] then P_tok else P_call_no_paren) (call(Deref(I_func, _1.any), anonymous_sub None (new_esp (M_ref M_hash) ([ hash_ref _4; Semi_colon ], true) _3 _6) _7 :: _8.any.expr)) _1 _8)
# 4218 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'word_or_scalar) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 348 "parser.mly"
                                          (sp_0(_2); sp_0(_3); sp_0(_4); if _4.any.expr = [] then warn [Warn_suggest_simpler] _4.pos "remove these unneeded parentheses"; new_pesp M_unknown P_tok (to_Method_call(_1.any.expr, _3.any, _4.any.expr)) _1 _4)
# 4228 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'word_or_scalar) in
    Obj.repr(
# 349 "parser.mly"
                            (sp_0(_2); sp_0(_3); new_pesp M_unknown P_tok (to_Method_call(_1.any.expr, _3.any, [])) _1 _3)
# 4237 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 351 "parser.mly"
                                  (sp_0(_2); sp_0(_3); sp_0(_4); if _4.any.expr = [] then warn [Warn_suggest_simpler] _4.pos "remove these unneeded parentheses"; new_pesp M_unknown P_tok (to_Method_call(_1.any.expr, Ident(None, _3.any, get_pos _3), _4.any.expr)) _1 _4)
# 4247 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 352 "parser.mly"
                    (sp_0(_2); sp_0(_3); new_pesp M_unknown P_tok (to_Method_call(_1.any.expr, Ident(None, _3.any, get_pos _3), [])) _1 _3)
# 4256 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'word) in
    Obj.repr(
# 354 "parser.mly"
           ( sp_n(_2); new_pesp (M_ref M_unknown) P_expr (to_Method_call (_2.any, Ident(None, "new", get_pos _1), [])) _1 _2)
# 4264 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'word_paren) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 355 "parser.mly"
                               ( sp_n(_2); sp_0(_3); new_pesp (M_ref M_unknown) P_expr (to_Method_call(_2.any, Ident(None, "new", get_pos _1), _3.any.expr)) _1 _3)
# 4273 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'word) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'terminal) in
    Obj.repr(
# 356 "parser.mly"
                    ( die_rule "you must parenthesize parameters: \"new Class(...)\" instead of \"new Class ...\"" )
# 4282 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : 'word) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 357 "parser.mly"
                    ( die_rule "you must parenthesize parameters: \"new Class(...)\" instead of \"new Class ...\"" )
# 4291 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 359 "parser.mly"
        ( to_Call_op_ (M_mixed [M_int; M_none]) P_call_no_paren _1.any (var_STDOUT :: [ var_dollar_ (get_pos _1) ]) _1 _1)
# 4298 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 360 "parser.mly"
                (check_parenthesized_first_argexpr  _1.any _2; to_Call_op_ (M_mixed [M_int; M_none]) P_call_no_paren _1.any (var_STDOUT :: _2.any.expr) _1 _2)
# 4306 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * string) Types.any_spaces_pos) in
    Obj.repr(
# 361 "parser.mly"
                          ( to_Call_op_ (M_mixed [M_int; M_none]) P_call_no_paren (fst _1.any) (var_STDOUT :: [ Deref(I_scalar, Ident(None, snd _1.any, get_pos _1)) ]) _1 _1)
# 4313 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : (string * string) Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 362 "parser.mly"
                          ( to_Call_op_ (M_mixed [M_int; M_none]) P_call_no_paren (fst _1.any) (Deref(I_scalar, Ident(None, snd _1.any, get_pos _1)) :: _2.any.expr) _1 _2)
# 4321 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * string) Types.any_spaces_pos) in
    Obj.repr(
# 363 "parser.mly"
                          ( to_Call_op_ (M_mixed [M_int; M_none]) P_call_no_paren (fst _1.any) (Deref(I_star, Ident(None, snd _1.any, get_pos _1)) :: [ var_dollar_ (get_pos _1) ]) _1 _1)
# 4328 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : (string * string) Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'argexpr) in
    Obj.repr(
# 364 "parser.mly"
                          ( to_Call_op_ (M_mixed [M_int; M_none]) P_call_no_paren (fst _1.any) (Deref(I_star, Ident(None, snd _1.any, get_pos _1)) :: _2.any.expr) _1 _2)
# 4336 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'hash) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 366 "parser.mly"
                 (sp_0(_2); new_pesp M_hash P_tok (Call(Too_complex, [_1.any])) _1 _2)
# 4344 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'terminal) in
    Obj.repr(
# 368 "parser.mly"
           (_1)
# 4351 "parser.ml"
               : prio_expr_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 371 "parser.mly"
                   ( sp_p(_2); new_esp (M_ref M_hash) (hash_ref _1) _1 _2 )
# 4359 "parser.ml"
               : 'expr_bracket_end))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 372 "parser.mly"
                                           (sp_p(_2); sp_0(_3); new_esp M_unknown_scalar (to_Deref_with(I_hash, I_scalar, hash_ref _1, _4.any)) _1 _4)
# 4369 "parser.ml"
               : 'expr_bracket_end))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'word) in
    Obj.repr(
# 375 "parser.mly"
       (word_alone _1)
# 4376 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 376 "parser.mly"
      (new_1pesp P_tok (Num(_1.any, get_pos _1)) _1)
# 4383 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * ((int * int) * token) list) list Types.any_spaces_pos) in
    Obj.repr(
# 377 "parser.mly"
         (new_1pesp P_tok (to_String true _1) _1)
# 4390 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 378 "parser.mly"
             (new_1pesp P_tok (to_Raw_string _1) _1)
# 4397 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 379 "parser.mly"
           (new_1pesp P_tok (to_Raw_string _1) _1)
# 4404 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * ((int * int) * token) list) list Types.any_spaces_pos) in
    Obj.repr(
# 380 "parser.mly"
                 (to_Call_op_ (M_mixed[M_string; M_list]) P_tok "``" [to_String false _1] _1 _1)
# 4411 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 381 "parser.mly"
             (let l = List.map (fun s -> Raw_string(s, raw_pos2pos _1.pos)) (words _1.any) in new_pesp (M_tuple (repeat M_string (List.length l))) P_tok (List [ List l ]) _1 _1)
# 4418 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * Types.raw_pos) Types.any_spaces_pos) in
    Obj.repr(
# 382 "parser.mly"
           (new_1pesp P_tok (to_String false (new_1esp (fst _1.any) _1)) _1 )
# 4425 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string * Types.raw_pos) Types.any_spaces_pos) in
    Obj.repr(
# 383 "parser.mly"
               (new_1pesp P_tok (Raw_string(fst _1.any, raw_pos2pos (snd _1.any))) _1)
# 4432 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 384 "parser.mly"
             (to_Call_op_ M_string P_tok "qr//" (from_PATTERN _1) _1 _1)
# 4439 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 385 "parser.mly"
          (to_Call_op_ M_array P_expr "m//" (var_dollar_ (get_pos _1) :: from_PATTERN _1) _1 _1)
# 4446 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : ((string * ((int * int) * token) list) list * (string * ((int * int) * token) list) list * string) Types.any_spaces_pos) in
    Obj.repr(
# 386 "parser.mly"
                (to_Call_op_ (M_mixed[M_none; M_int]) P_expr "s///" (var_dollar_ (get_pos _1) :: from_PATTERN_SUBST _1) _1 _1)
# 4453 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'diamond) in
    Obj.repr(
# 387 "parser.mly"
          (new_1pesp P_expr _1.any _1)
# 4460 "parser.ml"
               : 'terminal))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 390 "parser.mly"
        (sp_0(_2); to_Call_op (M_mixed[M_string; M_list]) "<>" [] _1 _2)
# 4468 "parser.ml"
               : 'diamond))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 391 "parser.mly"
             (sp_0(_2); sp_0(_3); to_Call_op (M_mixed[M_string; M_list]) "<>" [_2.any.expr] _1 _3)
# 4477 "parser.ml"
               : 'diamond))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 394 "parser.mly"
                                       (sp_0(_2); sp_0(_3); new_esp M_unknown (Call(Too_complex, [_3.any])) _1 _3)
# 4486 "parser.ml"
               : 'subscripted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 395 "parser.mly"
                                       (sp_0(_2); check_scalar_subscripted _1; new_esp M_unknown_scalar (to_Deref_with(I_hash , I_scalar, from_scalar _1, _2.any               )) _1 _2)
# 4494 "parser.ml"
               : 'subscripted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'arrayref) in
    Obj.repr(
# 396 "parser.mly"
                                       (sp_0(_2); check_scalar_subscripted _1; new_esp M_unknown_scalar (to_Deref_with(I_array, I_scalar, from_scalar _1, only_one_array_ref _2)) _1 _2)
# 4502 "parser.ml"
               : 'subscripted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'simple_subscript) in
    Obj.repr(
# 397 "parser.mly"
                                       (sp_0(_2); sp_0(_3); new_esp _3.mcontext (to_Deref_with_arrow _2 (fst _3.any, I_scalar, _1.any.expr, snd _3.any)) _1 _3)
# 4511 "parser.ml"
               : 'subscripted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'subscripted) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'simple_subscript) in
    Obj.repr(
# 398 "parser.mly"
                                       (sp_0(_2); new_esp _2.mcontext (to_Deref_with(fst _2.any, I_scalar, _1.any, snd _2.any)) _1 _2)
# 4519 "parser.ml"
               : 'subscripted))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 401 "parser.mly"
                                       (sp_0(_2); sp_0(_3); new_esp M_unknown (Call(Too_complex, [_3.any])) _1 _3)
# 4528 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'word_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 402 "parser.mly"
                           (new_esp M_unknown (call(Deref(I_func, _1.any), _2.any.expr)) _1 _2)
# 4536 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 403 "parser.mly"
                                       (sp_0(_2); check_scalar_subscripted _1; new_esp M_unknown_scalar (to_Deref_with(I_hash , I_scalar, from_scalar _1, _2.any               )) _1 _2)
# 4544 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'arrayref) in
    Obj.repr(
# 404 "parser.mly"
                                       (sp_0(_2); check_scalar_subscripted _1; new_esp M_unknown_scalar (to_Deref_with(I_array, I_scalar, from_scalar _1, only_one_array_ref _2)) _1 _2)
# 4552 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'simple_subscript) in
    Obj.repr(
# 405 "parser.mly"
                                (sp_0(_2); sp_0(_3); new_esp _3.mcontext (to_Deref_with_arrow _2 (fst _3.any, I_scalar, _1.any, snd _3.any)) _1 _3)
# 4561 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'simple_subscript) in
    Obj.repr(
# 406 "parser.mly"
                                                (sp_0(_2); sp_0(_3); new_esp _3.mcontext (to_Deref_with_arrow _2 (fst _3.any, I_scalar, _1.any, snd _3.any)) _1 _3)
# 4570 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'simple_subscript) in
    Obj.repr(
# 407 "parser.mly"
                                                 (sp_0(_2); new_esp _2.mcontext (to_Deref_with(fst _2.any, I_scalar, _1.any, snd _2.any)) _1 _2)
# 4578 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'word_or_scalar) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 409 "parser.mly"
                                                            (sp_0(_2); sp_0(_3); sp_0(_4); if _4.any.expr = [] then warn [Warn_suggest_simpler] _4.pos "remove these unneeded parentheses"; new_esp M_unknown (to_Method_call(_1.any, _3.any, _4.any.expr)) _1 _4)
# 4588 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : fromparser any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : 'word_or_scalar) in
    Obj.repr(
# 410 "parser.mly"
                                              (sp_0(_2); sp_0(_3); new_esp M_unknown (to_Method_call(_1.any, _3.any, [])) _1 _3)
# 4597 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 413 "parser.mly"
                            (new_esp M_unknown_scalar (I_hash,  _1.any) _1 _1)
# 4604 "parser.ml"
               : 'simple_subscript))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'arrayref) in
    Obj.repr(
# 414 "parser.mly"
                            (new_esp M_unknown_scalar (I_array, only_one_array_ref _1) _1 _1)
# 4611 "parser.ml"
               : 'simple_subscript))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'parenthesized) in
    Obj.repr(
# 415 "parser.mly"
                            (new_esp M_unknown        (I_func , List(_1.any.expr)) _1 _1)
# 4618 "parser.ml"
               : 'simple_subscript))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 419 "parser.mly"
                              (sp_0(_2); new_esp (M_ref M_array) _1.any _1 _2)
# 4626 "parser.ml"
               : 'arrayref))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 420 "parser.mly"
                                   (sp_0(_3); new_esp (M_ref M_array) (_1.any @ [_2.any.expr]) _1 _3)
# 4635 "parser.ml"
               : 'arrayref))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 421 "parser.mly"
                                                       (sp_p(_2); sp_p(_4); sp_0(_5); new_esp (M_ref M_hash) (_1.any @ [hash_ref _3]) _1 _5)
# 4646 "parser.ml"
               : 'arrayref))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'parenthesized_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 423 "parser.mly"
                                (sp_0_or_cr(_2); new_pesp (if _1.any = [] then M_list else _1.mcontext) (if _1.any = [] then P_tok else P_paren P_comma) _1.any _1 _2)
# 4654 "parser.ml"
               : 'parenthesized))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'parenthesized_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 424 "parser.mly"
                                     (sp_0_or_cr(_3); (if _1.any = [] then sp_0_or_cr else sp_p)(_2); new_pesp (if _1.any = [] then _2.mcontext else M_list) (P_paren (if _1.any = [] then _2.any.priority else P_comma)) (_1.any @ [(if _1.any = [] then prio_lo P_loose else prio_lo_after P_comma) _2]) _1 _3)
# 4663 "parser.ml"
               : 'parenthesized))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'parenthesized_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 425 "parser.mly"
                                                         (sp_p(_4); sp_0_or_cr(_5); new_pesp (if _1.any = [] then M_ref M_hash else M_list) (P_paren (if _1.any = [] then P_expr else P_comma)) (_1.any @ [hash_ref _3]) _1 _5)
# 4674 "parser.ml"
               : 'parenthesized))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 428 "parser.mly"
           (new_1esp [] _1 )
# 4681 "parser.ml"
               : 'arrayref_start))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'arrayref_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'comma) in
    Obj.repr(
# 429 "parser.mly"
                                                (sp_p(_2); sp_p(_3); sp_p(_4); new_esp M_special (_1.any @ [hash_ref _3]) _1 _5)
# 4692 "parser.ml"
               : 'arrayref_start))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 431 "parser.mly"
        (new_1esp [] _1 )
# 4699 "parser.ml"
               : 'parenthesized_start))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 4 : 'parenthesized_start) in
    let _2 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 0 : 'comma) in
    Obj.repr(
# 432 "parser.mly"
                                                     ((if _1.any = [] then sp_0_or_cr else sp_p)(_2); sp_p(_3); sp_p(_4); new_esp (M_ref M_hash) (_1.any @ [hash_ref _3]) _1 _5)
# 4710 "parser.ml"
               : 'parenthesized_start))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 435 "parser.mly"
                             (sp_0(_2); new_esp (M_mixed [ _1.mcontext ; M_none ]) (My_our(sndfst _1.any, snd _1.any, get_pos _1)) _1 _2)
# 4718 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : (string option * string) Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 436 "parser.mly"
                                      (check_my_our_paren _1 _2; new_esp (M_mixed [ mtuple_context_concat _1.mcontext M_unknown_scalar; M_none ]) (My_our(sndfst _1.any, snd _1.any @ [I_scalar, snd _2.any], pos_range _1 _3)) _1 _3)
# 4727 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : (string option * string) Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 437 "parser.mly"
                                      (check_my_our_paren _1 _2; new_esp (M_mixed [ M_list ; M_none ]) (My_our(sndfst _1.any, snd _1.any @ [I_hash,   snd _2.any], pos_range _1 _3)) _1 _3)
# 4736 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : (string option * string) Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 438 "parser.mly"
                                      (check_my_our_paren _1 _2; new_esp (M_mixed [ M_list ; M_none ]) (My_our(sndfst _1.any, snd _1.any @ [I_array,  snd _2.any], pos_range _1 _3)) _1 _3)
# 4745 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 439 "parser.mly"
                      (new_esp (M_mixed [M_unknown_scalar; M_none]) (My_our(_1.any, [I_scalar, snd _2.any], get_pos _2)) _1 _2)
# 4753 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 440 "parser.mly"
                      (new_esp (M_mixed [M_hash  ; M_none]) (My_our(_1.any, [I_hash,   snd _2.any], get_pos _2)) _1 _2)
# 4761 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 441 "parser.mly"
                      (new_esp (M_mixed [M_array ; M_none]) (My_our(_1.any, [I_array,  snd _2.any], get_pos _2)) _1 _2)
# 4769 "parser.ml"
               : 'my_our))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 444 "parser.mly"
               (sp_1(_2); new_esp (M_tuple []) ((true, _1.any), []) _1 _2)
# 4777 "parser.ml"
               : 'my_our_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'comma) in
    Obj.repr(
# 445 "parser.mly"
                     (if fstfst _1.any then die_rule "syntax error"; new_esp _1.mcontext ((true, sndfst _1.any), snd _1.any) _1 _2)
# 4785 "parser.ml"
               : 'my_our_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 446 "parser.mly"
                        (check_my_our_paren _1 _2; if _2.any <> "undef" then die_rule "scalar expected"; new_esp (mtuple_context_concat _1.mcontext M_none) ((false, sndfst _1.any), snd _1.any @ [I_raw, _2.any]) _1 _2)
# 4793 "parser.ml"
               : 'my_our_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 447 "parser.mly"
                            (check_my_our_paren _1 _2; new_esp (mtuple_context_concat _1.mcontext M_unknown_scalar) ((false, sndfst _1.any), snd _1.any @ [I_scalar, snd _2.any]) _1 _2)
# 4801 "parser.ml"
               : 'my_our_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 448 "parser.mly"
                            (check_my_our_paren _1 _2; new_esp M_list ((false, sndfst _1.any), snd _1.any @ [I_hash,   snd _2.any]) _1 _2)
# 4809 "parser.ml"
               : 'my_our_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : 'my_our_paren) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 449 "parser.mly"
                            (check_my_our_paren _1 _2; new_esp M_list ((false, sndfst _1.any), snd _1.any @ [I_array,  snd _2.any]) _1 _2)
# 4817 "parser.ml"
               : 'my_our_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 452 "parser.mly"
                      ( die_rule "\"do EXPR\" not allowed" )
# 4825 "parser.ml"
               : 'termdo))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 1 : 'lines) in
    let _4 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 453 "parser.mly"
                                               (sp_n(_2); new_esp _3.mcontext (lines_to_Block _3 _4) _1 _4)
# 4835 "parser.ml"
               : 'termdo))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 2 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 1 : prio_expr_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 456 "parser.mly"
                           (sp_0(_1); sp_same _2 _3; check_hash_subscript _2; new_esp M_special (only_one_in_List _2) _1 _3)
# 4844 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 457 "parser.mly"
                         (sp_0(_1); new_1esp (to_Raw_string _1) _1 )
# 4851 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 460 "parser.mly"
           (_1)
# 4858 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'star) in
    Obj.repr(
# 461 "parser.mly"
           (_1)
# 4865 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'hash) in
    Obj.repr(
# 462 "parser.mly"
           (_1)
# 4872 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'array) in
    Obj.repr(
# 463 "parser.mly"
           (_1)
# 4879 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'arraylen) in
    Obj.repr(
# 464 "parser.mly"
           (_1)
# 4886 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'func) in
    Obj.repr(
# 465 "parser.mly"
           (_1)
# 4893 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'bareword) in
    Obj.repr(
# 468 "parser.mly"
           ( _1 )
# 4900 "parser.ml"
               : 'word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 469 "parser.mly"
            ( new_1esp (to_Ident _1) _1 )
# 4907 "parser.ml"
               : 'word))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 471 "parser.mly"
             (new_esp M_special true _1 _1)
# 4914 "parser.ml"
               : 'comma))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 471 "parser.mly"
                                                          (sp_p(_1); new_1esp false _1 )
# 4921 "parser.ml"
               : 'comma))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 473 "parser.mly"
                       (sp_0(_1); _1)
# 4928 "parser.ml"
               : 'semi_colon))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'word) in
    Obj.repr(
# 476 "parser.mly"
            (_1)
# 4935 "parser.ml"
               : 'word_or_scalar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 477 "parser.mly"
            (_1)
# 4942 "parser.ml"
               : 'word_or_scalar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : 'word_paren) in
    Obj.repr(
# 478 "parser.mly"
             (_1)
# 4949 "parser.ml"
               : 'word_or_scalar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 479 "parser.mly"
             ( new_1esp (Ident(None, "x", get_pos _1)) _1 )
# 4956 "parser.ml"
               : 'word_or_scalar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 480 "parser.mly"
      ( new_1esp (Ident(None, _1.any, get_pos _1)) _1 )
# 4963 "parser.ml"
               : 'word_or_scalar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 481 "parser.mly"
                  ( new_1esp (Ident(None, _1.any, get_pos _1)) _1 )
# 4970 "parser.ml"
               : 'word_or_scalar))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 484 "parser.mly"
      ( new_1esp (Ident(None, "new", get_pos _1)) _1 )
# 4977 "parser.ml"
               : 'bareword))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 485 "parser.mly"
           ( new_1esp (Ident(None, _1.any, get_pos _1)) _1 )
# 4984 "parser.ml"
               : 'bareword))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : string Types.any_spaces_pos) in
    Obj.repr(
# 488 "parser.mly"
                 ( new_1esp (Ident(None, _1.any, get_pos _1)) _1 )
# 4991 "parser.ml"
               : 'word_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 489 "parser.mly"
                  ( new_1esp (to_Ident _1) _1 )
# 4998 "parser.ml"
               : 'word_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : string Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : 'word_paren) in
    Obj.repr(
# 490 "parser.mly"
                        ( po_comment(_1); new_esp M_special _2.any _1 _2 )
# 5006 "parser.ml"
               : 'word_paren))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 493 "parser.mly"
                         (new_esp M_int     (deref_arraylen (to_Ident _1)) _1 _1)
# 5013 "parser.ml"
               : 'arraylen))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 493 "parser.mly"
                                                                                                     (sp_0(_2); new_esp M_int     (deref_arraylen  _2.any ) _1 _1 )
# 5021 "parser.ml"
               : 'arraylen))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 493 "parser.mly"
                                                                                                                                                                                                  (new_esp M_int     (deref_arraylen      _2.any) _1 _2)
# 5029 "parser.ml"
               : 'arraylen))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 494 "parser.mly"
                         (new_esp M_unknown_scalar  (Deref(I_scalar, to_Ident _1)) _1 _1)
# 5036 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 494 "parser.mly"
                                                                                                             (sp_0(_2); new_esp M_unknown_scalar  (Deref(I_scalar, _2.any)) _1 _1 )
# 5044 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 494 "parser.mly"
                                                                                                                                                                                                                  (new_esp M_unknown_scalar  (deref_raw I_scalar  _2.any) _1 _2)
# 5052 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 5 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 4 : unit   Types.any_spaces_pos) in
    let _3 = (Parsing.peek_val __caml_parser_env 3 : unit   Types.any_spaces_pos) in
    let _4 = (Parsing.peek_val __caml_parser_env 2 : prio_expr_spaces_pos) in
    let _5 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _6 = (Parsing.peek_val __caml_parser_env 0 : unit   Types.any_spaces_pos) in
    Obj.repr(
# 494 "parser.mly"
                                                                                                                                                                                                                                                                                                                                       (sp_0(_2); sp_0(_3); sp_p(_5); sp_0(_6); new_esp M_unknown_scalar (Deref(I_scalar, hash_ref _4)) _1 _6)
# 5064 "parser.ml"
               : fromparser any_spaces_pos))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 495 "parser.mly"
                         (new_esp M_unknown (Deref(I_func  , to_Ident _1)) _1 _1)
# 5071 "parser.ml"
               : 'func))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 495 "parser.mly"
                                                                                                     (sp_0(_2); new_esp M_unknown (Deref(I_func  , _2.any)) _1 _1 )
# 5079 "parser.ml"
               : 'func))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 495 "parser.mly"
                                                                                                                                                                                                  (new_esp M_unknown (deref_raw I_func    _2.any) _1 _2)
# 5087 "parser.ml"
               : 'func))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 496 "parser.mly"
                         (new_esp M_array   (Deref(I_array , to_Ident _1)) _1 _1)
# 5094 "parser.ml"
               : 'array))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 496 "parser.mly"
                                                                                                     (sp_0(_2); new_esp M_array   (Deref(I_array , _2.any)) _1 _1 )
# 5102 "parser.ml"
               : 'array))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 496 "parser.mly"
                                                                                                                                                                                                  (new_esp M_array   (deref_raw I_array   _2.any) _1 _2)
# 5110 "parser.ml"
               : 'array))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 497 "parser.mly"
                         (new_esp M_hash    (Deref(I_hash  , to_Ident _1)) _1 _1)
# 5117 "parser.ml"
               : 'hash))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 497 "parser.mly"
                                                                                                     (sp_0(_2); new_esp M_hash    (Deref(I_hash  , _2.any)) _1 _1 )
# 5125 "parser.ml"
               : 'hash))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 497 "parser.mly"
                                                                                                                                                                                                  (new_esp M_hash    (deref_raw I_hash    _2.any) _1 _2)
# 5133 "parser.ml"
               : 'hash))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : (string option * string) Types.any_spaces_pos) in
    Obj.repr(
# 498 "parser.mly"
                         (new_esp M_unknown (Deref(I_star  , to_Ident _1)) _1 _1)
# 5140 "parser.ml"
               : 'star))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 498 "parser.mly"
                                                                                                     (sp_0(_2); new_esp M_unknown (Deref(I_star  , _2.any)) _1 _1 )
# 5148 "parser.ml"
               : 'star))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 1 : unit   Types.any_spaces_pos) in
    let _2 = (Parsing.peek_val __caml_parser_env 0 : fromparser any_spaces_pos) in
    Obj.repr(
# 498 "parser.mly"
                                                                                                                                                                                                  (new_esp M_unknown (deref_raw I_star    _2.any) _1 _2)
# 5156 "parser.ml"
               : 'star))
; (fun __caml_parser_env ->
    Obj.repr(
# 500 "parser.mly"
               (default_esp (Block []))
# 5162 "parser.ml"
               : 'expr_or_empty))
; (fun __caml_parser_env ->
    let _1 = (Parsing.peek_val __caml_parser_env 0 : prio_expr_spaces_pos) in
    Obj.repr(
# 500 "parser.mly"
                                               (new_1esp _1.any.expr _1 )
# 5169 "parser.ml"
               : 'expr_or_empty))
(* Entry prog *)
; (fun __caml_parser_env -> raise (Parsing.YYexit (Parsing.peek_val __caml_parser_env 0)))
|]
let yytables =
  { Parsing.actions=yyact;
    Parsing.transl_const=yytransl_const;
    Parsing.transl_block=yytransl_block;
    Parsing.lhs=yylhs;
    Parsing.len=yylen;
    Parsing.defred=yydefred;
    Parsing.dgoto=yydgoto;
    Parsing.sindex=yysindex;
    Parsing.rindex=yyrindex;
    Parsing.gindex=yygindex;
    Parsing.tablesize=yytablesize;
    Parsing.table=yytable;
    Parsing.check=yycheck;
    Parsing.error_function=parse_error;
    Parsing.names_const=yynames_const;
    Parsing.names_block=yynames_block }
let prog (lexfun : Lexing.lexbuf -> token) (lexbuf : Lexing.lexbuf) =
   (Parsing.yyparse yytables 1 lexfun lexbuf : Types.fromparser list)
;;
# 503 "parser.mly"

prog_ref := Some prog
;;
# 5198 "parser.ml"
